//
// Copyright 2020-2022 Signal Messenger, LLC
// SPDX-License-Identifier: AGPL-3.0-only

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.6
// 	protoc        v3.21.12
// source: SignalService.proto

package signalpb

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Envelope_Type int32

const (
	Envelope_UNKNOWN                 Envelope_Type = 0
	Envelope_CIPHERTEXT              Envelope_Type = 1 // content => (version byte | SignalMessage{Content})
	Envelope_PREKEY_BUNDLE           Envelope_Type = 3 // content => (version byte | PreKeySignalMessage{Content})
	Envelope_SERVER_DELIVERY_RECEIPT Envelope_Type = 5 // legacyMessage => [] AND content => []
	Envelope_UNIDENTIFIED_SENDER     Envelope_Type = 6 // legacyMessage => [] AND content => ((version byte | UnidentifiedSenderMessage) OR (version byte | Multi-Recipient Sealed Sender Format))
	Envelope_SENDERKEY_MESSAGE       Envelope_Type = 7 // legacyMessage => [] AND content => (version byte | SenderKeyMessage)
	Envelope_PLAINTEXT_CONTENT       Envelope_Type = 8 // legacyMessage => [] AND content => (marker byte | Content)
)

// Enum value maps for Envelope_Type.
var (
	Envelope_Type_name = map[int32]string{
		0: "UNKNOWN",
		1: "CIPHERTEXT",
		3: "PREKEY_BUNDLE",
		5: "SERVER_DELIVERY_RECEIPT",
		6: "UNIDENTIFIED_SENDER",
		7: "SENDERKEY_MESSAGE",
		8: "PLAINTEXT_CONTENT",
	}
	Envelope_Type_value = map[string]int32{
		"UNKNOWN":                 0,
		"CIPHERTEXT":              1,
		"PREKEY_BUNDLE":           3,
		"SERVER_DELIVERY_RECEIPT": 5,
		"UNIDENTIFIED_SENDER":     6,
		"SENDERKEY_MESSAGE":       7,
		"PLAINTEXT_CONTENT":       8,
	}
)

func (x Envelope_Type) Enum() *Envelope_Type {
	p := new(Envelope_Type)
	*p = x
	return p
}

func (x Envelope_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Envelope_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[0].Descriptor()
}

func (Envelope_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[0]
}

func (x Envelope_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *Envelope_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = Envelope_Type(num)
	return nil
}

// Deprecated: Use Envelope_Type.Descriptor instead.
func (Envelope_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{0, 0}
}

type CallMessage_Offer_Type int32

const (
	CallMessage_Offer_OFFER_AUDIO_CALL CallMessage_Offer_Type = 0
	CallMessage_Offer_OFFER_VIDEO_CALL CallMessage_Offer_Type = 1
)

// Enum value maps for CallMessage_Offer_Type.
var (
	CallMessage_Offer_Type_name = map[int32]string{
		0: "OFFER_AUDIO_CALL",
		1: "OFFER_VIDEO_CALL",
	}
	CallMessage_Offer_Type_value = map[string]int32{
		"OFFER_AUDIO_CALL": 0,
		"OFFER_VIDEO_CALL": 1,
	}
)

func (x CallMessage_Offer_Type) Enum() *CallMessage_Offer_Type {
	p := new(CallMessage_Offer_Type)
	*p = x
	return p
}

func (x CallMessage_Offer_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CallMessage_Offer_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[1].Descriptor()
}

func (CallMessage_Offer_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[1]
}

func (x CallMessage_Offer_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *CallMessage_Offer_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = CallMessage_Offer_Type(num)
	return nil
}

// Deprecated: Use CallMessage_Offer_Type.Descriptor instead.
func (CallMessage_Offer_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 0, 0}
}

type CallMessage_Hangup_Type int32

const (
	CallMessage_Hangup_HANGUP_NORMAL          CallMessage_Hangup_Type = 0
	CallMessage_Hangup_HANGUP_ACCEPTED        CallMessage_Hangup_Type = 1
	CallMessage_Hangup_HANGUP_DECLINED        CallMessage_Hangup_Type = 2
	CallMessage_Hangup_HANGUP_BUSY            CallMessage_Hangup_Type = 3
	CallMessage_Hangup_HANGUP_NEED_PERMISSION CallMessage_Hangup_Type = 4
)

// Enum value maps for CallMessage_Hangup_Type.
var (
	CallMessage_Hangup_Type_name = map[int32]string{
		0: "HANGUP_NORMAL",
		1: "HANGUP_ACCEPTED",
		2: "HANGUP_DECLINED",
		3: "HANGUP_BUSY",
		4: "HANGUP_NEED_PERMISSION",
	}
	CallMessage_Hangup_Type_value = map[string]int32{
		"HANGUP_NORMAL":          0,
		"HANGUP_ACCEPTED":        1,
		"HANGUP_DECLINED":        2,
		"HANGUP_BUSY":            3,
		"HANGUP_NEED_PERMISSION": 4,
	}
)

func (x CallMessage_Hangup_Type) Enum() *CallMessage_Hangup_Type {
	p := new(CallMessage_Hangup_Type)
	*p = x
	return p
}

func (x CallMessage_Hangup_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CallMessage_Hangup_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[2].Descriptor()
}

func (CallMessage_Hangup_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[2]
}

func (x CallMessage_Hangup_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *CallMessage_Hangup_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = CallMessage_Hangup_Type(num)
	return nil
}

// Deprecated: Use CallMessage_Hangup_Type.Descriptor instead.
func (CallMessage_Hangup_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 4, 0}
}

type CallMessage_Opaque_Urgency int32

const (
	CallMessage_Opaque_DROPPABLE          CallMessage_Opaque_Urgency = 0
	CallMessage_Opaque_HANDLE_IMMEDIATELY CallMessage_Opaque_Urgency = 1
)

// Enum value maps for CallMessage_Opaque_Urgency.
var (
	CallMessage_Opaque_Urgency_name = map[int32]string{
		0: "DROPPABLE",
		1: "HANDLE_IMMEDIATELY",
	}
	CallMessage_Opaque_Urgency_value = map[string]int32{
		"DROPPABLE":          0,
		"HANDLE_IMMEDIATELY": 1,
	}
)

func (x CallMessage_Opaque_Urgency) Enum() *CallMessage_Opaque_Urgency {
	p := new(CallMessage_Opaque_Urgency)
	*p = x
	return p
}

func (x CallMessage_Opaque_Urgency) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CallMessage_Opaque_Urgency) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[3].Descriptor()
}

func (CallMessage_Opaque_Urgency) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[3]
}

func (x CallMessage_Opaque_Urgency) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *CallMessage_Opaque_Urgency) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = CallMessage_Opaque_Urgency(num)
	return nil
}

// Deprecated: Use CallMessage_Opaque_Urgency.Descriptor instead.
func (CallMessage_Opaque_Urgency) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 5, 0}
}

type DataMessage_Flags int32

const (
	DataMessage_END_SESSION             DataMessage_Flags = 1
	DataMessage_EXPIRATION_TIMER_UPDATE DataMessage_Flags = 2
	DataMessage_PROFILE_KEY_UPDATE      DataMessage_Flags = 4
	DataMessage_FORWARD                 DataMessage_Flags = 8
)

// Enum value maps for DataMessage_Flags.
var (
	DataMessage_Flags_name = map[int32]string{
		1: "END_SESSION",
		2: "EXPIRATION_TIMER_UPDATE",
		4: "PROFILE_KEY_UPDATE",
		8: "FORWARD",
	}
	DataMessage_Flags_value = map[string]int32{
		"END_SESSION":             1,
		"EXPIRATION_TIMER_UPDATE": 2,
		"PROFILE_KEY_UPDATE":      4,
		"FORWARD":                 8,
	}
)

func (x DataMessage_Flags) Enum() *DataMessage_Flags {
	p := new(DataMessage_Flags)
	*p = x
	return p
}

func (x DataMessage_Flags) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Flags) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[4].Descriptor()
}

func (DataMessage_Flags) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[4]
}

func (x DataMessage_Flags) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Flags) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Flags(num)
	return nil
}

// Deprecated: Use DataMessage_Flags.Descriptor instead.
func (DataMessage_Flags) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0}
}

type DataMessage_ProtocolVersion int32

const (
	DataMessage_INITIAL                  DataMessage_ProtocolVersion = 0
	DataMessage_MESSAGE_TIMERS           DataMessage_ProtocolVersion = 1
	DataMessage_VIEW_ONCE                DataMessage_ProtocolVersion = 2
	DataMessage_VIEW_ONCE_VIDEO          DataMessage_ProtocolVersion = 3
	DataMessage_REACTIONS                DataMessage_ProtocolVersion = 4
	DataMessage_CDN_SELECTOR_ATTACHMENTS DataMessage_ProtocolVersion = 5
	DataMessage_MENTIONS                 DataMessage_ProtocolVersion = 6
	DataMessage_PAYMENTS                 DataMessage_ProtocolVersion = 7
	DataMessage_CURRENT                  DataMessage_ProtocolVersion = 7
)

// Enum value maps for DataMessage_ProtocolVersion.
var (
	DataMessage_ProtocolVersion_name = map[int32]string{
		0: "INITIAL",
		1: "MESSAGE_TIMERS",
		2: "VIEW_ONCE",
		3: "VIEW_ONCE_VIDEO",
		4: "REACTIONS",
		5: "CDN_SELECTOR_ATTACHMENTS",
		6: "MENTIONS",
		7: "PAYMENTS",
		// Duplicate value: 7: "CURRENT",
	}
	DataMessage_ProtocolVersion_value = map[string]int32{
		"INITIAL":                  0,
		"MESSAGE_TIMERS":           1,
		"VIEW_ONCE":                2,
		"VIEW_ONCE_VIDEO":          3,
		"REACTIONS":                4,
		"CDN_SELECTOR_ATTACHMENTS": 5,
		"MENTIONS":                 6,
		"PAYMENTS":                 7,
		"CURRENT":                  7,
	}
)

func (x DataMessage_ProtocolVersion) Enum() *DataMessage_ProtocolVersion {
	p := new(DataMessage_ProtocolVersion)
	*p = x
	return p
}

func (x DataMessage_ProtocolVersion) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_ProtocolVersion) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[5].Descriptor()
}

func (DataMessage_ProtocolVersion) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[5]
}

func (x DataMessage_ProtocolVersion) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_ProtocolVersion) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_ProtocolVersion(num)
	return nil
}

// Deprecated: Use DataMessage_ProtocolVersion.Descriptor instead.
func (DataMessage_ProtocolVersion) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 1}
}

type DataMessage_Payment_Activation_Type int32

const (
	DataMessage_Payment_Activation_REQUEST   DataMessage_Payment_Activation_Type = 0
	DataMessage_Payment_Activation_ACTIVATED DataMessage_Payment_Activation_Type = 1
)

// Enum value maps for DataMessage_Payment_Activation_Type.
var (
	DataMessage_Payment_Activation_Type_name = map[int32]string{
		0: "REQUEST",
		1: "ACTIVATED",
	}
	DataMessage_Payment_Activation_Type_value = map[string]int32{
		"REQUEST":   0,
		"ACTIVATED": 1,
	}
)

func (x DataMessage_Payment_Activation_Type) Enum() *DataMessage_Payment_Activation_Type {
	p := new(DataMessage_Payment_Activation_Type)
	*p = x
	return p
}

func (x DataMessage_Payment_Activation_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Payment_Activation_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[6].Descriptor()
}

func (DataMessage_Payment_Activation_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[6]
}

func (x DataMessage_Payment_Activation_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Payment_Activation_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Payment_Activation_Type(num)
	return nil
}

// Deprecated: Use DataMessage_Payment_Activation_Type.Descriptor instead.
func (DataMessage_Payment_Activation_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 2, 0}
}

type DataMessage_Quote_Type int32

const (
	DataMessage_Quote_NORMAL     DataMessage_Quote_Type = 0
	DataMessage_Quote_GIFT_BADGE DataMessage_Quote_Type = 1
)

// Enum value maps for DataMessage_Quote_Type.
var (
	DataMessage_Quote_Type_name = map[int32]string{
		0: "NORMAL",
		1: "GIFT_BADGE",
	}
	DataMessage_Quote_Type_value = map[string]int32{
		"NORMAL":     0,
		"GIFT_BADGE": 1,
	}
)

func (x DataMessage_Quote_Type) Enum() *DataMessage_Quote_Type {
	p := new(DataMessage_Quote_Type)
	*p = x
	return p
}

func (x DataMessage_Quote_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Quote_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[7].Descriptor()
}

func (DataMessage_Quote_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[7]
}

func (x DataMessage_Quote_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Quote_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Quote_Type(num)
	return nil
}

// Deprecated: Use DataMessage_Quote_Type.Descriptor instead.
func (DataMessage_Quote_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 1, 0}
}

type DataMessage_Contact_Phone_Type int32

const (
	DataMessage_Contact_Phone_HOME   DataMessage_Contact_Phone_Type = 1
	DataMessage_Contact_Phone_MOBILE DataMessage_Contact_Phone_Type = 2
	DataMessage_Contact_Phone_WORK   DataMessage_Contact_Phone_Type = 3
	DataMessage_Contact_Phone_CUSTOM DataMessage_Contact_Phone_Type = 4
)

// Enum value maps for DataMessage_Contact_Phone_Type.
var (
	DataMessage_Contact_Phone_Type_name = map[int32]string{
		1: "HOME",
		2: "MOBILE",
		3: "WORK",
		4: "CUSTOM",
	}
	DataMessage_Contact_Phone_Type_value = map[string]int32{
		"HOME":   1,
		"MOBILE": 2,
		"WORK":   3,
		"CUSTOM": 4,
	}
)

func (x DataMessage_Contact_Phone_Type) Enum() *DataMessage_Contact_Phone_Type {
	p := new(DataMessage_Contact_Phone_Type)
	*p = x
	return p
}

func (x DataMessage_Contact_Phone_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Contact_Phone_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[8].Descriptor()
}

func (DataMessage_Contact_Phone_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[8]
}

func (x DataMessage_Contact_Phone_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Contact_Phone_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Contact_Phone_Type(num)
	return nil
}

// Deprecated: Use DataMessage_Contact_Phone_Type.Descriptor instead.
func (DataMessage_Contact_Phone_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 1, 0}
}

type DataMessage_Contact_Email_Type int32

const (
	DataMessage_Contact_Email_HOME   DataMessage_Contact_Email_Type = 1
	DataMessage_Contact_Email_MOBILE DataMessage_Contact_Email_Type = 2
	DataMessage_Contact_Email_WORK   DataMessage_Contact_Email_Type = 3
	DataMessage_Contact_Email_CUSTOM DataMessage_Contact_Email_Type = 4
)

// Enum value maps for DataMessage_Contact_Email_Type.
var (
	DataMessage_Contact_Email_Type_name = map[int32]string{
		1: "HOME",
		2: "MOBILE",
		3: "WORK",
		4: "CUSTOM",
	}
	DataMessage_Contact_Email_Type_value = map[string]int32{
		"HOME":   1,
		"MOBILE": 2,
		"WORK":   3,
		"CUSTOM": 4,
	}
)

func (x DataMessage_Contact_Email_Type) Enum() *DataMessage_Contact_Email_Type {
	p := new(DataMessage_Contact_Email_Type)
	*p = x
	return p
}

func (x DataMessage_Contact_Email_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Contact_Email_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[9].Descriptor()
}

func (DataMessage_Contact_Email_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[9]
}

func (x DataMessage_Contact_Email_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Contact_Email_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Contact_Email_Type(num)
	return nil
}

// Deprecated: Use DataMessage_Contact_Email_Type.Descriptor instead.
func (DataMessage_Contact_Email_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 2, 0}
}

type DataMessage_Contact_PostalAddress_Type int32

const (
	DataMessage_Contact_PostalAddress_HOME   DataMessage_Contact_PostalAddress_Type = 1
	DataMessage_Contact_PostalAddress_WORK   DataMessage_Contact_PostalAddress_Type = 2
	DataMessage_Contact_PostalAddress_CUSTOM DataMessage_Contact_PostalAddress_Type = 3
)

// Enum value maps for DataMessage_Contact_PostalAddress_Type.
var (
	DataMessage_Contact_PostalAddress_Type_name = map[int32]string{
		1: "HOME",
		2: "WORK",
		3: "CUSTOM",
	}
	DataMessage_Contact_PostalAddress_Type_value = map[string]int32{
		"HOME":   1,
		"WORK":   2,
		"CUSTOM": 3,
	}
)

func (x DataMessage_Contact_PostalAddress_Type) Enum() *DataMessage_Contact_PostalAddress_Type {
	p := new(DataMessage_Contact_PostalAddress_Type)
	*p = x
	return p
}

func (x DataMessage_Contact_PostalAddress_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DataMessage_Contact_PostalAddress_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[10].Descriptor()
}

func (DataMessage_Contact_PostalAddress_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[10]
}

func (x DataMessage_Contact_PostalAddress_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *DataMessage_Contact_PostalAddress_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = DataMessage_Contact_PostalAddress_Type(num)
	return nil
}

// Deprecated: Use DataMessage_Contact_PostalAddress_Type.Descriptor instead.
func (DataMessage_Contact_PostalAddress_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 3, 0}
}

type ReceiptMessage_Type int32

const (
	ReceiptMessage_DELIVERY ReceiptMessage_Type = 0
	ReceiptMessage_READ     ReceiptMessage_Type = 1
	ReceiptMessage_VIEWED   ReceiptMessage_Type = 2
)

// Enum value maps for ReceiptMessage_Type.
var (
	ReceiptMessage_Type_name = map[int32]string{
		0: "DELIVERY",
		1: "READ",
		2: "VIEWED",
	}
	ReceiptMessage_Type_value = map[string]int32{
		"DELIVERY": 0,
		"READ":     1,
		"VIEWED":   2,
	}
)

func (x ReceiptMessage_Type) Enum() *ReceiptMessage_Type {
	p := new(ReceiptMessage_Type)
	*p = x
	return p
}

func (x ReceiptMessage_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ReceiptMessage_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[11].Descriptor()
}

func (ReceiptMessage_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[11]
}

func (x ReceiptMessage_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *ReceiptMessage_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = ReceiptMessage_Type(num)
	return nil
}

// Deprecated: Use ReceiptMessage_Type.Descriptor instead.
func (ReceiptMessage_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{5, 0}
}

type TypingMessage_Action int32

const (
	TypingMessage_STARTED TypingMessage_Action = 0
	TypingMessage_STOPPED TypingMessage_Action = 1
)

// Enum value maps for TypingMessage_Action.
var (
	TypingMessage_Action_name = map[int32]string{
		0: "STARTED",
		1: "STOPPED",
	}
	TypingMessage_Action_value = map[string]int32{
		"STARTED": 0,
		"STOPPED": 1,
	}
)

func (x TypingMessage_Action) Enum() *TypingMessage_Action {
	p := new(TypingMessage_Action)
	*p = x
	return p
}

func (x TypingMessage_Action) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TypingMessage_Action) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[12].Descriptor()
}

func (TypingMessage_Action) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[12]
}

func (x TypingMessage_Action) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *TypingMessage_Action) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = TypingMessage_Action(num)
	return nil
}

// Deprecated: Use TypingMessage_Action.Descriptor instead.
func (TypingMessage_Action) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{6, 0}
}

type TextAttachment_Style int32

const (
	TextAttachment_DEFAULT   TextAttachment_Style = 0
	TextAttachment_REGULAR   TextAttachment_Style = 1
	TextAttachment_BOLD      TextAttachment_Style = 2
	TextAttachment_SERIF     TextAttachment_Style = 3
	TextAttachment_SCRIPT    TextAttachment_Style = 4
	TextAttachment_CONDENSED TextAttachment_Style = 5
)

// Enum value maps for TextAttachment_Style.
var (
	TextAttachment_Style_name = map[int32]string{
		0: "DEFAULT",
		1: "REGULAR",
		2: "BOLD",
		3: "SERIF",
		4: "SCRIPT",
		5: "CONDENSED",
	}
	TextAttachment_Style_value = map[string]int32{
		"DEFAULT":   0,
		"REGULAR":   1,
		"BOLD":      2,
		"SERIF":     3,
		"SCRIPT":    4,
		"CONDENSED": 5,
	}
)

func (x TextAttachment_Style) Enum() *TextAttachment_Style {
	p := new(TextAttachment_Style)
	*p = x
	return p
}

func (x TextAttachment_Style) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TextAttachment_Style) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[13].Descriptor()
}

func (TextAttachment_Style) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[13]
}

func (x TextAttachment_Style) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *TextAttachment_Style) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = TextAttachment_Style(num)
	return nil
}

// Deprecated: Use TextAttachment_Style.Descriptor instead.
func (TextAttachment_Style) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{9, 0}
}

type Verified_State int32

const (
	Verified_DEFAULT    Verified_State = 0
	Verified_VERIFIED   Verified_State = 1
	Verified_UNVERIFIED Verified_State = 2
)

// Enum value maps for Verified_State.
var (
	Verified_State_name = map[int32]string{
		0: "DEFAULT",
		1: "VERIFIED",
		2: "UNVERIFIED",
	}
	Verified_State_value = map[string]int32{
		"DEFAULT":    0,
		"VERIFIED":   1,
		"UNVERIFIED": 2,
	}
)

func (x Verified_State) Enum() *Verified_State {
	p := new(Verified_State)
	*p = x
	return p
}

func (x Verified_State) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Verified_State) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[14].Descriptor()
}

func (Verified_State) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[14]
}

func (x Verified_State) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *Verified_State) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = Verified_State(num)
	return nil
}

// Deprecated: Use Verified_State.Descriptor instead.
func (Verified_State) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{10, 0}
}

type SyncMessage_Request_Type int32

const (
	SyncMessage_Request_UNKNOWN       SyncMessage_Request_Type = 0
	SyncMessage_Request_CONTACTS      SyncMessage_Request_Type = 1
	SyncMessage_Request_BLOCKED       SyncMessage_Request_Type = 3
	SyncMessage_Request_CONFIGURATION SyncMessage_Request_Type = 4
	SyncMessage_Request_KEYS          SyncMessage_Request_Type = 5
)

// Enum value maps for SyncMessage_Request_Type.
var (
	SyncMessage_Request_Type_name = map[int32]string{
		0: "UNKNOWN",
		1: "CONTACTS",
		3: "BLOCKED",
		4: "CONFIGURATION",
		5: "KEYS",
	}
	SyncMessage_Request_Type_value = map[string]int32{
		"UNKNOWN":       0,
		"CONTACTS":      1,
		"BLOCKED":       3,
		"CONFIGURATION": 4,
		"KEYS":          5,
	}
)

func (x SyncMessage_Request_Type) Enum() *SyncMessage_Request_Type {
	p := new(SyncMessage_Request_Type)
	*p = x
	return p
}

func (x SyncMessage_Request_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_Request_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[15].Descriptor()
}

func (SyncMessage_Request_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[15]
}

func (x SyncMessage_Request_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_Request_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_Request_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_Request_Type.Descriptor instead.
func (SyncMessage_Request_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 3, 0}
}

type SyncMessage_StickerPackOperation_Type int32

const (
	SyncMessage_StickerPackOperation_INSTALL SyncMessage_StickerPackOperation_Type = 0
	SyncMessage_StickerPackOperation_REMOVE  SyncMessage_StickerPackOperation_Type = 1
)

// Enum value maps for SyncMessage_StickerPackOperation_Type.
var (
	SyncMessage_StickerPackOperation_Type_name = map[int32]string{
		0: "INSTALL",
		1: "REMOVE",
	}
	SyncMessage_StickerPackOperation_Type_value = map[string]int32{
		"INSTALL": 0,
		"REMOVE":  1,
	}
)

func (x SyncMessage_StickerPackOperation_Type) Enum() *SyncMessage_StickerPackOperation_Type {
	p := new(SyncMessage_StickerPackOperation_Type)
	*p = x
	return p
}

func (x SyncMessage_StickerPackOperation_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_StickerPackOperation_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[16].Descriptor()
}

func (SyncMessage_StickerPackOperation_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[16]
}

func (x SyncMessage_StickerPackOperation_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_StickerPackOperation_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_StickerPackOperation_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_StickerPackOperation_Type.Descriptor instead.
func (SyncMessage_StickerPackOperation_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 7, 0}
}

type SyncMessage_FetchLatest_Type int32

const (
	SyncMessage_FetchLatest_UNKNOWN             SyncMessage_FetchLatest_Type = 0
	SyncMessage_FetchLatest_LOCAL_PROFILE       SyncMessage_FetchLatest_Type = 1
	SyncMessage_FetchLatest_STORAGE_MANIFEST    SyncMessage_FetchLatest_Type = 2
	SyncMessage_FetchLatest_SUBSCRIPTION_STATUS SyncMessage_FetchLatest_Type = 3
)

// Enum value maps for SyncMessage_FetchLatest_Type.
var (
	SyncMessage_FetchLatest_Type_name = map[int32]string{
		0: "UNKNOWN",
		1: "LOCAL_PROFILE",
		2: "STORAGE_MANIFEST",
		3: "SUBSCRIPTION_STATUS",
	}
	SyncMessage_FetchLatest_Type_value = map[string]int32{
		"UNKNOWN":             0,
		"LOCAL_PROFILE":       1,
		"STORAGE_MANIFEST":    2,
		"SUBSCRIPTION_STATUS": 3,
	}
)

func (x SyncMessage_FetchLatest_Type) Enum() *SyncMessage_FetchLatest_Type {
	p := new(SyncMessage_FetchLatest_Type)
	*p = x
	return p
}

func (x SyncMessage_FetchLatest_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_FetchLatest_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[17].Descriptor()
}

func (SyncMessage_FetchLatest_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[17]
}

func (x SyncMessage_FetchLatest_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_FetchLatest_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_FetchLatest_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_FetchLatest_Type.Descriptor instead.
func (SyncMessage_FetchLatest_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 9, 0}
}

type SyncMessage_MessageRequestResponse_Type int32

const (
	SyncMessage_MessageRequestResponse_UNKNOWN          SyncMessage_MessageRequestResponse_Type = 0
	SyncMessage_MessageRequestResponse_ACCEPT           SyncMessage_MessageRequestResponse_Type = 1
	SyncMessage_MessageRequestResponse_DELETE           SyncMessage_MessageRequestResponse_Type = 2
	SyncMessage_MessageRequestResponse_BLOCK            SyncMessage_MessageRequestResponse_Type = 3
	SyncMessage_MessageRequestResponse_BLOCK_AND_DELETE SyncMessage_MessageRequestResponse_Type = 4
	SyncMessage_MessageRequestResponse_SPAM             SyncMessage_MessageRequestResponse_Type = 5
	SyncMessage_MessageRequestResponse_BLOCK_AND_SPAM   SyncMessage_MessageRequestResponse_Type = 6
)

// Enum value maps for SyncMessage_MessageRequestResponse_Type.
var (
	SyncMessage_MessageRequestResponse_Type_name = map[int32]string{
		0: "UNKNOWN",
		1: "ACCEPT",
		2: "DELETE",
		3: "BLOCK",
		4: "BLOCK_AND_DELETE",
		5: "SPAM",
		6: "BLOCK_AND_SPAM",
	}
	SyncMessage_MessageRequestResponse_Type_value = map[string]int32{
		"UNKNOWN":          0,
		"ACCEPT":           1,
		"DELETE":           2,
		"BLOCK":            3,
		"BLOCK_AND_DELETE": 4,
		"SPAM":             5,
		"BLOCK_AND_SPAM":   6,
	}
)

func (x SyncMessage_MessageRequestResponse_Type) Enum() *SyncMessage_MessageRequestResponse_Type {
	p := new(SyncMessage_MessageRequestResponse_Type)
	*p = x
	return p
}

func (x SyncMessage_MessageRequestResponse_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_MessageRequestResponse_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[18].Descriptor()
}

func (SyncMessage_MessageRequestResponse_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[18]
}

func (x SyncMessage_MessageRequestResponse_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_MessageRequestResponse_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_MessageRequestResponse_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_MessageRequestResponse_Type.Descriptor instead.
func (SyncMessage_MessageRequestResponse_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 12, 0}
}

type SyncMessage_CallEvent_Type int32

const (
	SyncMessage_CallEvent_UNKNOWN_TYPE SyncMessage_CallEvent_Type = 0
	SyncMessage_CallEvent_AUDIO_CALL   SyncMessage_CallEvent_Type = 1
	SyncMessage_CallEvent_VIDEO_CALL   SyncMessage_CallEvent_Type = 2
	SyncMessage_CallEvent_GROUP_CALL   SyncMessage_CallEvent_Type = 3
	SyncMessage_CallEvent_AD_HOC_CALL  SyncMessage_CallEvent_Type = 4
)

// Enum value maps for SyncMessage_CallEvent_Type.
var (
	SyncMessage_CallEvent_Type_name = map[int32]string{
		0: "UNKNOWN_TYPE",
		1: "AUDIO_CALL",
		2: "VIDEO_CALL",
		3: "GROUP_CALL",
		4: "AD_HOC_CALL",
	}
	SyncMessage_CallEvent_Type_value = map[string]int32{
		"UNKNOWN_TYPE": 0,
		"AUDIO_CALL":   1,
		"VIDEO_CALL":   2,
		"GROUP_CALL":   3,
		"AD_HOC_CALL":  4,
	}
)

func (x SyncMessage_CallEvent_Type) Enum() *SyncMessage_CallEvent_Type {
	p := new(SyncMessage_CallEvent_Type)
	*p = x
	return p
}

func (x SyncMessage_CallEvent_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_CallEvent_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[19].Descriptor()
}

func (SyncMessage_CallEvent_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[19]
}

func (x SyncMessage_CallEvent_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_CallEvent_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_CallEvent_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_CallEvent_Type.Descriptor instead.
func (SyncMessage_CallEvent_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 15, 0}
}

type SyncMessage_CallEvent_Direction int32

const (
	SyncMessage_CallEvent_UNKNOWN_DIRECTION SyncMessage_CallEvent_Direction = 0
	SyncMessage_CallEvent_INCOMING          SyncMessage_CallEvent_Direction = 1
	SyncMessage_CallEvent_OUTGOING          SyncMessage_CallEvent_Direction = 2
)

// Enum value maps for SyncMessage_CallEvent_Direction.
var (
	SyncMessage_CallEvent_Direction_name = map[int32]string{
		0: "UNKNOWN_DIRECTION",
		1: "INCOMING",
		2: "OUTGOING",
	}
	SyncMessage_CallEvent_Direction_value = map[string]int32{
		"UNKNOWN_DIRECTION": 0,
		"INCOMING":          1,
		"OUTGOING":          2,
	}
)

func (x SyncMessage_CallEvent_Direction) Enum() *SyncMessage_CallEvent_Direction {
	p := new(SyncMessage_CallEvent_Direction)
	*p = x
	return p
}

func (x SyncMessage_CallEvent_Direction) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_CallEvent_Direction) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[20].Descriptor()
}

func (SyncMessage_CallEvent_Direction) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[20]
}

func (x SyncMessage_CallEvent_Direction) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_CallEvent_Direction) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_CallEvent_Direction(num)
	return nil
}

// Deprecated: Use SyncMessage_CallEvent_Direction.Descriptor instead.
func (SyncMessage_CallEvent_Direction) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 15, 1}
}

type SyncMessage_CallEvent_Event int32

const (
	SyncMessage_CallEvent_UNKNOWN_EVENT SyncMessage_CallEvent_Event = 0
	SyncMessage_CallEvent_ACCEPTED      SyncMessage_CallEvent_Event = 1
	SyncMessage_CallEvent_NOT_ACCEPTED  SyncMessage_CallEvent_Event = 2
	SyncMessage_CallEvent_DELETE        SyncMessage_CallEvent_Event = 3
	SyncMessage_CallEvent_OBSERVED      SyncMessage_CallEvent_Event = 4
)

// Enum value maps for SyncMessage_CallEvent_Event.
var (
	SyncMessage_CallEvent_Event_name = map[int32]string{
		0: "UNKNOWN_EVENT",
		1: "ACCEPTED",
		2: "NOT_ACCEPTED",
		3: "DELETE",
		4: "OBSERVED",
	}
	SyncMessage_CallEvent_Event_value = map[string]int32{
		"UNKNOWN_EVENT": 0,
		"ACCEPTED":      1,
		"NOT_ACCEPTED":  2,
		"DELETE":        3,
		"OBSERVED":      4,
	}
)

func (x SyncMessage_CallEvent_Event) Enum() *SyncMessage_CallEvent_Event {
	p := new(SyncMessage_CallEvent_Event)
	*p = x
	return p
}

func (x SyncMessage_CallEvent_Event) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_CallEvent_Event) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[21].Descriptor()
}

func (SyncMessage_CallEvent_Event) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[21]
}

func (x SyncMessage_CallEvent_Event) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_CallEvent_Event) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_CallEvent_Event(num)
	return nil
}

// Deprecated: Use SyncMessage_CallEvent_Event.Descriptor instead.
func (SyncMessage_CallEvent_Event) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 15, 2}
}

type SyncMessage_CallLinkUpdate_Type int32

const (
	SyncMessage_CallLinkUpdate_UPDATE SyncMessage_CallLinkUpdate_Type = 0
)

// Enum value maps for SyncMessage_CallLinkUpdate_Type.
var (
	SyncMessage_CallLinkUpdate_Type_name = map[int32]string{
		0: "UPDATE",
	}
	SyncMessage_CallLinkUpdate_Type_value = map[string]int32{
		"UPDATE": 0,
	}
)

func (x SyncMessage_CallLinkUpdate_Type) Enum() *SyncMessage_CallLinkUpdate_Type {
	p := new(SyncMessage_CallLinkUpdate_Type)
	*p = x
	return p
}

func (x SyncMessage_CallLinkUpdate_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_CallLinkUpdate_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[22].Descriptor()
}

func (SyncMessage_CallLinkUpdate_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[22]
}

func (x SyncMessage_CallLinkUpdate_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_CallLinkUpdate_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_CallLinkUpdate_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_CallLinkUpdate_Type.Descriptor instead.
func (SyncMessage_CallLinkUpdate_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 16, 0}
}

type SyncMessage_CallLogEvent_Type int32

const (
	SyncMessage_CallLogEvent_CLEAR                          SyncMessage_CallLogEvent_Type = 0
	SyncMessage_CallLogEvent_MARKED_AS_READ                 SyncMessage_CallLogEvent_Type = 1
	SyncMessage_CallLogEvent_MARKED_AS_READ_IN_CONVERSATION SyncMessage_CallLogEvent_Type = 2
	SyncMessage_CallLogEvent_CLEAR_IN_CONVERSATION          SyncMessage_CallLogEvent_Type = 3
)

// Enum value maps for SyncMessage_CallLogEvent_Type.
var (
	SyncMessage_CallLogEvent_Type_name = map[int32]string{
		0: "CLEAR",
		1: "MARKED_AS_READ",
		2: "MARKED_AS_READ_IN_CONVERSATION",
		3: "CLEAR_IN_CONVERSATION",
	}
	SyncMessage_CallLogEvent_Type_value = map[string]int32{
		"CLEAR":                          0,
		"MARKED_AS_READ":                 1,
		"MARKED_AS_READ_IN_CONVERSATION": 2,
		"CLEAR_IN_CONVERSATION":          3,
	}
)

func (x SyncMessage_CallLogEvent_Type) Enum() *SyncMessage_CallLogEvent_Type {
	p := new(SyncMessage_CallLogEvent_Type)
	*p = x
	return p
}

func (x SyncMessage_CallLogEvent_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_CallLogEvent_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[23].Descriptor()
}

func (SyncMessage_CallLogEvent_Type) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[23]
}

func (x SyncMessage_CallLogEvent_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_CallLogEvent_Type) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_CallLogEvent_Type(num)
	return nil
}

// Deprecated: Use SyncMessage_CallLogEvent_Type.Descriptor instead.
func (SyncMessage_CallLogEvent_Type) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 17, 0}
}

type SyncMessage_AttachmentBackfillResponse_Error int32

const (
	SyncMessage_AttachmentBackfillResponse_MESSAGE_NOT_FOUND SyncMessage_AttachmentBackfillResponse_Error = 0
)

// Enum value maps for SyncMessage_AttachmentBackfillResponse_Error.
var (
	SyncMessage_AttachmentBackfillResponse_Error_name = map[int32]string{
		0: "MESSAGE_NOT_FOUND",
	}
	SyncMessage_AttachmentBackfillResponse_Error_value = map[string]int32{
		"MESSAGE_NOT_FOUND": 0,
	}
)

func (x SyncMessage_AttachmentBackfillResponse_Error) Enum() *SyncMessage_AttachmentBackfillResponse_Error {
	p := new(SyncMessage_AttachmentBackfillResponse_Error)
	*p = x
	return p
}

func (x SyncMessage_AttachmentBackfillResponse_Error) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_AttachmentBackfillResponse_Error) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[24].Descriptor()
}

func (SyncMessage_AttachmentBackfillResponse_Error) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[24]
}

func (x SyncMessage_AttachmentBackfillResponse_Error) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_AttachmentBackfillResponse_Error) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_AttachmentBackfillResponse_Error(num)
	return nil
}

// Deprecated: Use SyncMessage_AttachmentBackfillResponse_Error.Descriptor instead.
func (SyncMessage_AttachmentBackfillResponse_Error) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 21, 0}
}

type SyncMessage_AttachmentBackfillResponse_AttachmentData_Status int32

const (
	SyncMessage_AttachmentBackfillResponse_AttachmentData_PENDING        SyncMessage_AttachmentBackfillResponse_AttachmentData_Status = 0
	SyncMessage_AttachmentBackfillResponse_AttachmentData_TERMINAL_ERROR SyncMessage_AttachmentBackfillResponse_AttachmentData_Status = 1
)

// Enum value maps for SyncMessage_AttachmentBackfillResponse_AttachmentData_Status.
var (
	SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_name = map[int32]string{
		0: "PENDING",
		1: "TERMINAL_ERROR",
	}
	SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_value = map[string]int32{
		"PENDING":        0,
		"TERMINAL_ERROR": 1,
	}
)

func (x SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) Enum() *SyncMessage_AttachmentBackfillResponse_AttachmentData_Status {
	p := new(SyncMessage_AttachmentBackfillResponse_AttachmentData_Status)
	*p = x
	return p
}

func (x SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[25].Descriptor()
}

func (SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[25]
}

func (x SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = SyncMessage_AttachmentBackfillResponse_AttachmentData_Status(num)
	return nil
}

// Deprecated: Use SyncMessage_AttachmentBackfillResponse_AttachmentData_Status.Descriptor instead.
func (SyncMessage_AttachmentBackfillResponse_AttachmentData_Status) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 21, 0, 0}
}

type AttachmentPointer_Flags int32

const (
	AttachmentPointer_VOICE_MESSAGE AttachmentPointer_Flags = 1
	AttachmentPointer_BORDERLESS    AttachmentPointer_Flags = 2
	AttachmentPointer_GIF           AttachmentPointer_Flags = 8
)

// Enum value maps for AttachmentPointer_Flags.
var (
	AttachmentPointer_Flags_name = map[int32]string{
		1: "VOICE_MESSAGE",
		2: "BORDERLESS",
		8: "GIF",
	}
	AttachmentPointer_Flags_value = map[string]int32{
		"VOICE_MESSAGE": 1,
		"BORDERLESS":    2,
		"GIF":           8,
	}
)

func (x AttachmentPointer_Flags) Enum() *AttachmentPointer_Flags {
	p := new(AttachmentPointer_Flags)
	*p = x
	return p
}

func (x AttachmentPointer_Flags) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (AttachmentPointer_Flags) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[26].Descriptor()
}

func (AttachmentPointer_Flags) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[26]
}

func (x AttachmentPointer_Flags) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *AttachmentPointer_Flags) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = AttachmentPointer_Flags(num)
	return nil
}

// Deprecated: Use AttachmentPointer_Flags.Descriptor instead.
func (AttachmentPointer_Flags) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{12, 0}
}

type BodyRange_Style int32

const (
	BodyRange_NONE          BodyRange_Style = 0
	BodyRange_BOLD          BodyRange_Style = 1
	BodyRange_ITALIC        BodyRange_Style = 2
	BodyRange_SPOILER       BodyRange_Style = 3
	BodyRange_STRIKETHROUGH BodyRange_Style = 4
	BodyRange_MONOSPACE     BodyRange_Style = 5
)

// Enum value maps for BodyRange_Style.
var (
	BodyRange_Style_name = map[int32]string{
		0: "NONE",
		1: "BOLD",
		2: "ITALIC",
		3: "SPOILER",
		4: "STRIKETHROUGH",
		5: "MONOSPACE",
	}
	BodyRange_Style_value = map[string]int32{
		"NONE":          0,
		"BOLD":          1,
		"ITALIC":        2,
		"SPOILER":       3,
		"STRIKETHROUGH": 4,
		"MONOSPACE":     5,
	}
)

func (x BodyRange_Style) Enum() *BodyRange_Style {
	p := new(BodyRange_Style)
	*p = x
	return p
}

func (x BodyRange_Style) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BodyRange_Style) Descriptor() protoreflect.EnumDescriptor {
	return file_SignalService_proto_enumTypes[27].Descriptor()
}

func (BodyRange_Style) Type() protoreflect.EnumType {
	return &file_SignalService_proto_enumTypes[27]
}

func (x BodyRange_Style) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Do not use.
func (x *BodyRange_Style) UnmarshalJSON(b []byte) error {
	num, err := protoimpl.X.UnmarshalJSONEnum(x.Descriptor(), b)
	if err != nil {
		return err
	}
	*x = BodyRange_Style(num)
	return nil
}

// Deprecated: Use BodyRange_Style.Descriptor instead.
func (BodyRange_Style) EnumDescriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{19, 0}
}

type Envelope struct {
	state                protoimpl.MessageState `protogen:"open.v1"`
	Type                 *Envelope_Type         `protobuf:"varint,1,opt,name=type,enum=signalservice.Envelope_Type" json:"type,omitempty"`
	SourceServiceId      *string                `protobuf:"bytes,11,opt,name=sourceServiceId" json:"sourceServiceId,omitempty"`
	SourceDevice         *uint32                `protobuf:"varint,7,opt,name=sourceDevice" json:"sourceDevice,omitempty"`
	DestinationServiceId *string                `protobuf:"bytes,13,opt,name=destinationServiceId" json:"destinationServiceId,omitempty"`
	Timestamp            *uint64                `protobuf:"varint,5,opt,name=timestamp" json:"timestamp,omitempty"`
	Content              []byte                 `protobuf:"bytes,8,opt,name=content" json:"content,omitempty"` // Contains an encrypted Content
	ServerGuid           *string                `protobuf:"bytes,9,opt,name=serverGuid" json:"serverGuid,omitempty"`
	ServerTimestamp      *uint64                `protobuf:"varint,10,opt,name=serverTimestamp" json:"serverTimestamp,omitempty"`
	Ephemeral            *bool                  `protobuf:"varint,12,opt,name=ephemeral" json:"ephemeral,omitempty"`                                     // indicates that the message should not be persisted if the recipient is offline
	Urgent               *bool                  `protobuf:"varint,14,opt,name=urgent,def=1" json:"urgent,omitempty"`                                     // indicates that the content is considered timely by the sender; defaults to true so senders have to opt-out to say something isn't time critical
	UpdatedPni           *string                `protobuf:"bytes,15,opt,name=updatedPni" json:"updatedPni,omitempty"`                                    // for number-change synchronization messages, provides the new server-assigned phone number identifier associated with the changed number
	Story                *bool                  `protobuf:"varint,16,opt,name=story" json:"story,omitempty"`                                             // indicates that the content is a story.
	ReportSpamToken      []byte                 `protobuf:"bytes,17,opt,name=report_spam_token,json=reportSpamToken" json:"report_spam_token,omitempty"` // token sent when reporting spam
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

// Default values for Envelope fields.
const (
	Default_Envelope_Urgent = bool(true)
)

func (x *Envelope) Reset() {
	*x = Envelope{}
	mi := &file_SignalService_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Envelope) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Envelope) ProtoMessage() {}

func (x *Envelope) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Envelope.ProtoReflect.Descriptor instead.
func (*Envelope) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{0}
}

func (x *Envelope) GetType() Envelope_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return Envelope_UNKNOWN
}

func (x *Envelope) GetSourceServiceId() string {
	if x != nil && x.SourceServiceId != nil {
		return *x.SourceServiceId
	}
	return ""
}

func (x *Envelope) GetSourceDevice() uint32 {
	if x != nil && x.SourceDevice != nil {
		return *x.SourceDevice
	}
	return 0
}

func (x *Envelope) GetDestinationServiceId() string {
	if x != nil && x.DestinationServiceId != nil {
		return *x.DestinationServiceId
	}
	return ""
}

func (x *Envelope) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *Envelope) GetContent() []byte {
	if x != nil {
		return x.Content
	}
	return nil
}

func (x *Envelope) GetServerGuid() string {
	if x != nil && x.ServerGuid != nil {
		return *x.ServerGuid
	}
	return ""
}

func (x *Envelope) GetServerTimestamp() uint64 {
	if x != nil && x.ServerTimestamp != nil {
		return *x.ServerTimestamp
	}
	return 0
}

func (x *Envelope) GetEphemeral() bool {
	if x != nil && x.Ephemeral != nil {
		return *x.Ephemeral
	}
	return false
}

func (x *Envelope) GetUrgent() bool {
	if x != nil && x.Urgent != nil {
		return *x.Urgent
	}
	return Default_Envelope_Urgent
}

func (x *Envelope) GetUpdatedPni() string {
	if x != nil && x.UpdatedPni != nil {
		return *x.UpdatedPni
	}
	return ""
}

func (x *Envelope) GetStory() bool {
	if x != nil && x.Story != nil {
		return *x.Story
	}
	return false
}

func (x *Envelope) GetReportSpamToken() []byte {
	if x != nil {
		return x.ReportSpamToken
	}
	return nil
}

type Content struct {
	state                        protoimpl.MessageState `protogen:"open.v1"`
	DataMessage                  *DataMessage           `protobuf:"bytes,1,opt,name=dataMessage" json:"dataMessage,omitempty"`
	SyncMessage                  *SyncMessage           `protobuf:"bytes,2,opt,name=syncMessage" json:"syncMessage,omitempty"`
	CallMessage                  *CallMessage           `protobuf:"bytes,3,opt,name=callMessage" json:"callMessage,omitempty"`
	NullMessage                  *NullMessage           `protobuf:"bytes,4,opt,name=nullMessage" json:"nullMessage,omitempty"`
	ReceiptMessage               *ReceiptMessage        `protobuf:"bytes,5,opt,name=receiptMessage" json:"receiptMessage,omitempty"`
	TypingMessage                *TypingMessage         `protobuf:"bytes,6,opt,name=typingMessage" json:"typingMessage,omitempty"`
	SenderKeyDistributionMessage []byte                 `protobuf:"bytes,7,opt,name=senderKeyDistributionMessage" json:"senderKeyDistributionMessage,omitempty"`
	DecryptionErrorMessage       []byte                 `protobuf:"bytes,8,opt,name=decryptionErrorMessage" json:"decryptionErrorMessage,omitempty"`
	StoryMessage                 *StoryMessage          `protobuf:"bytes,9,opt,name=storyMessage" json:"storyMessage,omitempty"`
	PniSignatureMessage          *PniSignatureMessage   `protobuf:"bytes,10,opt,name=pniSignatureMessage" json:"pniSignatureMessage,omitempty"`
	EditMessage                  *EditMessage           `protobuf:"bytes,11,opt,name=editMessage" json:"editMessage,omitempty"`
	unknownFields                protoimpl.UnknownFields
	sizeCache                    protoimpl.SizeCache
}

func (x *Content) Reset() {
	*x = Content{}
	mi := &file_SignalService_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Content) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Content) ProtoMessage() {}

func (x *Content) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Content.ProtoReflect.Descriptor instead.
func (*Content) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{1}
}

func (x *Content) GetDataMessage() *DataMessage {
	if x != nil {
		return x.DataMessage
	}
	return nil
}

func (x *Content) GetSyncMessage() *SyncMessage {
	if x != nil {
		return x.SyncMessage
	}
	return nil
}

func (x *Content) GetCallMessage() *CallMessage {
	if x != nil {
		return x.CallMessage
	}
	return nil
}

func (x *Content) GetNullMessage() *NullMessage {
	if x != nil {
		return x.NullMessage
	}
	return nil
}

func (x *Content) GetReceiptMessage() *ReceiptMessage {
	if x != nil {
		return x.ReceiptMessage
	}
	return nil
}

func (x *Content) GetTypingMessage() *TypingMessage {
	if x != nil {
		return x.TypingMessage
	}
	return nil
}

func (x *Content) GetSenderKeyDistributionMessage() []byte {
	if x != nil {
		return x.SenderKeyDistributionMessage
	}
	return nil
}

func (x *Content) GetDecryptionErrorMessage() []byte {
	if x != nil {
		return x.DecryptionErrorMessage
	}
	return nil
}

func (x *Content) GetStoryMessage() *StoryMessage {
	if x != nil {
		return x.StoryMessage
	}
	return nil
}

func (x *Content) GetPniSignatureMessage() *PniSignatureMessage {
	if x != nil {
		return x.PniSignatureMessage
	}
	return nil
}

func (x *Content) GetEditMessage() *EditMessage {
	if x != nil {
		return x.EditMessage
	}
	return nil
}

type CallMessage struct {
	state               protoimpl.MessageState   `protogen:"open.v1"`
	Offer               *CallMessage_Offer       `protobuf:"bytes,1,opt,name=offer" json:"offer,omitempty"`
	Answer              *CallMessage_Answer      `protobuf:"bytes,2,opt,name=answer" json:"answer,omitempty"`
	IceUpdate           []*CallMessage_IceUpdate `protobuf:"bytes,3,rep,name=iceUpdate" json:"iceUpdate,omitempty"`
	Busy                *CallMessage_Busy        `protobuf:"bytes,5,opt,name=busy" json:"busy,omitempty"`
	Hangup              *CallMessage_Hangup      `protobuf:"bytes,7,opt,name=hangup" json:"hangup,omitempty"`
	DestinationDeviceId *uint32                  `protobuf:"varint,9,opt,name=destinationDeviceId" json:"destinationDeviceId,omitempty"`
	Opaque              *CallMessage_Opaque      `protobuf:"bytes,10,opt,name=opaque" json:"opaque,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *CallMessage) Reset() {
	*x = CallMessage{}
	mi := &file_SignalService_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage) ProtoMessage() {}

func (x *CallMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage.ProtoReflect.Descriptor instead.
func (*CallMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2}
}

func (x *CallMessage) GetOffer() *CallMessage_Offer {
	if x != nil {
		return x.Offer
	}
	return nil
}

func (x *CallMessage) GetAnswer() *CallMessage_Answer {
	if x != nil {
		return x.Answer
	}
	return nil
}

func (x *CallMessage) GetIceUpdate() []*CallMessage_IceUpdate {
	if x != nil {
		return x.IceUpdate
	}
	return nil
}

func (x *CallMessage) GetBusy() *CallMessage_Busy {
	if x != nil {
		return x.Busy
	}
	return nil
}

func (x *CallMessage) GetHangup() *CallMessage_Hangup {
	if x != nil {
		return x.Hangup
	}
	return nil
}

func (x *CallMessage) GetDestinationDeviceId() uint32 {
	if x != nil && x.DestinationDeviceId != nil {
		return *x.DestinationDeviceId
	}
	return 0
}

func (x *CallMessage) GetOpaque() *CallMessage_Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

type DataMessage struct {
	state                   protoimpl.MessageState       `protogen:"open.v1"`
	Body                    *string                      `protobuf:"bytes,1,opt,name=body" json:"body,omitempty"`
	Attachments             []*AttachmentPointer         `protobuf:"bytes,2,rep,name=attachments" json:"attachments,omitempty"`
	GroupV2                 *GroupContextV2              `protobuf:"bytes,15,opt,name=groupV2" json:"groupV2,omitempty"`
	Flags                   *uint32                      `protobuf:"varint,4,opt,name=flags" json:"flags,omitempty"`
	ExpireTimer             *uint32                      `protobuf:"varint,5,opt,name=expireTimer" json:"expireTimer,omitempty"`
	ExpireTimerVersion      *uint32                      `protobuf:"varint,23,opt,name=expireTimerVersion" json:"expireTimerVersion,omitempty"`
	ProfileKey              []byte                       `protobuf:"bytes,6,opt,name=profileKey" json:"profileKey,omitempty"`
	Timestamp               *uint64                      `protobuf:"varint,7,opt,name=timestamp" json:"timestamp,omitempty"`
	Quote                   *DataMessage_Quote           `protobuf:"bytes,8,opt,name=quote" json:"quote,omitempty"`
	Contact                 []*DataMessage_Contact       `protobuf:"bytes,9,rep,name=contact" json:"contact,omitempty"`
	Preview                 []*Preview                   `protobuf:"bytes,10,rep,name=preview" json:"preview,omitempty"`
	Sticker                 *DataMessage_Sticker         `protobuf:"bytes,11,opt,name=sticker" json:"sticker,omitempty"`
	RequiredProtocolVersion *uint32                      `protobuf:"varint,12,opt,name=requiredProtocolVersion" json:"requiredProtocolVersion,omitempty"`
	IsViewOnce              *bool                        `protobuf:"varint,14,opt,name=isViewOnce" json:"isViewOnce,omitempty"`
	Reaction                *DataMessage_Reaction        `protobuf:"bytes,16,opt,name=reaction" json:"reaction,omitempty"`
	Delete                  *DataMessage_Delete          `protobuf:"bytes,17,opt,name=delete" json:"delete,omitempty"`
	BodyRanges              []*BodyRange                 `protobuf:"bytes,18,rep,name=bodyRanges" json:"bodyRanges,omitempty"`
	GroupCallUpdate         *DataMessage_GroupCallUpdate `protobuf:"bytes,19,opt,name=groupCallUpdate" json:"groupCallUpdate,omitempty"`
	Payment                 *DataMessage_Payment         `protobuf:"bytes,20,opt,name=payment" json:"payment,omitempty"`
	StoryContext            *DataMessage_StoryContext    `protobuf:"bytes,21,opt,name=storyContext" json:"storyContext,omitempty"`
	GiftBadge               *DataMessage_GiftBadge       `protobuf:"bytes,22,opt,name=giftBadge" json:"giftBadge,omitempty"` // NEXT ID: 24
	unknownFields           protoimpl.UnknownFields
	sizeCache               protoimpl.SizeCache
}

func (x *DataMessage) Reset() {
	*x = DataMessage{}
	mi := &file_SignalService_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage) ProtoMessage() {}

func (x *DataMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage.ProtoReflect.Descriptor instead.
func (*DataMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3}
}

func (x *DataMessage) GetBody() string {
	if x != nil && x.Body != nil {
		return *x.Body
	}
	return ""
}

func (x *DataMessage) GetAttachments() []*AttachmentPointer {
	if x != nil {
		return x.Attachments
	}
	return nil
}

func (x *DataMessage) GetGroupV2() *GroupContextV2 {
	if x != nil {
		return x.GroupV2
	}
	return nil
}

func (x *DataMessage) GetFlags() uint32 {
	if x != nil && x.Flags != nil {
		return *x.Flags
	}
	return 0
}

func (x *DataMessage) GetExpireTimer() uint32 {
	if x != nil && x.ExpireTimer != nil {
		return *x.ExpireTimer
	}
	return 0
}

func (x *DataMessage) GetExpireTimerVersion() uint32 {
	if x != nil && x.ExpireTimerVersion != nil {
		return *x.ExpireTimerVersion
	}
	return 0
}

func (x *DataMessage) GetProfileKey() []byte {
	if x != nil {
		return x.ProfileKey
	}
	return nil
}

func (x *DataMessage) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *DataMessage) GetQuote() *DataMessage_Quote {
	if x != nil {
		return x.Quote
	}
	return nil
}

func (x *DataMessage) GetContact() []*DataMessage_Contact {
	if x != nil {
		return x.Contact
	}
	return nil
}

func (x *DataMessage) GetPreview() []*Preview {
	if x != nil {
		return x.Preview
	}
	return nil
}

func (x *DataMessage) GetSticker() *DataMessage_Sticker {
	if x != nil {
		return x.Sticker
	}
	return nil
}

func (x *DataMessage) GetRequiredProtocolVersion() uint32 {
	if x != nil && x.RequiredProtocolVersion != nil {
		return *x.RequiredProtocolVersion
	}
	return 0
}

func (x *DataMessage) GetIsViewOnce() bool {
	if x != nil && x.IsViewOnce != nil {
		return *x.IsViewOnce
	}
	return false
}

func (x *DataMessage) GetReaction() *DataMessage_Reaction {
	if x != nil {
		return x.Reaction
	}
	return nil
}

func (x *DataMessage) GetDelete() *DataMessage_Delete {
	if x != nil {
		return x.Delete
	}
	return nil
}

func (x *DataMessage) GetBodyRanges() []*BodyRange {
	if x != nil {
		return x.BodyRanges
	}
	return nil
}

func (x *DataMessage) GetGroupCallUpdate() *DataMessage_GroupCallUpdate {
	if x != nil {
		return x.GroupCallUpdate
	}
	return nil
}

func (x *DataMessage) GetPayment() *DataMessage_Payment {
	if x != nil {
		return x.Payment
	}
	return nil
}

func (x *DataMessage) GetStoryContext() *DataMessage_StoryContext {
	if x != nil {
		return x.StoryContext
	}
	return nil
}

func (x *DataMessage) GetGiftBadge() *DataMessage_GiftBadge {
	if x != nil {
		return x.GiftBadge
	}
	return nil
}

type NullMessage struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Padding       []byte                 `protobuf:"bytes,1,opt,name=padding" json:"padding,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *NullMessage) Reset() {
	*x = NullMessage{}
	mi := &file_SignalService_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *NullMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NullMessage) ProtoMessage() {}

func (x *NullMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NullMessage.ProtoReflect.Descriptor instead.
func (*NullMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{4}
}

func (x *NullMessage) GetPadding() []byte {
	if x != nil {
		return x.Padding
	}
	return nil
}

type ReceiptMessage struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Type          *ReceiptMessage_Type   `protobuf:"varint,1,opt,name=type,enum=signalservice.ReceiptMessage_Type" json:"type,omitempty"`
	Timestamp     []uint64               `protobuf:"varint,2,rep,name=timestamp" json:"timestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReceiptMessage) Reset() {
	*x = ReceiptMessage{}
	mi := &file_SignalService_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReceiptMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReceiptMessage) ProtoMessage() {}

func (x *ReceiptMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReceiptMessage.ProtoReflect.Descriptor instead.
func (*ReceiptMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{5}
}

func (x *ReceiptMessage) GetType() ReceiptMessage_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return ReceiptMessage_DELIVERY
}

func (x *ReceiptMessage) GetTimestamp() []uint64 {
	if x != nil {
		return x.Timestamp
	}
	return nil
}

type TypingMessage struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Timestamp     *uint64                `protobuf:"varint,1,opt,name=timestamp" json:"timestamp,omitempty"`
	Action        *TypingMessage_Action  `protobuf:"varint,2,opt,name=action,enum=signalservice.TypingMessage_Action" json:"action,omitempty"`
	GroupId       []byte                 `protobuf:"bytes,3,opt,name=groupId" json:"groupId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *TypingMessage) Reset() {
	*x = TypingMessage{}
	mi := &file_SignalService_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *TypingMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TypingMessage) ProtoMessage() {}

func (x *TypingMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TypingMessage.ProtoReflect.Descriptor instead.
func (*TypingMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{6}
}

func (x *TypingMessage) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *TypingMessage) GetAction() TypingMessage_Action {
	if x != nil && x.Action != nil {
		return *x.Action
	}
	return TypingMessage_STARTED
}

func (x *TypingMessage) GetGroupId() []byte {
	if x != nil {
		return x.GroupId
	}
	return nil
}

type StoryMessage struct {
	state      protoimpl.MessageState `protogen:"open.v1"`
	ProfileKey []byte                 `protobuf:"bytes,1,opt,name=profileKey" json:"profileKey,omitempty"`
	Group      *GroupContextV2        `protobuf:"bytes,2,opt,name=group" json:"group,omitempty"`
	// Types that are valid to be assigned to Attachment:
	//
	//	*StoryMessage_FileAttachment
	//	*StoryMessage_TextAttachment
	Attachment    isStoryMessage_Attachment `protobuf_oneof:"attachment"`
	AllowsReplies *bool                     `protobuf:"varint,5,opt,name=allowsReplies" json:"allowsReplies,omitempty"`
	BodyRanges    []*BodyRange              `protobuf:"bytes,6,rep,name=bodyRanges" json:"bodyRanges,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *StoryMessage) Reset() {
	*x = StoryMessage{}
	mi := &file_SignalService_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *StoryMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StoryMessage) ProtoMessage() {}

func (x *StoryMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StoryMessage.ProtoReflect.Descriptor instead.
func (*StoryMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{7}
}

func (x *StoryMessage) GetProfileKey() []byte {
	if x != nil {
		return x.ProfileKey
	}
	return nil
}

func (x *StoryMessage) GetGroup() *GroupContextV2 {
	if x != nil {
		return x.Group
	}
	return nil
}

func (x *StoryMessage) GetAttachment() isStoryMessage_Attachment {
	if x != nil {
		return x.Attachment
	}
	return nil
}

func (x *StoryMessage) GetFileAttachment() *AttachmentPointer {
	if x != nil {
		if x, ok := x.Attachment.(*StoryMessage_FileAttachment); ok {
			return x.FileAttachment
		}
	}
	return nil
}

func (x *StoryMessage) GetTextAttachment() *TextAttachment {
	if x != nil {
		if x, ok := x.Attachment.(*StoryMessage_TextAttachment); ok {
			return x.TextAttachment
		}
	}
	return nil
}

func (x *StoryMessage) GetAllowsReplies() bool {
	if x != nil && x.AllowsReplies != nil {
		return *x.AllowsReplies
	}
	return false
}

func (x *StoryMessage) GetBodyRanges() []*BodyRange {
	if x != nil {
		return x.BodyRanges
	}
	return nil
}

type isStoryMessage_Attachment interface {
	isStoryMessage_Attachment()
}

type StoryMessage_FileAttachment struct {
	FileAttachment *AttachmentPointer `protobuf:"bytes,3,opt,name=fileAttachment,oneof"`
}

type StoryMessage_TextAttachment struct {
	TextAttachment *TextAttachment `protobuf:"bytes,4,opt,name=textAttachment,oneof"`
}

func (*StoryMessage_FileAttachment) isStoryMessage_Attachment() {}

func (*StoryMessage_TextAttachment) isStoryMessage_Attachment() {}

type Preview struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Url           *string                `protobuf:"bytes,1,opt,name=url" json:"url,omitempty"`
	Title         *string                `protobuf:"bytes,2,opt,name=title" json:"title,omitempty"`
	Image         *AttachmentPointer     `protobuf:"bytes,3,opt,name=image" json:"image,omitempty"`
	Description   *string                `protobuf:"bytes,4,opt,name=description" json:"description,omitempty"`
	Date          *uint64                `protobuf:"varint,5,opt,name=date" json:"date,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Preview) Reset() {
	*x = Preview{}
	mi := &file_SignalService_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Preview) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Preview) ProtoMessage() {}

func (x *Preview) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Preview.ProtoReflect.Descriptor instead.
func (*Preview) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{8}
}

func (x *Preview) GetUrl() string {
	if x != nil && x.Url != nil {
		return *x.Url
	}
	return ""
}

func (x *Preview) GetTitle() string {
	if x != nil && x.Title != nil {
		return *x.Title
	}
	return ""
}

func (x *Preview) GetImage() *AttachmentPointer {
	if x != nil {
		return x.Image
	}
	return nil
}

func (x *Preview) GetDescription() string {
	if x != nil && x.Description != nil {
		return *x.Description
	}
	return ""
}

func (x *Preview) GetDate() uint64 {
	if x != nil && x.Date != nil {
		return *x.Date
	}
	return 0
}

type TextAttachment struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Text                *string                `protobuf:"bytes,1,opt,name=text" json:"text,omitempty"`
	TextStyle           *TextAttachment_Style  `protobuf:"varint,2,opt,name=textStyle,enum=signalservice.TextAttachment_Style" json:"textStyle,omitempty"`
	TextForegroundColor *uint32                `protobuf:"varint,3,opt,name=textForegroundColor" json:"textForegroundColor,omitempty"` // integer representation of hex color
	TextBackgroundColor *uint32                `protobuf:"varint,4,opt,name=textBackgroundColor" json:"textBackgroundColor,omitempty"`
	Preview             *Preview               `protobuf:"bytes,5,opt,name=preview" json:"preview,omitempty"`
	// Types that are valid to be assigned to Background:
	//
	//	*TextAttachment_Gradient_
	//	*TextAttachment_Color
	Background    isTextAttachment_Background `protobuf_oneof:"background"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *TextAttachment) Reset() {
	*x = TextAttachment{}
	mi := &file_SignalService_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *TextAttachment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TextAttachment) ProtoMessage() {}

func (x *TextAttachment) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TextAttachment.ProtoReflect.Descriptor instead.
func (*TextAttachment) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{9}
}

func (x *TextAttachment) GetText() string {
	if x != nil && x.Text != nil {
		return *x.Text
	}
	return ""
}

func (x *TextAttachment) GetTextStyle() TextAttachment_Style {
	if x != nil && x.TextStyle != nil {
		return *x.TextStyle
	}
	return TextAttachment_DEFAULT
}

func (x *TextAttachment) GetTextForegroundColor() uint32 {
	if x != nil && x.TextForegroundColor != nil {
		return *x.TextForegroundColor
	}
	return 0
}

func (x *TextAttachment) GetTextBackgroundColor() uint32 {
	if x != nil && x.TextBackgroundColor != nil {
		return *x.TextBackgroundColor
	}
	return 0
}

func (x *TextAttachment) GetPreview() *Preview {
	if x != nil {
		return x.Preview
	}
	return nil
}

func (x *TextAttachment) GetBackground() isTextAttachment_Background {
	if x != nil {
		return x.Background
	}
	return nil
}

func (x *TextAttachment) GetGradient() *TextAttachment_Gradient {
	if x != nil {
		if x, ok := x.Background.(*TextAttachment_Gradient_); ok {
			return x.Gradient
		}
	}
	return nil
}

func (x *TextAttachment) GetColor() uint32 {
	if x != nil {
		if x, ok := x.Background.(*TextAttachment_Color); ok {
			return x.Color
		}
	}
	return 0
}

type isTextAttachment_Background interface {
	isTextAttachment_Background()
}

type TextAttachment_Gradient_ struct {
	Gradient *TextAttachment_Gradient `protobuf:"bytes,6,opt,name=gradient,oneof"`
}

type TextAttachment_Color struct {
	Color uint32 `protobuf:"varint,7,opt,name=color,oneof"`
}

func (*TextAttachment_Gradient_) isTextAttachment_Background() {}

func (*TextAttachment_Color) isTextAttachment_Background() {}

type Verified struct {
	state          protoimpl.MessageState `protogen:"open.v1"`
	DestinationAci *string                `protobuf:"bytes,5,opt,name=destinationAci" json:"destinationAci,omitempty"`
	IdentityKey    []byte                 `protobuf:"bytes,2,opt,name=identityKey" json:"identityKey,omitempty"`
	State          *Verified_State        `protobuf:"varint,3,opt,name=state,enum=signalservice.Verified_State" json:"state,omitempty"`
	NullMessage    []byte                 `protobuf:"bytes,4,opt,name=nullMessage" json:"nullMessage,omitempty"`
	unknownFields  protoimpl.UnknownFields
	sizeCache      protoimpl.SizeCache
}

func (x *Verified) Reset() {
	*x = Verified{}
	mi := &file_SignalService_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Verified) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Verified) ProtoMessage() {}

func (x *Verified) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Verified.ProtoReflect.Descriptor instead.
func (*Verified) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{10}
}

func (x *Verified) GetDestinationAci() string {
	if x != nil && x.DestinationAci != nil {
		return *x.DestinationAci
	}
	return ""
}

func (x *Verified) GetIdentityKey() []byte {
	if x != nil {
		return x.IdentityKey
	}
	return nil
}

func (x *Verified) GetState() Verified_State {
	if x != nil && x.State != nil {
		return *x.State
	}
	return Verified_DEFAULT
}

func (x *Verified) GetNullMessage() []byte {
	if x != nil {
		return x.NullMessage
	}
	return nil
}

type SyncMessage struct {
	state                      protoimpl.MessageState                  `protogen:"open.v1"`
	Sent                       *SyncMessage_Sent                       `protobuf:"bytes,1,opt,name=sent" json:"sent,omitempty"`
	Contacts                   *SyncMessage_Contacts                   `protobuf:"bytes,2,opt,name=contacts" json:"contacts,omitempty"`
	Request                    *SyncMessage_Request                    `protobuf:"bytes,4,opt,name=request" json:"request,omitempty"`
	Read                       []*SyncMessage_Read                     `protobuf:"bytes,5,rep,name=read" json:"read,omitempty"`
	Blocked                    *SyncMessage_Blocked                    `protobuf:"bytes,6,opt,name=blocked" json:"blocked,omitempty"`
	Verified                   *Verified                               `protobuf:"bytes,7,opt,name=verified" json:"verified,omitempty"`
	Configuration              *SyncMessage_Configuration              `protobuf:"bytes,9,opt,name=configuration" json:"configuration,omitempty"`
	Padding                    []byte                                  `protobuf:"bytes,8,opt,name=padding" json:"padding,omitempty"`
	StickerPackOperation       []*SyncMessage_StickerPackOperation     `protobuf:"bytes,10,rep,name=stickerPackOperation" json:"stickerPackOperation,omitempty"`
	ViewOnceOpen               *SyncMessage_ViewOnceOpen               `protobuf:"bytes,11,opt,name=viewOnceOpen" json:"viewOnceOpen,omitempty"`
	FetchLatest                *SyncMessage_FetchLatest                `protobuf:"bytes,12,opt,name=fetchLatest" json:"fetchLatest,omitempty"`
	Keys                       *SyncMessage_Keys                       `protobuf:"bytes,13,opt,name=keys" json:"keys,omitempty"`
	MessageRequestResponse     *SyncMessage_MessageRequestResponse     `protobuf:"bytes,14,opt,name=messageRequestResponse" json:"messageRequestResponse,omitempty"`
	OutgoingPayment            *SyncMessage_OutgoingPayment            `protobuf:"bytes,15,opt,name=outgoingPayment" json:"outgoingPayment,omitempty"`
	Viewed                     []*SyncMessage_Viewed                   `protobuf:"bytes,16,rep,name=viewed" json:"viewed,omitempty"`
	PniChangeNumber            *SyncMessage_PniChangeNumber            `protobuf:"bytes,18,opt,name=pniChangeNumber" json:"pniChangeNumber,omitempty"`
	CallEvent                  *SyncMessage_CallEvent                  `protobuf:"bytes,19,opt,name=callEvent" json:"callEvent,omitempty"`
	CallLinkUpdate             *SyncMessage_CallLinkUpdate             `protobuf:"bytes,20,opt,name=callLinkUpdate" json:"callLinkUpdate,omitempty"`
	CallLogEvent               *SyncMessage_CallLogEvent               `protobuf:"bytes,21,opt,name=callLogEvent" json:"callLogEvent,omitempty"`
	DeleteForMe                *SyncMessage_DeleteForMe                `protobuf:"bytes,22,opt,name=deleteForMe" json:"deleteForMe,omitempty"`
	DeviceNameChange           *SyncMessage_DeviceNameChange           `protobuf:"bytes,23,opt,name=deviceNameChange" json:"deviceNameChange,omitempty"`
	AttachmentBackfillRequest  *SyncMessage_AttachmentBackfillRequest  `protobuf:"bytes,24,opt,name=attachmentBackfillRequest" json:"attachmentBackfillRequest,omitempty"`
	AttachmentBackfillResponse *SyncMessage_AttachmentBackfillResponse `protobuf:"bytes,25,opt,name=attachmentBackfillResponse" json:"attachmentBackfillResponse,omitempty"`
	unknownFields              protoimpl.UnknownFields
	sizeCache                  protoimpl.SizeCache
}

func (x *SyncMessage) Reset() {
	*x = SyncMessage{}
	mi := &file_SignalService_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage) ProtoMessage() {}

func (x *SyncMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage.ProtoReflect.Descriptor instead.
func (*SyncMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11}
}

func (x *SyncMessage) GetSent() *SyncMessage_Sent {
	if x != nil {
		return x.Sent
	}
	return nil
}

func (x *SyncMessage) GetContacts() *SyncMessage_Contacts {
	if x != nil {
		return x.Contacts
	}
	return nil
}

func (x *SyncMessage) GetRequest() *SyncMessage_Request {
	if x != nil {
		return x.Request
	}
	return nil
}

func (x *SyncMessage) GetRead() []*SyncMessage_Read {
	if x != nil {
		return x.Read
	}
	return nil
}

func (x *SyncMessage) GetBlocked() *SyncMessage_Blocked {
	if x != nil {
		return x.Blocked
	}
	return nil
}

func (x *SyncMessage) GetVerified() *Verified {
	if x != nil {
		return x.Verified
	}
	return nil
}

func (x *SyncMessage) GetConfiguration() *SyncMessage_Configuration {
	if x != nil {
		return x.Configuration
	}
	return nil
}

func (x *SyncMessage) GetPadding() []byte {
	if x != nil {
		return x.Padding
	}
	return nil
}

func (x *SyncMessage) GetStickerPackOperation() []*SyncMessage_StickerPackOperation {
	if x != nil {
		return x.StickerPackOperation
	}
	return nil
}

func (x *SyncMessage) GetViewOnceOpen() *SyncMessage_ViewOnceOpen {
	if x != nil {
		return x.ViewOnceOpen
	}
	return nil
}

func (x *SyncMessage) GetFetchLatest() *SyncMessage_FetchLatest {
	if x != nil {
		return x.FetchLatest
	}
	return nil
}

func (x *SyncMessage) GetKeys() *SyncMessage_Keys {
	if x != nil {
		return x.Keys
	}
	return nil
}

func (x *SyncMessage) GetMessageRequestResponse() *SyncMessage_MessageRequestResponse {
	if x != nil {
		return x.MessageRequestResponse
	}
	return nil
}

func (x *SyncMessage) GetOutgoingPayment() *SyncMessage_OutgoingPayment {
	if x != nil {
		return x.OutgoingPayment
	}
	return nil
}

func (x *SyncMessage) GetViewed() []*SyncMessage_Viewed {
	if x != nil {
		return x.Viewed
	}
	return nil
}

func (x *SyncMessage) GetPniChangeNumber() *SyncMessage_PniChangeNumber {
	if x != nil {
		return x.PniChangeNumber
	}
	return nil
}

func (x *SyncMessage) GetCallEvent() *SyncMessage_CallEvent {
	if x != nil {
		return x.CallEvent
	}
	return nil
}

func (x *SyncMessage) GetCallLinkUpdate() *SyncMessage_CallLinkUpdate {
	if x != nil {
		return x.CallLinkUpdate
	}
	return nil
}

func (x *SyncMessage) GetCallLogEvent() *SyncMessage_CallLogEvent {
	if x != nil {
		return x.CallLogEvent
	}
	return nil
}

func (x *SyncMessage) GetDeleteForMe() *SyncMessage_DeleteForMe {
	if x != nil {
		return x.DeleteForMe
	}
	return nil
}

func (x *SyncMessage) GetDeviceNameChange() *SyncMessage_DeviceNameChange {
	if x != nil {
		return x.DeviceNameChange
	}
	return nil
}

func (x *SyncMessage) GetAttachmentBackfillRequest() *SyncMessage_AttachmentBackfillRequest {
	if x != nil {
		return x.AttachmentBackfillRequest
	}
	return nil
}

func (x *SyncMessage) GetAttachmentBackfillResponse() *SyncMessage_AttachmentBackfillResponse {
	if x != nil {
		return x.AttachmentBackfillResponse
	}
	return nil
}

type AttachmentPointer struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to AttachmentIdentifier:
	//
	//	*AttachmentPointer_CdnId
	//	*AttachmentPointer_CdnKey
	AttachmentIdentifier isAttachmentPointer_AttachmentIdentifier `protobuf_oneof:"attachment_identifier"`
	// Cross-client identifier for this attachment among all attachments on the
	// owning message.
	ClientUuid      []byte  `protobuf:"bytes,20,opt,name=clientUuid" json:"clientUuid,omitempty"`
	ContentType     *string `protobuf:"bytes,2,opt,name=contentType" json:"contentType,omitempty"`
	Key             []byte  `protobuf:"bytes,3,opt,name=key" json:"key,omitempty"`
	Size            *uint32 `protobuf:"varint,4,opt,name=size" json:"size,omitempty"`
	Thumbnail       []byte  `protobuf:"bytes,5,opt,name=thumbnail" json:"thumbnail,omitempty"`
	Digest          []byte  `protobuf:"bytes,6,opt,name=digest" json:"digest,omitempty"`
	IncrementalMac  []byte  `protobuf:"bytes,19,opt,name=incrementalMac" json:"incrementalMac,omitempty"`
	ChunkSize       *uint32 `protobuf:"varint,17,opt,name=chunkSize" json:"chunkSize,omitempty"`
	FileName        *string `protobuf:"bytes,7,opt,name=fileName" json:"fileName,omitempty"`
	Flags           *uint32 `protobuf:"varint,8,opt,name=flags" json:"flags,omitempty"`
	Width           *uint32 `protobuf:"varint,9,opt,name=width" json:"width,omitempty"`
	Height          *uint32 `protobuf:"varint,10,opt,name=height" json:"height,omitempty"`
	Caption         *string `protobuf:"bytes,11,opt,name=caption" json:"caption,omitempty"`
	BlurHash        *string `protobuf:"bytes,12,opt,name=blurHash" json:"blurHash,omitempty"`
	UploadTimestamp *uint64 `protobuf:"varint,13,opt,name=uploadTimestamp" json:"uploadTimestamp,omitempty"`
	CdnNumber       *uint32 `protobuf:"varint,14,opt,name=cdnNumber" json:"cdnNumber,omitempty"` // Next ID: 21
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *AttachmentPointer) Reset() {
	*x = AttachmentPointer{}
	mi := &file_SignalService_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AttachmentPointer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AttachmentPointer) ProtoMessage() {}

func (x *AttachmentPointer) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AttachmentPointer.ProtoReflect.Descriptor instead.
func (*AttachmentPointer) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{12}
}

func (x *AttachmentPointer) GetAttachmentIdentifier() isAttachmentPointer_AttachmentIdentifier {
	if x != nil {
		return x.AttachmentIdentifier
	}
	return nil
}

func (x *AttachmentPointer) GetCdnId() uint64 {
	if x != nil {
		if x, ok := x.AttachmentIdentifier.(*AttachmentPointer_CdnId); ok {
			return x.CdnId
		}
	}
	return 0
}

func (x *AttachmentPointer) GetCdnKey() string {
	if x != nil {
		if x, ok := x.AttachmentIdentifier.(*AttachmentPointer_CdnKey); ok {
			return x.CdnKey
		}
	}
	return ""
}

func (x *AttachmentPointer) GetClientUuid() []byte {
	if x != nil {
		return x.ClientUuid
	}
	return nil
}

func (x *AttachmentPointer) GetContentType() string {
	if x != nil && x.ContentType != nil {
		return *x.ContentType
	}
	return ""
}

func (x *AttachmentPointer) GetKey() []byte {
	if x != nil {
		return x.Key
	}
	return nil
}

func (x *AttachmentPointer) GetSize() uint32 {
	if x != nil && x.Size != nil {
		return *x.Size
	}
	return 0
}

func (x *AttachmentPointer) GetThumbnail() []byte {
	if x != nil {
		return x.Thumbnail
	}
	return nil
}

func (x *AttachmentPointer) GetDigest() []byte {
	if x != nil {
		return x.Digest
	}
	return nil
}

func (x *AttachmentPointer) GetIncrementalMac() []byte {
	if x != nil {
		return x.IncrementalMac
	}
	return nil
}

func (x *AttachmentPointer) GetChunkSize() uint32 {
	if x != nil && x.ChunkSize != nil {
		return *x.ChunkSize
	}
	return 0
}

func (x *AttachmentPointer) GetFileName() string {
	if x != nil && x.FileName != nil {
		return *x.FileName
	}
	return ""
}

func (x *AttachmentPointer) GetFlags() uint32 {
	if x != nil && x.Flags != nil {
		return *x.Flags
	}
	return 0
}

func (x *AttachmentPointer) GetWidth() uint32 {
	if x != nil && x.Width != nil {
		return *x.Width
	}
	return 0
}

func (x *AttachmentPointer) GetHeight() uint32 {
	if x != nil && x.Height != nil {
		return *x.Height
	}
	return 0
}

func (x *AttachmentPointer) GetCaption() string {
	if x != nil && x.Caption != nil {
		return *x.Caption
	}
	return ""
}

func (x *AttachmentPointer) GetBlurHash() string {
	if x != nil && x.BlurHash != nil {
		return *x.BlurHash
	}
	return ""
}

func (x *AttachmentPointer) GetUploadTimestamp() uint64 {
	if x != nil && x.UploadTimestamp != nil {
		return *x.UploadTimestamp
	}
	return 0
}

func (x *AttachmentPointer) GetCdnNumber() uint32 {
	if x != nil && x.CdnNumber != nil {
		return *x.CdnNumber
	}
	return 0
}

type isAttachmentPointer_AttachmentIdentifier interface {
	isAttachmentPointer_AttachmentIdentifier()
}

type AttachmentPointer_CdnId struct {
	CdnId uint64 `protobuf:"fixed64,1,opt,name=cdnId,oneof"`
}

type AttachmentPointer_CdnKey struct {
	CdnKey string `protobuf:"bytes,15,opt,name=cdnKey,oneof"`
}

func (*AttachmentPointer_CdnId) isAttachmentPointer_AttachmentIdentifier() {}

func (*AttachmentPointer_CdnKey) isAttachmentPointer_AttachmentIdentifier() {}

type GroupContextV2 struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	MasterKey     []byte                 `protobuf:"bytes,1,opt,name=masterKey" json:"masterKey,omitempty"`
	Revision      *uint32                `protobuf:"varint,2,opt,name=revision" json:"revision,omitempty"`
	GroupChange   []byte                 `protobuf:"bytes,3,opt,name=groupChange" json:"groupChange,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GroupContextV2) Reset() {
	*x = GroupContextV2{}
	mi := &file_SignalService_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GroupContextV2) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GroupContextV2) ProtoMessage() {}

func (x *GroupContextV2) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GroupContextV2.ProtoReflect.Descriptor instead.
func (*GroupContextV2) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{13}
}

func (x *GroupContextV2) GetMasterKey() []byte {
	if x != nil {
		return x.MasterKey
	}
	return nil
}

func (x *GroupContextV2) GetRevision() uint32 {
	if x != nil && x.Revision != nil {
		return *x.Revision
	}
	return 0
}

func (x *GroupContextV2) GetGroupChange() []byte {
	if x != nil {
		return x.GroupChange
	}
	return nil
}

type ContactDetails struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	Number             *string                `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Aci                *string                `protobuf:"bytes,9,opt,name=aci" json:"aci,omitempty"`
	Name               *string                `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Avatar             *ContactDetails_Avatar `protobuf:"bytes,3,opt,name=avatar" json:"avatar,omitempty"`
	ExpireTimer        *uint32                `protobuf:"varint,8,opt,name=expireTimer" json:"expireTimer,omitempty"`
	ExpireTimerVersion *uint32                `protobuf:"varint,12,opt,name=expireTimerVersion" json:"expireTimerVersion,omitempty"`
	InboxPosition      *uint32                `protobuf:"varint,10,opt,name=inboxPosition" json:"inboxPosition,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *ContactDetails) Reset() {
	*x = ContactDetails{}
	mi := &file_SignalService_proto_msgTypes[14]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ContactDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ContactDetails) ProtoMessage() {}

func (x *ContactDetails) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[14]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ContactDetails.ProtoReflect.Descriptor instead.
func (*ContactDetails) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{14}
}

func (x *ContactDetails) GetNumber() string {
	if x != nil && x.Number != nil {
		return *x.Number
	}
	return ""
}

func (x *ContactDetails) GetAci() string {
	if x != nil && x.Aci != nil {
		return *x.Aci
	}
	return ""
}

func (x *ContactDetails) GetName() string {
	if x != nil && x.Name != nil {
		return *x.Name
	}
	return ""
}

func (x *ContactDetails) GetAvatar() *ContactDetails_Avatar {
	if x != nil {
		return x.Avatar
	}
	return nil
}

func (x *ContactDetails) GetExpireTimer() uint32 {
	if x != nil && x.ExpireTimer != nil {
		return *x.ExpireTimer
	}
	return 0
}

func (x *ContactDetails) GetExpireTimerVersion() uint32 {
	if x != nil && x.ExpireTimerVersion != nil {
		return *x.ExpireTimerVersion
	}
	return 0
}

func (x *ContactDetails) GetInboxPosition() uint32 {
	if x != nil && x.InboxPosition != nil {
		return *x.InboxPosition
	}
	return 0
}

type PaymentAddress struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Address:
	//
	//	*PaymentAddress_MobileCoin_
	Address       isPaymentAddress_Address `protobuf_oneof:"Address"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PaymentAddress) Reset() {
	*x = PaymentAddress{}
	mi := &file_SignalService_proto_msgTypes[15]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PaymentAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PaymentAddress) ProtoMessage() {}

func (x *PaymentAddress) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[15]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PaymentAddress.ProtoReflect.Descriptor instead.
func (*PaymentAddress) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{15}
}

func (x *PaymentAddress) GetAddress() isPaymentAddress_Address {
	if x != nil {
		return x.Address
	}
	return nil
}

func (x *PaymentAddress) GetMobileCoin() *PaymentAddress_MobileCoin {
	if x != nil {
		if x, ok := x.Address.(*PaymentAddress_MobileCoin_); ok {
			return x.MobileCoin
		}
	}
	return nil
}

type isPaymentAddress_Address interface {
	isPaymentAddress_Address()
}

type PaymentAddress_MobileCoin_ struct {
	MobileCoin *PaymentAddress_MobileCoin `protobuf:"bytes,1,opt,name=mobileCoin,oneof"`
}

func (*PaymentAddress_MobileCoin_) isPaymentAddress_Address() {}

type DecryptionErrorMessage struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RatchetKey    []byte                 `protobuf:"bytes,1,opt,name=ratchetKey" json:"ratchetKey,omitempty"` // set to the public ratchet key from the SignalMessage if a 1-1 payload fails to decrypt
	Timestamp     *uint64                `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	DeviceId      *uint32                `protobuf:"varint,3,opt,name=deviceId" json:"deviceId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DecryptionErrorMessage) Reset() {
	*x = DecryptionErrorMessage{}
	mi := &file_SignalService_proto_msgTypes[16]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DecryptionErrorMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DecryptionErrorMessage) ProtoMessage() {}

func (x *DecryptionErrorMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[16]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DecryptionErrorMessage.ProtoReflect.Descriptor instead.
func (*DecryptionErrorMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{16}
}

func (x *DecryptionErrorMessage) GetRatchetKey() []byte {
	if x != nil {
		return x.RatchetKey
	}
	return nil
}

func (x *DecryptionErrorMessage) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *DecryptionErrorMessage) GetDeviceId() uint32 {
	if x != nil && x.DeviceId != nil {
		return *x.DeviceId
	}
	return 0
}

type PniSignatureMessage struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	Pni   []byte                 `protobuf:"bytes,1,opt,name=pni" json:"pni,omitempty"`
	// Signature *by* the PNI identity key *of* the ACI identity key
	Signature     []byte `protobuf:"bytes,2,opt,name=signature" json:"signature,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PniSignatureMessage) Reset() {
	*x = PniSignatureMessage{}
	mi := &file_SignalService_proto_msgTypes[17]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PniSignatureMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PniSignatureMessage) ProtoMessage() {}

func (x *PniSignatureMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[17]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PniSignatureMessage.ProtoReflect.Descriptor instead.
func (*PniSignatureMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{17}
}

func (x *PniSignatureMessage) GetPni() []byte {
	if x != nil {
		return x.Pni
	}
	return nil
}

func (x *PniSignatureMessage) GetSignature() []byte {
	if x != nil {
		return x.Signature
	}
	return nil
}

type EditMessage struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	TargetSentTimestamp *uint64                `protobuf:"varint,1,opt,name=targetSentTimestamp" json:"targetSentTimestamp,omitempty"`
	DataMessage         *DataMessage           `protobuf:"bytes,2,opt,name=dataMessage" json:"dataMessage,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *EditMessage) Reset() {
	*x = EditMessage{}
	mi := &file_SignalService_proto_msgTypes[18]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EditMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EditMessage) ProtoMessage() {}

func (x *EditMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[18]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EditMessage.ProtoReflect.Descriptor instead.
func (*EditMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{18}
}

func (x *EditMessage) GetTargetSentTimestamp() uint64 {
	if x != nil && x.TargetSentTimestamp != nil {
		return *x.TargetSentTimestamp
	}
	return 0
}

func (x *EditMessage) GetDataMessage() *DataMessage {
	if x != nil {
		return x.DataMessage
	}
	return nil
}

type BodyRange struct {
	state  protoimpl.MessageState `protogen:"open.v1"`
	Start  *uint32                `protobuf:"varint,1,opt,name=start" json:"start,omitempty"`   // Starting index in UTF-16 code units/raw string representation
	Length *uint32                `protobuf:"varint,2,opt,name=length" json:"length,omitempty"` // Length of range in UTF-16 code units/raw string representation
	// Types that are valid to be assigned to AssociatedValue:
	//
	//	*BodyRange_MentionAci
	//	*BodyRange_Style_
	AssociatedValue isBodyRange_AssociatedValue `protobuf_oneof:"associatedValue"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *BodyRange) Reset() {
	*x = BodyRange{}
	mi := &file_SignalService_proto_msgTypes[19]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *BodyRange) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BodyRange) ProtoMessage() {}

func (x *BodyRange) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[19]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BodyRange.ProtoReflect.Descriptor instead.
func (*BodyRange) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{19}
}

func (x *BodyRange) GetStart() uint32 {
	if x != nil && x.Start != nil {
		return *x.Start
	}
	return 0
}

func (x *BodyRange) GetLength() uint32 {
	if x != nil && x.Length != nil {
		return *x.Length
	}
	return 0
}

func (x *BodyRange) GetAssociatedValue() isBodyRange_AssociatedValue {
	if x != nil {
		return x.AssociatedValue
	}
	return nil
}

func (x *BodyRange) GetMentionAci() string {
	if x != nil {
		if x, ok := x.AssociatedValue.(*BodyRange_MentionAci); ok {
			return x.MentionAci
		}
	}
	return ""
}

func (x *BodyRange) GetStyle() BodyRange_Style {
	if x != nil {
		if x, ok := x.AssociatedValue.(*BodyRange_Style_); ok {
			return x.Style
		}
	}
	return BodyRange_NONE
}

type isBodyRange_AssociatedValue interface {
	isBodyRange_AssociatedValue()
}

type BodyRange_MentionAci struct {
	MentionAci string `protobuf:"bytes,3,opt,name=mentionAci,oneof"`
}

type BodyRange_Style_ struct {
	Style BodyRange_Style `protobuf:"varint,4,opt,name=style,enum=signalservice.BodyRange_Style,oneof"`
}

func (*BodyRange_MentionAci) isBodyRange_AssociatedValue() {}

func (*BodyRange_Style_) isBodyRange_AssociatedValue() {}

type AddressableMessage struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Author:
	//
	//	*AddressableMessage_AuthorServiceId
	//	*AddressableMessage_AuthorE164
	Author        isAddressableMessage_Author `protobuf_oneof:"author"`
	SentTimestamp *uint64                     `protobuf:"varint,3,opt,name=sentTimestamp" json:"sentTimestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AddressableMessage) Reset() {
	*x = AddressableMessage{}
	mi := &file_SignalService_proto_msgTypes[20]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AddressableMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddressableMessage) ProtoMessage() {}

func (x *AddressableMessage) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[20]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddressableMessage.ProtoReflect.Descriptor instead.
func (*AddressableMessage) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{20}
}

func (x *AddressableMessage) GetAuthor() isAddressableMessage_Author {
	if x != nil {
		return x.Author
	}
	return nil
}

func (x *AddressableMessage) GetAuthorServiceId() string {
	if x != nil {
		if x, ok := x.Author.(*AddressableMessage_AuthorServiceId); ok {
			return x.AuthorServiceId
		}
	}
	return ""
}

func (x *AddressableMessage) GetAuthorE164() string {
	if x != nil {
		if x, ok := x.Author.(*AddressableMessage_AuthorE164); ok {
			return x.AuthorE164
		}
	}
	return ""
}

func (x *AddressableMessage) GetSentTimestamp() uint64 {
	if x != nil && x.SentTimestamp != nil {
		return *x.SentTimestamp
	}
	return 0
}

type isAddressableMessage_Author interface {
	isAddressableMessage_Author()
}

type AddressableMessage_AuthorServiceId struct {
	AuthorServiceId string `protobuf:"bytes,1,opt,name=authorServiceId,oneof"`
}

type AddressableMessage_AuthorE164 struct {
	AuthorE164 string `protobuf:"bytes,2,opt,name=authorE164,oneof"`
}

func (*AddressableMessage_AuthorServiceId) isAddressableMessage_Author() {}

func (*AddressableMessage_AuthorE164) isAddressableMessage_Author() {}

type ConversationIdentifier struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Identifier:
	//
	//	*ConversationIdentifier_ThreadServiceId
	//	*ConversationIdentifier_ThreadGroupId
	//	*ConversationIdentifier_ThreadE164
	Identifier    isConversationIdentifier_Identifier `protobuf_oneof:"identifier"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ConversationIdentifier) Reset() {
	*x = ConversationIdentifier{}
	mi := &file_SignalService_proto_msgTypes[21]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ConversationIdentifier) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConversationIdentifier) ProtoMessage() {}

func (x *ConversationIdentifier) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[21]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConversationIdentifier.ProtoReflect.Descriptor instead.
func (*ConversationIdentifier) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{21}
}

func (x *ConversationIdentifier) GetIdentifier() isConversationIdentifier_Identifier {
	if x != nil {
		return x.Identifier
	}
	return nil
}

func (x *ConversationIdentifier) GetThreadServiceId() string {
	if x != nil {
		if x, ok := x.Identifier.(*ConversationIdentifier_ThreadServiceId); ok {
			return x.ThreadServiceId
		}
	}
	return ""
}

func (x *ConversationIdentifier) GetThreadGroupId() []byte {
	if x != nil {
		if x, ok := x.Identifier.(*ConversationIdentifier_ThreadGroupId); ok {
			return x.ThreadGroupId
		}
	}
	return nil
}

func (x *ConversationIdentifier) GetThreadE164() string {
	if x != nil {
		if x, ok := x.Identifier.(*ConversationIdentifier_ThreadE164); ok {
			return x.ThreadE164
		}
	}
	return ""
}

type isConversationIdentifier_Identifier interface {
	isConversationIdentifier_Identifier()
}

type ConversationIdentifier_ThreadServiceId struct {
	ThreadServiceId string `protobuf:"bytes,1,opt,name=threadServiceId,oneof"`
}

type ConversationIdentifier_ThreadGroupId struct {
	ThreadGroupId []byte `protobuf:"bytes,2,opt,name=threadGroupId,oneof"`
}

type ConversationIdentifier_ThreadE164 struct {
	ThreadE164 string `protobuf:"bytes,3,opt,name=threadE164,oneof"`
}

func (*ConversationIdentifier_ThreadServiceId) isConversationIdentifier_Identifier() {}

func (*ConversationIdentifier_ThreadGroupId) isConversationIdentifier_Identifier() {}

func (*ConversationIdentifier_ThreadE164) isConversationIdentifier_Identifier() {}

type CallMessage_Offer struct {
	state         protoimpl.MessageState  `protogen:"open.v1"`
	Id            *uint64                 `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	Type          *CallMessage_Offer_Type `protobuf:"varint,3,opt,name=type,enum=signalservice.CallMessage_Offer_Type" json:"type,omitempty"`
	Opaque        []byte                  `protobuf:"bytes,4,opt,name=opaque" json:"opaque,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_Offer) Reset() {
	*x = CallMessage_Offer{}
	mi := &file_SignalService_proto_msgTypes[22]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_Offer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_Offer) ProtoMessage() {}

func (x *CallMessage_Offer) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[22]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_Offer.ProtoReflect.Descriptor instead.
func (*CallMessage_Offer) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 0}
}

func (x *CallMessage_Offer) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

func (x *CallMessage_Offer) GetType() CallMessage_Offer_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return CallMessage_Offer_OFFER_AUDIO_CALL
}

func (x *CallMessage_Offer) GetOpaque() []byte {
	if x != nil {
		return x.Opaque
	}
	return nil
}

type CallMessage_Answer struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            *uint64                `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	Opaque        []byte                 `protobuf:"bytes,3,opt,name=opaque" json:"opaque,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_Answer) Reset() {
	*x = CallMessage_Answer{}
	mi := &file_SignalService_proto_msgTypes[23]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_Answer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_Answer) ProtoMessage() {}

func (x *CallMessage_Answer) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[23]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_Answer.ProtoReflect.Descriptor instead.
func (*CallMessage_Answer) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 1}
}

func (x *CallMessage_Answer) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

func (x *CallMessage_Answer) GetOpaque() []byte {
	if x != nil {
		return x.Opaque
	}
	return nil
}

type CallMessage_IceUpdate struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            *uint64                `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	Opaque        []byte                 `protobuf:"bytes,5,opt,name=opaque" json:"opaque,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_IceUpdate) Reset() {
	*x = CallMessage_IceUpdate{}
	mi := &file_SignalService_proto_msgTypes[24]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_IceUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_IceUpdate) ProtoMessage() {}

func (x *CallMessage_IceUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[24]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_IceUpdate.ProtoReflect.Descriptor instead.
func (*CallMessage_IceUpdate) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 2}
}

func (x *CallMessage_IceUpdate) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

func (x *CallMessage_IceUpdate) GetOpaque() []byte {
	if x != nil {
		return x.Opaque
	}
	return nil
}

type CallMessage_Busy struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            *uint64                `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_Busy) Reset() {
	*x = CallMessage_Busy{}
	mi := &file_SignalService_proto_msgTypes[25]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_Busy) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_Busy) ProtoMessage() {}

func (x *CallMessage_Busy) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[25]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_Busy.ProtoReflect.Descriptor instead.
func (*CallMessage_Busy) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 3}
}

func (x *CallMessage_Busy) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

type CallMessage_Hangup struct {
	state         protoimpl.MessageState   `protogen:"open.v1"`
	Id            *uint64                  `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	Type          *CallMessage_Hangup_Type `protobuf:"varint,2,opt,name=type,enum=signalservice.CallMessage_Hangup_Type" json:"type,omitempty"`
	DeviceId      *uint32                  `protobuf:"varint,3,opt,name=deviceId" json:"deviceId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_Hangup) Reset() {
	*x = CallMessage_Hangup{}
	mi := &file_SignalService_proto_msgTypes[26]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_Hangup) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_Hangup) ProtoMessage() {}

func (x *CallMessage_Hangup) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[26]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_Hangup.ProtoReflect.Descriptor instead.
func (*CallMessage_Hangup) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 4}
}

func (x *CallMessage_Hangup) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

func (x *CallMessage_Hangup) GetType() CallMessage_Hangup_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return CallMessage_Hangup_HANGUP_NORMAL
}

func (x *CallMessage_Hangup) GetDeviceId() uint32 {
	if x != nil && x.DeviceId != nil {
		return *x.DeviceId
	}
	return 0
}

type CallMessage_Opaque struct {
	state         protoimpl.MessageState      `protogen:"open.v1"`
	Data          []byte                      `protobuf:"bytes,1,opt,name=data" json:"data,omitempty"`
	Urgency       *CallMessage_Opaque_Urgency `protobuf:"varint,2,opt,name=urgency,enum=signalservice.CallMessage_Opaque_Urgency" json:"urgency,omitempty"` // If missing, treat as DROPPABLE.
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CallMessage_Opaque) Reset() {
	*x = CallMessage_Opaque{}
	mi := &file_SignalService_proto_msgTypes[27]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CallMessage_Opaque) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallMessage_Opaque) ProtoMessage() {}

func (x *CallMessage_Opaque) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[27]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallMessage_Opaque.ProtoReflect.Descriptor instead.
func (*CallMessage_Opaque) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{2, 5}
}

func (x *CallMessage_Opaque) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *CallMessage_Opaque) GetUrgency() CallMessage_Opaque_Urgency {
	if x != nil && x.Urgency != nil {
		return *x.Urgency
	}
	return CallMessage_Opaque_DROPPABLE
}

type DataMessage_Payment struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Item:
	//
	//	*DataMessage_Payment_Notification_
	//	*DataMessage_Payment_Activation_
	Item          isDataMessage_Payment_Item `protobuf_oneof:"Item"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment) Reset() {
	*x = DataMessage_Payment{}
	mi := &file_SignalService_proto_msgTypes[28]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment) ProtoMessage() {}

func (x *DataMessage_Payment) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[28]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0}
}

func (x *DataMessage_Payment) GetItem() isDataMessage_Payment_Item {
	if x != nil {
		return x.Item
	}
	return nil
}

func (x *DataMessage_Payment) GetNotification() *DataMessage_Payment_Notification {
	if x != nil {
		if x, ok := x.Item.(*DataMessage_Payment_Notification_); ok {
			return x.Notification
		}
	}
	return nil
}

func (x *DataMessage_Payment) GetActivation() *DataMessage_Payment_Activation {
	if x != nil {
		if x, ok := x.Item.(*DataMessage_Payment_Activation_); ok {
			return x.Activation
		}
	}
	return nil
}

type isDataMessage_Payment_Item interface {
	isDataMessage_Payment_Item()
}

type DataMessage_Payment_Notification_ struct {
	Notification *DataMessage_Payment_Notification `protobuf:"bytes,1,opt,name=notification,oneof"`
}

type DataMessage_Payment_Activation_ struct {
	Activation *DataMessage_Payment_Activation `protobuf:"bytes,2,opt,name=activation,oneof"`
}

func (*DataMessage_Payment_Notification_) isDataMessage_Payment_Item() {}

func (*DataMessage_Payment_Activation_) isDataMessage_Payment_Item() {}

type DataMessage_Quote struct {
	state         protoimpl.MessageState                `protogen:"open.v1"`
	Id            *uint64                               `protobuf:"varint,1,opt,name=id" json:"id,omitempty"`
	AuthorAci     *string                               `protobuf:"bytes,5,opt,name=authorAci" json:"authorAci,omitempty"`
	Text          *string                               `protobuf:"bytes,3,opt,name=text" json:"text,omitempty"`
	Attachments   []*DataMessage_Quote_QuotedAttachment `protobuf:"bytes,4,rep,name=attachments" json:"attachments,omitempty"`
	BodyRanges    []*BodyRange                          `protobuf:"bytes,6,rep,name=bodyRanges" json:"bodyRanges,omitempty"`
	Type          *DataMessage_Quote_Type               `protobuf:"varint,7,opt,name=type,enum=signalservice.DataMessage_Quote_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Quote) Reset() {
	*x = DataMessage_Quote{}
	mi := &file_SignalService_proto_msgTypes[29]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Quote) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Quote) ProtoMessage() {}

func (x *DataMessage_Quote) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[29]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Quote.ProtoReflect.Descriptor instead.
func (*DataMessage_Quote) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 1}
}

func (x *DataMessage_Quote) GetId() uint64 {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return 0
}

func (x *DataMessage_Quote) GetAuthorAci() string {
	if x != nil && x.AuthorAci != nil {
		return *x.AuthorAci
	}
	return ""
}

func (x *DataMessage_Quote) GetText() string {
	if x != nil && x.Text != nil {
		return *x.Text
	}
	return ""
}

func (x *DataMessage_Quote) GetAttachments() []*DataMessage_Quote_QuotedAttachment {
	if x != nil {
		return x.Attachments
	}
	return nil
}

func (x *DataMessage_Quote) GetBodyRanges() []*BodyRange {
	if x != nil {
		return x.BodyRanges
	}
	return nil
}

func (x *DataMessage_Quote) GetType() DataMessage_Quote_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return DataMessage_Quote_NORMAL
}

type DataMessage_Contact struct {
	state         protoimpl.MessageState               `protogen:"open.v1"`
	Name          *DataMessage_Contact_Name            `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Number        []*DataMessage_Contact_Phone         `protobuf:"bytes,3,rep,name=number" json:"number,omitempty"`
	Email         []*DataMessage_Contact_Email         `protobuf:"bytes,4,rep,name=email" json:"email,omitempty"`
	Address       []*DataMessage_Contact_PostalAddress `protobuf:"bytes,5,rep,name=address" json:"address,omitempty"`
	Avatar        *DataMessage_Contact_Avatar          `protobuf:"bytes,6,opt,name=avatar" json:"avatar,omitempty"`
	Organization  *string                              `protobuf:"bytes,7,opt,name=organization" json:"organization,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact) Reset() {
	*x = DataMessage_Contact{}
	mi := &file_SignalService_proto_msgTypes[30]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact) ProtoMessage() {}

func (x *DataMessage_Contact) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[30]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2}
}

func (x *DataMessage_Contact) GetName() *DataMessage_Contact_Name {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *DataMessage_Contact) GetNumber() []*DataMessage_Contact_Phone {
	if x != nil {
		return x.Number
	}
	return nil
}

func (x *DataMessage_Contact) GetEmail() []*DataMessage_Contact_Email {
	if x != nil {
		return x.Email
	}
	return nil
}

func (x *DataMessage_Contact) GetAddress() []*DataMessage_Contact_PostalAddress {
	if x != nil {
		return x.Address
	}
	return nil
}

func (x *DataMessage_Contact) GetAvatar() *DataMessage_Contact_Avatar {
	if x != nil {
		return x.Avatar
	}
	return nil
}

func (x *DataMessage_Contact) GetOrganization() string {
	if x != nil && x.Organization != nil {
		return *x.Organization
	}
	return ""
}

type DataMessage_Sticker struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PackId        []byte                 `protobuf:"bytes,1,opt,name=packId" json:"packId,omitempty"`
	PackKey       []byte                 `protobuf:"bytes,2,opt,name=packKey" json:"packKey,omitempty"`
	StickerId     *uint32                `protobuf:"varint,3,opt,name=stickerId" json:"stickerId,omitempty"`
	Data          *AttachmentPointer     `protobuf:"bytes,4,opt,name=data" json:"data,omitempty"`
	Emoji         *string                `protobuf:"bytes,5,opt,name=emoji" json:"emoji,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Sticker) Reset() {
	*x = DataMessage_Sticker{}
	mi := &file_SignalService_proto_msgTypes[31]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Sticker) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Sticker) ProtoMessage() {}

func (x *DataMessage_Sticker) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[31]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Sticker.ProtoReflect.Descriptor instead.
func (*DataMessage_Sticker) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 3}
}

func (x *DataMessage_Sticker) GetPackId() []byte {
	if x != nil {
		return x.PackId
	}
	return nil
}

func (x *DataMessage_Sticker) GetPackKey() []byte {
	if x != nil {
		return x.PackKey
	}
	return nil
}

func (x *DataMessage_Sticker) GetStickerId() uint32 {
	if x != nil && x.StickerId != nil {
		return *x.StickerId
	}
	return 0
}

func (x *DataMessage_Sticker) GetData() *AttachmentPointer {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *DataMessage_Sticker) GetEmoji() string {
	if x != nil && x.Emoji != nil {
		return *x.Emoji
	}
	return ""
}

type DataMessage_Reaction struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Emoji               *string                `protobuf:"bytes,1,opt,name=emoji" json:"emoji,omitempty"`
	Remove              *bool                  `protobuf:"varint,2,opt,name=remove" json:"remove,omitempty"`
	TargetAuthorAci     *string                `protobuf:"bytes,4,opt,name=targetAuthorAci" json:"targetAuthorAci,omitempty"`
	TargetSentTimestamp *uint64                `protobuf:"varint,5,opt,name=targetSentTimestamp" json:"targetSentTimestamp,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *DataMessage_Reaction) Reset() {
	*x = DataMessage_Reaction{}
	mi := &file_SignalService_proto_msgTypes[32]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Reaction) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Reaction) ProtoMessage() {}

func (x *DataMessage_Reaction) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[32]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Reaction.ProtoReflect.Descriptor instead.
func (*DataMessage_Reaction) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 4}
}

func (x *DataMessage_Reaction) GetEmoji() string {
	if x != nil && x.Emoji != nil {
		return *x.Emoji
	}
	return ""
}

func (x *DataMessage_Reaction) GetRemove() bool {
	if x != nil && x.Remove != nil {
		return *x.Remove
	}
	return false
}

func (x *DataMessage_Reaction) GetTargetAuthorAci() string {
	if x != nil && x.TargetAuthorAci != nil {
		return *x.TargetAuthorAci
	}
	return ""
}

func (x *DataMessage_Reaction) GetTargetSentTimestamp() uint64 {
	if x != nil && x.TargetSentTimestamp != nil {
		return *x.TargetSentTimestamp
	}
	return 0
}

type DataMessage_Delete struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	TargetSentTimestamp *uint64                `protobuf:"varint,1,opt,name=targetSentTimestamp" json:"targetSentTimestamp,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *DataMessage_Delete) Reset() {
	*x = DataMessage_Delete{}
	mi := &file_SignalService_proto_msgTypes[33]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Delete) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Delete) ProtoMessage() {}

func (x *DataMessage_Delete) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[33]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Delete.ProtoReflect.Descriptor instead.
func (*DataMessage_Delete) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 5}
}

func (x *DataMessage_Delete) GetTargetSentTimestamp() uint64 {
	if x != nil && x.TargetSentTimestamp != nil {
		return *x.TargetSentTimestamp
	}
	return 0
}

type DataMessage_GroupCallUpdate struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	EraId         *string                `protobuf:"bytes,1,opt,name=eraId" json:"eraId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_GroupCallUpdate) Reset() {
	*x = DataMessage_GroupCallUpdate{}
	mi := &file_SignalService_proto_msgTypes[34]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_GroupCallUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_GroupCallUpdate) ProtoMessage() {}

func (x *DataMessage_GroupCallUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[34]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_GroupCallUpdate.ProtoReflect.Descriptor instead.
func (*DataMessage_GroupCallUpdate) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 6}
}

func (x *DataMessage_GroupCallUpdate) GetEraId() string {
	if x != nil && x.EraId != nil {
		return *x.EraId
	}
	return ""
}

type DataMessage_StoryContext struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AuthorAci     *string                `protobuf:"bytes,1,opt,name=authorAci" json:"authorAci,omitempty"`
	SentTimestamp *uint64                `protobuf:"varint,2,opt,name=sentTimestamp" json:"sentTimestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_StoryContext) Reset() {
	*x = DataMessage_StoryContext{}
	mi := &file_SignalService_proto_msgTypes[35]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_StoryContext) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_StoryContext) ProtoMessage() {}

func (x *DataMessage_StoryContext) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[35]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_StoryContext.ProtoReflect.Descriptor instead.
func (*DataMessage_StoryContext) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 7}
}

func (x *DataMessage_StoryContext) GetAuthorAci() string {
	if x != nil && x.AuthorAci != nil {
		return *x.AuthorAci
	}
	return ""
}

func (x *DataMessage_StoryContext) GetSentTimestamp() uint64 {
	if x != nil && x.SentTimestamp != nil {
		return *x.SentTimestamp
	}
	return 0
}

type DataMessage_GiftBadge struct {
	state                         protoimpl.MessageState `protogen:"open.v1"`
	ReceiptCredentialPresentation []byte                 `protobuf:"bytes,1,opt,name=receiptCredentialPresentation" json:"receiptCredentialPresentation,omitempty"`
	unknownFields                 protoimpl.UnknownFields
	sizeCache                     protoimpl.SizeCache
}

func (x *DataMessage_GiftBadge) Reset() {
	*x = DataMessage_GiftBadge{}
	mi := &file_SignalService_proto_msgTypes[36]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_GiftBadge) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_GiftBadge) ProtoMessage() {}

func (x *DataMessage_GiftBadge) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[36]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_GiftBadge.ProtoReflect.Descriptor instead.
func (*DataMessage_GiftBadge) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 8}
}

func (x *DataMessage_GiftBadge) GetReceiptCredentialPresentation() []byte {
	if x != nil {
		return x.ReceiptCredentialPresentation
	}
	return nil
}

type DataMessage_Payment_Amount struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Amount:
	//
	//	*DataMessage_Payment_Amount_MobileCoin_
	Amount        isDataMessage_Payment_Amount_Amount `protobuf_oneof:"Amount"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment_Amount) Reset() {
	*x = DataMessage_Payment_Amount{}
	mi := &file_SignalService_proto_msgTypes[37]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment_Amount) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment_Amount) ProtoMessage() {}

func (x *DataMessage_Payment_Amount) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[37]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment_Amount.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment_Amount) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 0}
}

func (x *DataMessage_Payment_Amount) GetAmount() isDataMessage_Payment_Amount_Amount {
	if x != nil {
		return x.Amount
	}
	return nil
}

func (x *DataMessage_Payment_Amount) GetMobileCoin() *DataMessage_Payment_Amount_MobileCoin {
	if x != nil {
		if x, ok := x.Amount.(*DataMessage_Payment_Amount_MobileCoin_); ok {
			return x.MobileCoin
		}
	}
	return nil
}

type isDataMessage_Payment_Amount_Amount interface {
	isDataMessage_Payment_Amount_Amount()
}

type DataMessage_Payment_Amount_MobileCoin_ struct {
	MobileCoin *DataMessage_Payment_Amount_MobileCoin `protobuf:"bytes,1,opt,name=mobileCoin,oneof"`
}

func (*DataMessage_Payment_Amount_MobileCoin_) isDataMessage_Payment_Amount_Amount() {}

type DataMessage_Payment_Notification struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Transaction:
	//
	//	*DataMessage_Payment_Notification_MobileCoin_
	Transaction isDataMessage_Payment_Notification_Transaction `protobuf_oneof:"Transaction"`
	// Optional, Refers to the PaymentRequest message, if any.
	Note          *string `protobuf:"bytes,2,opt,name=note" json:"note,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment_Notification) Reset() {
	*x = DataMessage_Payment_Notification{}
	mi := &file_SignalService_proto_msgTypes[38]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment_Notification) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment_Notification) ProtoMessage() {}

func (x *DataMessage_Payment_Notification) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[38]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment_Notification.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment_Notification) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 1}
}

func (x *DataMessage_Payment_Notification) GetTransaction() isDataMessage_Payment_Notification_Transaction {
	if x != nil {
		return x.Transaction
	}
	return nil
}

func (x *DataMessage_Payment_Notification) GetMobileCoin() *DataMessage_Payment_Notification_MobileCoin {
	if x != nil {
		if x, ok := x.Transaction.(*DataMessage_Payment_Notification_MobileCoin_); ok {
			return x.MobileCoin
		}
	}
	return nil
}

func (x *DataMessage_Payment_Notification) GetNote() string {
	if x != nil && x.Note != nil {
		return *x.Note
	}
	return ""
}

type isDataMessage_Payment_Notification_Transaction interface {
	isDataMessage_Payment_Notification_Transaction()
}

type DataMessage_Payment_Notification_MobileCoin_ struct {
	MobileCoin *DataMessage_Payment_Notification_MobileCoin `protobuf:"bytes,1,opt,name=mobileCoin,oneof"`
}

func (*DataMessage_Payment_Notification_MobileCoin_) isDataMessage_Payment_Notification_Transaction() {
}

type DataMessage_Payment_Activation struct {
	state         protoimpl.MessageState               `protogen:"open.v1"`
	Type          *DataMessage_Payment_Activation_Type `protobuf:"varint,1,opt,name=type,enum=signalservice.DataMessage_Payment_Activation_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment_Activation) Reset() {
	*x = DataMessage_Payment_Activation{}
	mi := &file_SignalService_proto_msgTypes[39]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment_Activation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment_Activation) ProtoMessage() {}

func (x *DataMessage_Payment_Activation) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[39]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment_Activation.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment_Activation) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 2}
}

func (x *DataMessage_Payment_Activation) GetType() DataMessage_Payment_Activation_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return DataMessage_Payment_Activation_REQUEST
}

type DataMessage_Payment_Amount_MobileCoin struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PicoMob       *uint64                `protobuf:"varint,1,opt,name=picoMob" json:"picoMob,omitempty"` // 1,000,000,000,000 picoMob per Mob
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment_Amount_MobileCoin) Reset() {
	*x = DataMessage_Payment_Amount_MobileCoin{}
	mi := &file_SignalService_proto_msgTypes[40]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment_Amount_MobileCoin) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment_Amount_MobileCoin) ProtoMessage() {}

func (x *DataMessage_Payment_Amount_MobileCoin) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[40]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment_Amount_MobileCoin.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment_Amount_MobileCoin) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 0, 0}
}

func (x *DataMessage_Payment_Amount_MobileCoin) GetPicoMob() uint64 {
	if x != nil && x.PicoMob != nil {
		return *x.PicoMob
	}
	return 0
}

type DataMessage_Payment_Notification_MobileCoin struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Receipt       []byte                 `protobuf:"bytes,1,opt,name=receipt" json:"receipt,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Payment_Notification_MobileCoin) Reset() {
	*x = DataMessage_Payment_Notification_MobileCoin{}
	mi := &file_SignalService_proto_msgTypes[41]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Payment_Notification_MobileCoin) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Payment_Notification_MobileCoin) ProtoMessage() {}

func (x *DataMessage_Payment_Notification_MobileCoin) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[41]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Payment_Notification_MobileCoin.ProtoReflect.Descriptor instead.
func (*DataMessage_Payment_Notification_MobileCoin) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 0, 1, 0}
}

func (x *DataMessage_Payment_Notification_MobileCoin) GetReceipt() []byte {
	if x != nil {
		return x.Receipt
	}
	return nil
}

type DataMessage_Quote_QuotedAttachment struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ContentType   *string                `protobuf:"bytes,1,opt,name=contentType" json:"contentType,omitempty"`
	FileName      *string                `protobuf:"bytes,2,opt,name=fileName" json:"fileName,omitempty"`
	Thumbnail     *AttachmentPointer     `protobuf:"bytes,3,opt,name=thumbnail" json:"thumbnail,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Quote_QuotedAttachment) Reset() {
	*x = DataMessage_Quote_QuotedAttachment{}
	mi := &file_SignalService_proto_msgTypes[42]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Quote_QuotedAttachment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Quote_QuotedAttachment) ProtoMessage() {}

func (x *DataMessage_Quote_QuotedAttachment) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[42]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Quote_QuotedAttachment.ProtoReflect.Descriptor instead.
func (*DataMessage_Quote_QuotedAttachment) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 1, 0}
}

func (x *DataMessage_Quote_QuotedAttachment) GetContentType() string {
	if x != nil && x.ContentType != nil {
		return *x.ContentType
	}
	return ""
}

func (x *DataMessage_Quote_QuotedAttachment) GetFileName() string {
	if x != nil && x.FileName != nil {
		return *x.FileName
	}
	return ""
}

func (x *DataMessage_Quote_QuotedAttachment) GetThumbnail() *AttachmentPointer {
	if x != nil {
		return x.Thumbnail
	}
	return nil
}

type DataMessage_Contact_Name struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	GivenName     *string                `protobuf:"bytes,1,opt,name=givenName" json:"givenName,omitempty"`
	FamilyName    *string                `protobuf:"bytes,2,opt,name=familyName" json:"familyName,omitempty"`
	Prefix        *string                `protobuf:"bytes,3,opt,name=prefix" json:"prefix,omitempty"`
	Suffix        *string                `protobuf:"bytes,4,opt,name=suffix" json:"suffix,omitempty"`
	MiddleName    *string                `protobuf:"bytes,5,opt,name=middleName" json:"middleName,omitempty"`
	Nickname      *string                `protobuf:"bytes,7,opt,name=nickname" json:"nickname,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact_Name) Reset() {
	*x = DataMessage_Contact_Name{}
	mi := &file_SignalService_proto_msgTypes[43]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact_Name) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact_Name) ProtoMessage() {}

func (x *DataMessage_Contact_Name) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[43]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact_Name.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact_Name) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 0}
}

func (x *DataMessage_Contact_Name) GetGivenName() string {
	if x != nil && x.GivenName != nil {
		return *x.GivenName
	}
	return ""
}

func (x *DataMessage_Contact_Name) GetFamilyName() string {
	if x != nil && x.FamilyName != nil {
		return *x.FamilyName
	}
	return ""
}

func (x *DataMessage_Contact_Name) GetPrefix() string {
	if x != nil && x.Prefix != nil {
		return *x.Prefix
	}
	return ""
}

func (x *DataMessage_Contact_Name) GetSuffix() string {
	if x != nil && x.Suffix != nil {
		return *x.Suffix
	}
	return ""
}

func (x *DataMessage_Contact_Name) GetMiddleName() string {
	if x != nil && x.MiddleName != nil {
		return *x.MiddleName
	}
	return ""
}

func (x *DataMessage_Contact_Name) GetNickname() string {
	if x != nil && x.Nickname != nil {
		return *x.Nickname
	}
	return ""
}

type DataMessage_Contact_Phone struct {
	state         protoimpl.MessageState          `protogen:"open.v1"`
	Value         *string                         `protobuf:"bytes,1,opt,name=value" json:"value,omitempty"`
	Type          *DataMessage_Contact_Phone_Type `protobuf:"varint,2,opt,name=type,enum=signalservice.DataMessage_Contact_Phone_Type" json:"type,omitempty"`
	Label         *string                         `protobuf:"bytes,3,opt,name=label" json:"label,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact_Phone) Reset() {
	*x = DataMessage_Contact_Phone{}
	mi := &file_SignalService_proto_msgTypes[44]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact_Phone) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact_Phone) ProtoMessage() {}

func (x *DataMessage_Contact_Phone) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[44]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact_Phone.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact_Phone) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 1}
}

func (x *DataMessage_Contact_Phone) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

func (x *DataMessage_Contact_Phone) GetType() DataMessage_Contact_Phone_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return DataMessage_Contact_Phone_HOME
}

func (x *DataMessage_Contact_Phone) GetLabel() string {
	if x != nil && x.Label != nil {
		return *x.Label
	}
	return ""
}

type DataMessage_Contact_Email struct {
	state         protoimpl.MessageState          `protogen:"open.v1"`
	Value         *string                         `protobuf:"bytes,1,opt,name=value" json:"value,omitempty"`
	Type          *DataMessage_Contact_Email_Type `protobuf:"varint,2,opt,name=type,enum=signalservice.DataMessage_Contact_Email_Type" json:"type,omitempty"`
	Label         *string                         `protobuf:"bytes,3,opt,name=label" json:"label,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact_Email) Reset() {
	*x = DataMessage_Contact_Email{}
	mi := &file_SignalService_proto_msgTypes[45]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact_Email) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact_Email) ProtoMessage() {}

func (x *DataMessage_Contact_Email) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[45]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact_Email.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact_Email) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 2}
}

func (x *DataMessage_Contact_Email) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

func (x *DataMessage_Contact_Email) GetType() DataMessage_Contact_Email_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return DataMessage_Contact_Email_HOME
}

func (x *DataMessage_Contact_Email) GetLabel() string {
	if x != nil && x.Label != nil {
		return *x.Label
	}
	return ""
}

type DataMessage_Contact_PostalAddress struct {
	state         protoimpl.MessageState                  `protogen:"open.v1"`
	Type          *DataMessage_Contact_PostalAddress_Type `protobuf:"varint,1,opt,name=type,enum=signalservice.DataMessage_Contact_PostalAddress_Type" json:"type,omitempty"`
	Label         *string                                 `protobuf:"bytes,2,opt,name=label" json:"label,omitempty"`
	Street        *string                                 `protobuf:"bytes,3,opt,name=street" json:"street,omitempty"`
	Pobox         *string                                 `protobuf:"bytes,4,opt,name=pobox" json:"pobox,omitempty"`
	Neighborhood  *string                                 `protobuf:"bytes,5,opt,name=neighborhood" json:"neighborhood,omitempty"`
	City          *string                                 `protobuf:"bytes,6,opt,name=city" json:"city,omitempty"`
	Region        *string                                 `protobuf:"bytes,7,opt,name=region" json:"region,omitempty"`
	Postcode      *string                                 `protobuf:"bytes,8,opt,name=postcode" json:"postcode,omitempty"`
	Country       *string                                 `protobuf:"bytes,9,opt,name=country" json:"country,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact_PostalAddress) Reset() {
	*x = DataMessage_Contact_PostalAddress{}
	mi := &file_SignalService_proto_msgTypes[46]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact_PostalAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact_PostalAddress) ProtoMessage() {}

func (x *DataMessage_Contact_PostalAddress) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[46]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact_PostalAddress.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact_PostalAddress) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 3}
}

func (x *DataMessage_Contact_PostalAddress) GetType() DataMessage_Contact_PostalAddress_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return DataMessage_Contact_PostalAddress_HOME
}

func (x *DataMessage_Contact_PostalAddress) GetLabel() string {
	if x != nil && x.Label != nil {
		return *x.Label
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetStreet() string {
	if x != nil && x.Street != nil {
		return *x.Street
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetPobox() string {
	if x != nil && x.Pobox != nil {
		return *x.Pobox
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetNeighborhood() string {
	if x != nil && x.Neighborhood != nil {
		return *x.Neighborhood
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetCity() string {
	if x != nil && x.City != nil {
		return *x.City
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetRegion() string {
	if x != nil && x.Region != nil {
		return *x.Region
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetPostcode() string {
	if x != nil && x.Postcode != nil {
		return *x.Postcode
	}
	return ""
}

func (x *DataMessage_Contact_PostalAddress) GetCountry() string {
	if x != nil && x.Country != nil {
		return *x.Country
	}
	return ""
}

type DataMessage_Contact_Avatar struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Avatar        *AttachmentPointer     `protobuf:"bytes,1,opt,name=avatar" json:"avatar,omitempty"`
	IsProfile     *bool                  `protobuf:"varint,2,opt,name=isProfile" json:"isProfile,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DataMessage_Contact_Avatar) Reset() {
	*x = DataMessage_Contact_Avatar{}
	mi := &file_SignalService_proto_msgTypes[47]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DataMessage_Contact_Avatar) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DataMessage_Contact_Avatar) ProtoMessage() {}

func (x *DataMessage_Contact_Avatar) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[47]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DataMessage_Contact_Avatar.ProtoReflect.Descriptor instead.
func (*DataMessage_Contact_Avatar) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{3, 2, 4}
}

func (x *DataMessage_Contact_Avatar) GetAvatar() *AttachmentPointer {
	if x != nil {
		return x.Avatar
	}
	return nil
}

func (x *DataMessage_Contact_Avatar) GetIsProfile() bool {
	if x != nil && x.IsProfile != nil {
		return *x.IsProfile
	}
	return false
}

type TextAttachment_Gradient struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	StartColor    *uint32                `protobuf:"varint,1,opt,name=startColor" json:"startColor,omitempty"` // deprecated: this field will be removed in a future release.
	EndColor      *uint32                `protobuf:"varint,2,opt,name=endColor" json:"endColor,omitempty"`     // deprecated: this field will be removed in a future release.
	Angle         *uint32                `protobuf:"varint,3,opt,name=angle" json:"angle,omitempty"`           // degrees
	Colors        []uint32               `protobuf:"varint,4,rep,name=colors" json:"colors,omitempty"`
	Positions     []float32              `protobuf:"fixed32,5,rep,name=positions" json:"positions,omitempty"` // percent from 0 to 1
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *TextAttachment_Gradient) Reset() {
	*x = TextAttachment_Gradient{}
	mi := &file_SignalService_proto_msgTypes[48]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *TextAttachment_Gradient) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TextAttachment_Gradient) ProtoMessage() {}

func (x *TextAttachment_Gradient) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[48]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TextAttachment_Gradient.ProtoReflect.Descriptor instead.
func (*TextAttachment_Gradient) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{9, 0}
}

func (x *TextAttachment_Gradient) GetStartColor() uint32 {
	if x != nil && x.StartColor != nil {
		return *x.StartColor
	}
	return 0
}

func (x *TextAttachment_Gradient) GetEndColor() uint32 {
	if x != nil && x.EndColor != nil {
		return *x.EndColor
	}
	return 0
}

func (x *TextAttachment_Gradient) GetAngle() uint32 {
	if x != nil && x.Angle != nil {
		return *x.Angle
	}
	return 0
}

func (x *TextAttachment_Gradient) GetColors() []uint32 {
	if x != nil {
		return x.Colors
	}
	return nil
}

func (x *TextAttachment_Gradient) GetPositions() []float32 {
	if x != nil {
		return x.Positions
	}
	return nil
}

type SyncMessage_Sent struct {
	state                    protoimpl.MessageState                         `protogen:"open.v1"`
	DestinationE164          *string                                        `protobuf:"bytes,1,opt,name=destinationE164" json:"destinationE164,omitempty"`
	DestinationServiceId     *string                                        `protobuf:"bytes,7,opt,name=destinationServiceId" json:"destinationServiceId,omitempty"`
	Timestamp                *uint64                                        `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	Message                  *DataMessage                                   `protobuf:"bytes,3,opt,name=message" json:"message,omitempty"`
	ExpirationStartTimestamp *uint64                                        `protobuf:"varint,4,opt,name=expirationStartTimestamp" json:"expirationStartTimestamp,omitempty"`
	UnidentifiedStatus       []*SyncMessage_Sent_UnidentifiedDeliveryStatus `protobuf:"bytes,5,rep,name=unidentifiedStatus" json:"unidentifiedStatus,omitempty"`
	IsRecipientUpdate        *bool                                          `protobuf:"varint,6,opt,name=isRecipientUpdate,def=0" json:"isRecipientUpdate,omitempty"`
	StoryMessage             *StoryMessage                                  `protobuf:"bytes,8,opt,name=storyMessage" json:"storyMessage,omitempty"`
	StoryMessageRecipients   []*SyncMessage_Sent_StoryMessageRecipient      `protobuf:"bytes,9,rep,name=storyMessageRecipients" json:"storyMessageRecipients,omitempty"`
	EditMessage              *EditMessage                                   `protobuf:"bytes,10,opt,name=editMessage" json:"editMessage,omitempty"`
	unknownFields            protoimpl.UnknownFields
	sizeCache                protoimpl.SizeCache
}

// Default values for SyncMessage_Sent fields.
const (
	Default_SyncMessage_Sent_IsRecipientUpdate = bool(false)
)

func (x *SyncMessage_Sent) Reset() {
	*x = SyncMessage_Sent{}
	mi := &file_SignalService_proto_msgTypes[49]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Sent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Sent) ProtoMessage() {}

func (x *SyncMessage_Sent) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[49]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Sent.ProtoReflect.Descriptor instead.
func (*SyncMessage_Sent) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 0}
}

func (x *SyncMessage_Sent) GetDestinationE164() string {
	if x != nil && x.DestinationE164 != nil {
		return *x.DestinationE164
	}
	return ""
}

func (x *SyncMessage_Sent) GetDestinationServiceId() string {
	if x != nil && x.DestinationServiceId != nil {
		return *x.DestinationServiceId
	}
	return ""
}

func (x *SyncMessage_Sent) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *SyncMessage_Sent) GetMessage() *DataMessage {
	if x != nil {
		return x.Message
	}
	return nil
}

func (x *SyncMessage_Sent) GetExpirationStartTimestamp() uint64 {
	if x != nil && x.ExpirationStartTimestamp != nil {
		return *x.ExpirationStartTimestamp
	}
	return 0
}

func (x *SyncMessage_Sent) GetUnidentifiedStatus() []*SyncMessage_Sent_UnidentifiedDeliveryStatus {
	if x != nil {
		return x.UnidentifiedStatus
	}
	return nil
}

func (x *SyncMessage_Sent) GetIsRecipientUpdate() bool {
	if x != nil && x.IsRecipientUpdate != nil {
		return *x.IsRecipientUpdate
	}
	return Default_SyncMessage_Sent_IsRecipientUpdate
}

func (x *SyncMessage_Sent) GetStoryMessage() *StoryMessage {
	if x != nil {
		return x.StoryMessage
	}
	return nil
}

func (x *SyncMessage_Sent) GetStoryMessageRecipients() []*SyncMessage_Sent_StoryMessageRecipient {
	if x != nil {
		return x.StoryMessageRecipients
	}
	return nil
}

func (x *SyncMessage_Sent) GetEditMessage() *EditMessage {
	if x != nil {
		return x.EditMessage
	}
	return nil
}

type SyncMessage_Contacts struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Blob          *AttachmentPointer     `protobuf:"bytes,1,opt,name=blob" json:"blob,omitempty"`
	Complete      *bool                  `protobuf:"varint,2,opt,name=complete,def=0" json:"complete,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

// Default values for SyncMessage_Contacts fields.
const (
	Default_SyncMessage_Contacts_Complete = bool(false)
)

func (x *SyncMessage_Contacts) Reset() {
	*x = SyncMessage_Contacts{}
	mi := &file_SignalService_proto_msgTypes[50]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Contacts) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Contacts) ProtoMessage() {}

func (x *SyncMessage_Contacts) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[50]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Contacts.ProtoReflect.Descriptor instead.
func (*SyncMessage_Contacts) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 1}
}

func (x *SyncMessage_Contacts) GetBlob() *AttachmentPointer {
	if x != nil {
		return x.Blob
	}
	return nil
}

func (x *SyncMessage_Contacts) GetComplete() bool {
	if x != nil && x.Complete != nil {
		return *x.Complete
	}
	return Default_SyncMessage_Contacts_Complete
}

type SyncMessage_Blocked struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Numbers       []string               `protobuf:"bytes,1,rep,name=numbers" json:"numbers,omitempty"`
	Acis          []string               `protobuf:"bytes,3,rep,name=acis" json:"acis,omitempty"`
	GroupIds      [][]byte               `protobuf:"bytes,2,rep,name=groupIds" json:"groupIds,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_Blocked) Reset() {
	*x = SyncMessage_Blocked{}
	mi := &file_SignalService_proto_msgTypes[51]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Blocked) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Blocked) ProtoMessage() {}

func (x *SyncMessage_Blocked) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[51]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Blocked.ProtoReflect.Descriptor instead.
func (*SyncMessage_Blocked) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 2}
}

func (x *SyncMessage_Blocked) GetNumbers() []string {
	if x != nil {
		return x.Numbers
	}
	return nil
}

func (x *SyncMessage_Blocked) GetAcis() []string {
	if x != nil {
		return x.Acis
	}
	return nil
}

func (x *SyncMessage_Blocked) GetGroupIds() [][]byte {
	if x != nil {
		return x.GroupIds
	}
	return nil
}

type SyncMessage_Request struct {
	state         protoimpl.MessageState    `protogen:"open.v1"`
	Type          *SyncMessage_Request_Type `protobuf:"varint,1,opt,name=type,enum=signalservice.SyncMessage_Request_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_Request) Reset() {
	*x = SyncMessage_Request{}
	mi := &file_SignalService_proto_msgTypes[52]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Request) ProtoMessage() {}

func (x *SyncMessage_Request) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[52]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Request.ProtoReflect.Descriptor instead.
func (*SyncMessage_Request) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 3}
}

func (x *SyncMessage_Request) GetType() SyncMessage_Request_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_Request_UNKNOWN
}

type SyncMessage_Read struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	SenderAci     *string                `protobuf:"bytes,3,opt,name=senderAci" json:"senderAci,omitempty"`
	Timestamp     *uint64                `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_Read) Reset() {
	*x = SyncMessage_Read{}
	mi := &file_SignalService_proto_msgTypes[53]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Read) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Read) ProtoMessage() {}

func (x *SyncMessage_Read) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[53]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Read.ProtoReflect.Descriptor instead.
func (*SyncMessage_Read) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 4}
}

func (x *SyncMessage_Read) GetSenderAci() string {
	if x != nil && x.SenderAci != nil {
		return *x.SenderAci
	}
	return ""
}

func (x *SyncMessage_Read) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

type SyncMessage_Viewed struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	SenderAci     *string                `protobuf:"bytes,3,opt,name=senderAci" json:"senderAci,omitempty"`
	Timestamp     *uint64                `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_Viewed) Reset() {
	*x = SyncMessage_Viewed{}
	mi := &file_SignalService_proto_msgTypes[54]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Viewed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Viewed) ProtoMessage() {}

func (x *SyncMessage_Viewed) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[54]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Viewed.ProtoReflect.Descriptor instead.
func (*SyncMessage_Viewed) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 5}
}

func (x *SyncMessage_Viewed) GetSenderAci() string {
	if x != nil && x.SenderAci != nil {
		return *x.SenderAci
	}
	return ""
}

func (x *SyncMessage_Viewed) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

type SyncMessage_Configuration struct {
	state                          protoimpl.MessageState `protogen:"open.v1"`
	ReadReceipts                   *bool                  `protobuf:"varint,1,opt,name=readReceipts" json:"readReceipts,omitempty"`
	UnidentifiedDeliveryIndicators *bool                  `protobuf:"varint,2,opt,name=unidentifiedDeliveryIndicators" json:"unidentifiedDeliveryIndicators,omitempty"`
	TypingIndicators               *bool                  `protobuf:"varint,3,opt,name=typingIndicators" json:"typingIndicators,omitempty"`
	ProvisioningVersion            *uint32                `protobuf:"varint,5,opt,name=provisioningVersion" json:"provisioningVersion,omitempty"`
	LinkPreviews                   *bool                  `protobuf:"varint,6,opt,name=linkPreviews" json:"linkPreviews,omitempty"`
	unknownFields                  protoimpl.UnknownFields
	sizeCache                      protoimpl.SizeCache
}

func (x *SyncMessage_Configuration) Reset() {
	*x = SyncMessage_Configuration{}
	mi := &file_SignalService_proto_msgTypes[55]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Configuration) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Configuration) ProtoMessage() {}

func (x *SyncMessage_Configuration) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[55]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Configuration.ProtoReflect.Descriptor instead.
func (*SyncMessage_Configuration) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 6}
}

func (x *SyncMessage_Configuration) GetReadReceipts() bool {
	if x != nil && x.ReadReceipts != nil {
		return *x.ReadReceipts
	}
	return false
}

func (x *SyncMessage_Configuration) GetUnidentifiedDeliveryIndicators() bool {
	if x != nil && x.UnidentifiedDeliveryIndicators != nil {
		return *x.UnidentifiedDeliveryIndicators
	}
	return false
}

func (x *SyncMessage_Configuration) GetTypingIndicators() bool {
	if x != nil && x.TypingIndicators != nil {
		return *x.TypingIndicators
	}
	return false
}

func (x *SyncMessage_Configuration) GetProvisioningVersion() uint32 {
	if x != nil && x.ProvisioningVersion != nil {
		return *x.ProvisioningVersion
	}
	return 0
}

func (x *SyncMessage_Configuration) GetLinkPreviews() bool {
	if x != nil && x.LinkPreviews != nil {
		return *x.LinkPreviews
	}
	return false
}

type SyncMessage_StickerPackOperation struct {
	state         protoimpl.MessageState                 `protogen:"open.v1"`
	PackId        []byte                                 `protobuf:"bytes,1,opt,name=packId" json:"packId,omitempty"`
	PackKey       []byte                                 `protobuf:"bytes,2,opt,name=packKey" json:"packKey,omitempty"`
	Type          *SyncMessage_StickerPackOperation_Type `protobuf:"varint,3,opt,name=type,enum=signalservice.SyncMessage_StickerPackOperation_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_StickerPackOperation) Reset() {
	*x = SyncMessage_StickerPackOperation{}
	mi := &file_SignalService_proto_msgTypes[56]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_StickerPackOperation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_StickerPackOperation) ProtoMessage() {}

func (x *SyncMessage_StickerPackOperation) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[56]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_StickerPackOperation.ProtoReflect.Descriptor instead.
func (*SyncMessage_StickerPackOperation) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 7}
}

func (x *SyncMessage_StickerPackOperation) GetPackId() []byte {
	if x != nil {
		return x.PackId
	}
	return nil
}

func (x *SyncMessage_StickerPackOperation) GetPackKey() []byte {
	if x != nil {
		return x.PackKey
	}
	return nil
}

func (x *SyncMessage_StickerPackOperation) GetType() SyncMessage_StickerPackOperation_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_StickerPackOperation_INSTALL
}

type SyncMessage_ViewOnceOpen struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	SenderAci     *string                `protobuf:"bytes,3,opt,name=senderAci" json:"senderAci,omitempty"`
	Timestamp     *uint64                `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_ViewOnceOpen) Reset() {
	*x = SyncMessage_ViewOnceOpen{}
	mi := &file_SignalService_proto_msgTypes[57]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_ViewOnceOpen) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_ViewOnceOpen) ProtoMessage() {}

func (x *SyncMessage_ViewOnceOpen) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[57]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_ViewOnceOpen.ProtoReflect.Descriptor instead.
func (*SyncMessage_ViewOnceOpen) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 8}
}

func (x *SyncMessage_ViewOnceOpen) GetSenderAci() string {
	if x != nil && x.SenderAci != nil {
		return *x.SenderAci
	}
	return ""
}

func (x *SyncMessage_ViewOnceOpen) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

type SyncMessage_FetchLatest struct {
	state         protoimpl.MessageState        `protogen:"open.v1"`
	Type          *SyncMessage_FetchLatest_Type `protobuf:"varint,1,opt,name=type,enum=signalservice.SyncMessage_FetchLatest_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_FetchLatest) Reset() {
	*x = SyncMessage_FetchLatest{}
	mi := &file_SignalService_proto_msgTypes[58]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_FetchLatest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_FetchLatest) ProtoMessage() {}

func (x *SyncMessage_FetchLatest) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[58]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_FetchLatest.ProtoReflect.Descriptor instead.
func (*SyncMessage_FetchLatest) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 9}
}

func (x *SyncMessage_FetchLatest) GetType() SyncMessage_FetchLatest_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_FetchLatest_UNKNOWN
}

type SyncMessage_Keys struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	Master             []byte                 `protobuf:"bytes,2,opt,name=master" json:"master,omitempty"` // deprecated: this field will be removed in a future release.
	AccountEntropyPool *string                `protobuf:"bytes,3,opt,name=accountEntropyPool" json:"accountEntropyPool,omitempty"`
	MediaRootBackupKey []byte                 `protobuf:"bytes,4,opt,name=mediaRootBackupKey" json:"mediaRootBackupKey,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *SyncMessage_Keys) Reset() {
	*x = SyncMessage_Keys{}
	mi := &file_SignalService_proto_msgTypes[59]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Keys) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Keys) ProtoMessage() {}

func (x *SyncMessage_Keys) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[59]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Keys.ProtoReflect.Descriptor instead.
func (*SyncMessage_Keys) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 10}
}

func (x *SyncMessage_Keys) GetMaster() []byte {
	if x != nil {
		return x.Master
	}
	return nil
}

func (x *SyncMessage_Keys) GetAccountEntropyPool() string {
	if x != nil && x.AccountEntropyPool != nil {
		return *x.AccountEntropyPool
	}
	return ""
}

func (x *SyncMessage_Keys) GetMediaRootBackupKey() []byte {
	if x != nil {
		return x.MediaRootBackupKey
	}
	return nil
}

type SyncMessage_PniIdentity struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PublicKey     []byte                 `protobuf:"bytes,1,opt,name=publicKey" json:"publicKey,omitempty"`
	PrivateKey    []byte                 `protobuf:"bytes,2,opt,name=privateKey" json:"privateKey,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_PniIdentity) Reset() {
	*x = SyncMessage_PniIdentity{}
	mi := &file_SignalService_proto_msgTypes[60]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_PniIdentity) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_PniIdentity) ProtoMessage() {}

func (x *SyncMessage_PniIdentity) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[60]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_PniIdentity.ProtoReflect.Descriptor instead.
func (*SyncMessage_PniIdentity) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 11}
}

func (x *SyncMessage_PniIdentity) GetPublicKey() []byte {
	if x != nil {
		return x.PublicKey
	}
	return nil
}

func (x *SyncMessage_PniIdentity) GetPrivateKey() []byte {
	if x != nil {
		return x.PrivateKey
	}
	return nil
}

type SyncMessage_MessageRequestResponse struct {
	state         protoimpl.MessageState                   `protogen:"open.v1"`
	ThreadAci     *string                                  `protobuf:"bytes,2,opt,name=threadAci" json:"threadAci,omitempty"`
	GroupId       []byte                                   `protobuf:"bytes,3,opt,name=groupId" json:"groupId,omitempty"`
	Type          *SyncMessage_MessageRequestResponse_Type `protobuf:"varint,4,opt,name=type,enum=signalservice.SyncMessage_MessageRequestResponse_Type" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_MessageRequestResponse) Reset() {
	*x = SyncMessage_MessageRequestResponse{}
	mi := &file_SignalService_proto_msgTypes[61]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_MessageRequestResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_MessageRequestResponse) ProtoMessage() {}

func (x *SyncMessage_MessageRequestResponse) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[61]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_MessageRequestResponse.ProtoReflect.Descriptor instead.
func (*SyncMessage_MessageRequestResponse) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 12}
}

func (x *SyncMessage_MessageRequestResponse) GetThreadAci() string {
	if x != nil && x.ThreadAci != nil {
		return *x.ThreadAci
	}
	return ""
}

func (x *SyncMessage_MessageRequestResponse) GetGroupId() []byte {
	if x != nil {
		return x.GroupId
	}
	return nil
}

func (x *SyncMessage_MessageRequestResponse) GetType() SyncMessage_MessageRequestResponse_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_MessageRequestResponse_UNKNOWN
}

type SyncMessage_OutgoingPayment struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	RecipientServiceId *string                `protobuf:"bytes,1,opt,name=recipientServiceId" json:"recipientServiceId,omitempty"`
	Note               *string                `protobuf:"bytes,2,opt,name=note" json:"note,omitempty"`
	// Types that are valid to be assigned to AttachmentIdentifier:
	//
	//	*SyncMessage_OutgoingPayment_MobileCoin_
	AttachmentIdentifier isSyncMessage_OutgoingPayment_AttachmentIdentifier `protobuf_oneof:"attachment_identifier"`
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

func (x *SyncMessage_OutgoingPayment) Reset() {
	*x = SyncMessage_OutgoingPayment{}
	mi := &file_SignalService_proto_msgTypes[62]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_OutgoingPayment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_OutgoingPayment) ProtoMessage() {}

func (x *SyncMessage_OutgoingPayment) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[62]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_OutgoingPayment.ProtoReflect.Descriptor instead.
func (*SyncMessage_OutgoingPayment) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 13}
}

func (x *SyncMessage_OutgoingPayment) GetRecipientServiceId() string {
	if x != nil && x.RecipientServiceId != nil {
		return *x.RecipientServiceId
	}
	return ""
}

func (x *SyncMessage_OutgoingPayment) GetNote() string {
	if x != nil && x.Note != nil {
		return *x.Note
	}
	return ""
}

func (x *SyncMessage_OutgoingPayment) GetAttachmentIdentifier() isSyncMessage_OutgoingPayment_AttachmentIdentifier {
	if x != nil {
		return x.AttachmentIdentifier
	}
	return nil
}

func (x *SyncMessage_OutgoingPayment) GetMobileCoin() *SyncMessage_OutgoingPayment_MobileCoin {
	if x != nil {
		if x, ok := x.AttachmentIdentifier.(*SyncMessage_OutgoingPayment_MobileCoin_); ok {
			return x.MobileCoin
		}
	}
	return nil
}

type isSyncMessage_OutgoingPayment_AttachmentIdentifier interface {
	isSyncMessage_OutgoingPayment_AttachmentIdentifier()
}

type SyncMessage_OutgoingPayment_MobileCoin_ struct {
	MobileCoin *SyncMessage_OutgoingPayment_MobileCoin `protobuf:"bytes,3,opt,name=mobileCoin,oneof"`
}

func (*SyncMessage_OutgoingPayment_MobileCoin_) isSyncMessage_OutgoingPayment_AttachmentIdentifier() {
}

type SyncMessage_PniChangeNumber struct {
	state                 protoimpl.MessageState `protogen:"open.v1"`
	IdentityKeyPair       []byte                 `protobuf:"bytes,1,opt,name=identityKeyPair" json:"identityKeyPair,omitempty"`             // Serialized libsignal-client IdentityKeyPair
	SignedPreKey          []byte                 `protobuf:"bytes,2,opt,name=signedPreKey" json:"signedPreKey,omitempty"`                   // Serialized libsignal-client SignedPreKeyRecord
	LastResortKyberPreKey []byte                 `protobuf:"bytes,5,opt,name=lastResortKyberPreKey" json:"lastResortKyberPreKey,omitempty"` // Serialized libsignal-client KyberPreKeyRecord
	RegistrationId        *uint32                `protobuf:"varint,3,opt,name=registrationId" json:"registrationId,omitempty"`
	NewE164               *string                `protobuf:"bytes,4,opt,name=newE164" json:"newE164,omitempty"` // The e164 we have changed our number to
	unknownFields         protoimpl.UnknownFields
	sizeCache             protoimpl.SizeCache
}

func (x *SyncMessage_PniChangeNumber) Reset() {
	*x = SyncMessage_PniChangeNumber{}
	mi := &file_SignalService_proto_msgTypes[63]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_PniChangeNumber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_PniChangeNumber) ProtoMessage() {}

func (x *SyncMessage_PniChangeNumber) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[63]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_PniChangeNumber.ProtoReflect.Descriptor instead.
func (*SyncMessage_PniChangeNumber) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 14}
}

func (x *SyncMessage_PniChangeNumber) GetIdentityKeyPair() []byte {
	if x != nil {
		return x.IdentityKeyPair
	}
	return nil
}

func (x *SyncMessage_PniChangeNumber) GetSignedPreKey() []byte {
	if x != nil {
		return x.SignedPreKey
	}
	return nil
}

func (x *SyncMessage_PniChangeNumber) GetLastResortKyberPreKey() []byte {
	if x != nil {
		return x.LastResortKyberPreKey
	}
	return nil
}

func (x *SyncMessage_PniChangeNumber) GetRegistrationId() uint32 {
	if x != nil && x.RegistrationId != nil {
		return *x.RegistrationId
	}
	return 0
}

func (x *SyncMessage_PniChangeNumber) GetNewE164() string {
	if x != nil && x.NewE164 != nil {
		return *x.NewE164
	}
	return ""
}

type SyncMessage_CallEvent struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Data identifying a conversation. The service ID for 1:1, the group ID for
	// group, or the room ID for an ad-hoc call. See also
	// `CallLogEvent/conversationId`.
	ConversationId []byte `protobuf:"bytes,1,opt,name=conversationId" json:"conversationId,omitempty"`
	// An identifier for a call. Generated directly for 1:1, or derived from
	// the era ID for group and ad-hoc calls. See also `CallLogEvent/callId`.
	CallId        *uint64                          `protobuf:"varint,2,opt,name=callId" json:"callId,omitempty"`
	Timestamp     *uint64                          `protobuf:"varint,3,opt,name=timestamp" json:"timestamp,omitempty"`
	Type          *SyncMessage_CallEvent_Type      `protobuf:"varint,4,opt,name=type,enum=signalservice.SyncMessage_CallEvent_Type" json:"type,omitempty"`
	Direction     *SyncMessage_CallEvent_Direction `protobuf:"varint,5,opt,name=direction,enum=signalservice.SyncMessage_CallEvent_Direction" json:"direction,omitempty"`
	Event         *SyncMessage_CallEvent_Event     `protobuf:"varint,6,opt,name=event,enum=signalservice.SyncMessage_CallEvent_Event" json:"event,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_CallEvent) Reset() {
	*x = SyncMessage_CallEvent{}
	mi := &file_SignalService_proto_msgTypes[64]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_CallEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_CallEvent) ProtoMessage() {}

func (x *SyncMessage_CallEvent) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[64]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_CallEvent.ProtoReflect.Descriptor instead.
func (*SyncMessage_CallEvent) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 15}
}

func (x *SyncMessage_CallEvent) GetConversationId() []byte {
	if x != nil {
		return x.ConversationId
	}
	return nil
}

func (x *SyncMessage_CallEvent) GetCallId() uint64 {
	if x != nil && x.CallId != nil {
		return *x.CallId
	}
	return 0
}

func (x *SyncMessage_CallEvent) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *SyncMessage_CallEvent) GetType() SyncMessage_CallEvent_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_CallEvent_UNKNOWN_TYPE
}

func (x *SyncMessage_CallEvent) GetDirection() SyncMessage_CallEvent_Direction {
	if x != nil && x.Direction != nil {
		return *x.Direction
	}
	return SyncMessage_CallEvent_UNKNOWN_DIRECTION
}

func (x *SyncMessage_CallEvent) GetEvent() SyncMessage_CallEvent_Event {
	if x != nil && x.Event != nil {
		return *x.Event
	}
	return SyncMessage_CallEvent_UNKNOWN_EVENT
}

type SyncMessage_CallLinkUpdate struct {
	state         protoimpl.MessageState           `protogen:"open.v1"`
	RootKey       []byte                           `protobuf:"bytes,1,opt,name=rootKey" json:"rootKey,omitempty"`
	AdminPasskey  []byte                           `protobuf:"bytes,2,opt,name=adminPasskey" json:"adminPasskey,omitempty"`
	Type          *SyncMessage_CallLinkUpdate_Type `protobuf:"varint,3,opt,name=type,enum=signalservice.SyncMessage_CallLinkUpdate_Type" json:"type,omitempty"` // defaults to UPDATE
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_CallLinkUpdate) Reset() {
	*x = SyncMessage_CallLinkUpdate{}
	mi := &file_SignalService_proto_msgTypes[65]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_CallLinkUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_CallLinkUpdate) ProtoMessage() {}

func (x *SyncMessage_CallLinkUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[65]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_CallLinkUpdate.ProtoReflect.Descriptor instead.
func (*SyncMessage_CallLinkUpdate) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 16}
}

func (x *SyncMessage_CallLinkUpdate) GetRootKey() []byte {
	if x != nil {
		return x.RootKey
	}
	return nil
}

func (x *SyncMessage_CallLinkUpdate) GetAdminPasskey() []byte {
	if x != nil {
		return x.AdminPasskey
	}
	return nil
}

func (x *SyncMessage_CallLinkUpdate) GetType() SyncMessage_CallLinkUpdate_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_CallLinkUpdate_UPDATE
}

type SyncMessage_CallLogEvent struct {
	state     protoimpl.MessageState         `protogen:"open.v1"`
	Type      *SyncMessage_CallLogEvent_Type `protobuf:"varint,1,opt,name=type,enum=signalservice.SyncMessage_CallLogEvent_Type" json:"type,omitempty"`
	Timestamp *uint64                        `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	// Data identifying a conversation. The service ID for 1:1, the group ID for
	// group, or the room ID for an ad-hoc call. See also
	// `CallEvent/conversationId`.
	ConversationId []byte `protobuf:"bytes,3,opt,name=conversationId" json:"conversationId,omitempty"`
	// An identifier for a call. Generated directly for 1:1, or derived from
	// the era ID for group and ad-hoc calls. See also `CallEvent/callId`.
	CallId        *uint64 `protobuf:"varint,4,opt,name=callId" json:"callId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_CallLogEvent) Reset() {
	*x = SyncMessage_CallLogEvent{}
	mi := &file_SignalService_proto_msgTypes[66]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_CallLogEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_CallLogEvent) ProtoMessage() {}

func (x *SyncMessage_CallLogEvent) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[66]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_CallLogEvent.ProtoReflect.Descriptor instead.
func (*SyncMessage_CallLogEvent) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 17}
}

func (x *SyncMessage_CallLogEvent) GetType() SyncMessage_CallLogEvent_Type {
	if x != nil && x.Type != nil {
		return *x.Type
	}
	return SyncMessage_CallLogEvent_CLEAR
}

func (x *SyncMessage_CallLogEvent) GetTimestamp() uint64 {
	if x != nil && x.Timestamp != nil {
		return *x.Timestamp
	}
	return 0
}

func (x *SyncMessage_CallLogEvent) GetConversationId() []byte {
	if x != nil {
		return x.ConversationId
	}
	return nil
}

func (x *SyncMessage_CallLogEvent) GetCallId() uint64 {
	if x != nil && x.CallId != nil {
		return *x.CallId
	}
	return 0
}

type SyncMessage_DeleteForMe struct {
	state                        protoimpl.MessageState                                 `protogen:"open.v1"`
	MessageDeletes               []*SyncMessage_DeleteForMe_MessageDeletes              `protobuf:"bytes,1,rep,name=messageDeletes" json:"messageDeletes,omitempty"`
	ConversationDeletes          []*SyncMessage_DeleteForMe_ConversationDelete          `protobuf:"bytes,2,rep,name=conversationDeletes" json:"conversationDeletes,omitempty"`
	LocalOnlyConversationDeletes []*SyncMessage_DeleteForMe_LocalOnlyConversationDelete `protobuf:"bytes,3,rep,name=localOnlyConversationDeletes" json:"localOnlyConversationDeletes,omitempty"`
	AttachmentDeletes            []*SyncMessage_DeleteForMe_AttachmentDelete            `protobuf:"bytes,4,rep,name=attachmentDeletes" json:"attachmentDeletes,omitempty"`
	unknownFields                protoimpl.UnknownFields
	sizeCache                    protoimpl.SizeCache
}

func (x *SyncMessage_DeleteForMe) Reset() {
	*x = SyncMessage_DeleteForMe{}
	mi := &file_SignalService_proto_msgTypes[67]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeleteForMe) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeleteForMe) ProtoMessage() {}

func (x *SyncMessage_DeleteForMe) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[67]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeleteForMe.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeleteForMe) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 18}
}

func (x *SyncMessage_DeleteForMe) GetMessageDeletes() []*SyncMessage_DeleteForMe_MessageDeletes {
	if x != nil {
		return x.MessageDeletes
	}
	return nil
}

func (x *SyncMessage_DeleteForMe) GetConversationDeletes() []*SyncMessage_DeleteForMe_ConversationDelete {
	if x != nil {
		return x.ConversationDeletes
	}
	return nil
}

func (x *SyncMessage_DeleteForMe) GetLocalOnlyConversationDeletes() []*SyncMessage_DeleteForMe_LocalOnlyConversationDelete {
	if x != nil {
		return x.LocalOnlyConversationDeletes
	}
	return nil
}

func (x *SyncMessage_DeleteForMe) GetAttachmentDeletes() []*SyncMessage_DeleteForMe_AttachmentDelete {
	if x != nil {
		return x.AttachmentDeletes
	}
	return nil
}

type SyncMessage_DeviceNameChange struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	DeviceId      *uint32                `protobuf:"varint,2,opt,name=deviceId" json:"deviceId,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_DeviceNameChange) Reset() {
	*x = SyncMessage_DeviceNameChange{}
	mi := &file_SignalService_proto_msgTypes[68]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeviceNameChange) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeviceNameChange) ProtoMessage() {}

func (x *SyncMessage_DeviceNameChange) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[68]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeviceNameChange.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeviceNameChange) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 19}
}

func (x *SyncMessage_DeviceNameChange) GetDeviceId() uint32 {
	if x != nil && x.DeviceId != nil {
		return *x.DeviceId
	}
	return 0
}

type SyncMessage_AttachmentBackfillRequest struct {
	state              protoimpl.MessageState  `protogen:"open.v1"`
	TargetMessage      *AddressableMessage     `protobuf:"bytes,1,opt,name=targetMessage" json:"targetMessage,omitempty"`
	TargetConversation *ConversationIdentifier `protobuf:"bytes,2,opt,name=targetConversation" json:"targetConversation,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *SyncMessage_AttachmentBackfillRequest) Reset() {
	*x = SyncMessage_AttachmentBackfillRequest{}
	mi := &file_SignalService_proto_msgTypes[69]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_AttachmentBackfillRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_AttachmentBackfillRequest) ProtoMessage() {}

func (x *SyncMessage_AttachmentBackfillRequest) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[69]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_AttachmentBackfillRequest.ProtoReflect.Descriptor instead.
func (*SyncMessage_AttachmentBackfillRequest) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 20}
}

func (x *SyncMessage_AttachmentBackfillRequest) GetTargetMessage() *AddressableMessage {
	if x != nil {
		return x.TargetMessage
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillRequest) GetTargetConversation() *ConversationIdentifier {
	if x != nil {
		return x.TargetConversation
	}
	return nil
}

type SyncMessage_AttachmentBackfillResponse struct {
	state              protoimpl.MessageState  `protogen:"open.v1"`
	TargetMessage      *AddressableMessage     `protobuf:"bytes,1,opt,name=targetMessage" json:"targetMessage,omitempty"`
	TargetConversation *ConversationIdentifier `protobuf:"bytes,2,opt,name=targetConversation" json:"targetConversation,omitempty"`
	// Types that are valid to be assigned to Data:
	//
	//	*SyncMessage_AttachmentBackfillResponse_Attachments
	//	*SyncMessage_AttachmentBackfillResponse_Error_
	Data          isSyncMessage_AttachmentBackfillResponse_Data `protobuf_oneof:"data"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_AttachmentBackfillResponse) Reset() {
	*x = SyncMessage_AttachmentBackfillResponse{}
	mi := &file_SignalService_proto_msgTypes[70]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_AttachmentBackfillResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_AttachmentBackfillResponse) ProtoMessage() {}

func (x *SyncMessage_AttachmentBackfillResponse) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[70]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_AttachmentBackfillResponse.ProtoReflect.Descriptor instead.
func (*SyncMessage_AttachmentBackfillResponse) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 21}
}

func (x *SyncMessage_AttachmentBackfillResponse) GetTargetMessage() *AddressableMessage {
	if x != nil {
		return x.TargetMessage
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse) GetTargetConversation() *ConversationIdentifier {
	if x != nil {
		return x.TargetConversation
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse) GetData() isSyncMessage_AttachmentBackfillResponse_Data {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse) GetAttachments() *SyncMessage_AttachmentBackfillResponse_AttachmentDataList {
	if x != nil {
		if x, ok := x.Data.(*SyncMessage_AttachmentBackfillResponse_Attachments); ok {
			return x.Attachments
		}
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse) GetError() SyncMessage_AttachmentBackfillResponse_Error {
	if x != nil {
		if x, ok := x.Data.(*SyncMessage_AttachmentBackfillResponse_Error_); ok {
			return x.Error
		}
	}
	return SyncMessage_AttachmentBackfillResponse_MESSAGE_NOT_FOUND
}

type isSyncMessage_AttachmentBackfillResponse_Data interface {
	isSyncMessage_AttachmentBackfillResponse_Data()
}

type SyncMessage_AttachmentBackfillResponse_Attachments struct {
	Attachments *SyncMessage_AttachmentBackfillResponse_AttachmentDataList `protobuf:"bytes,3,opt,name=attachments,oneof"`
}

type SyncMessage_AttachmentBackfillResponse_Error_ struct {
	Error SyncMessage_AttachmentBackfillResponse_Error `protobuf:"varint,4,opt,name=error,enum=signalservice.SyncMessage_AttachmentBackfillResponse_Error,oneof"`
}

func (*SyncMessage_AttachmentBackfillResponse_Attachments) isSyncMessage_AttachmentBackfillResponse_Data() {
}

func (*SyncMessage_AttachmentBackfillResponse_Error_) isSyncMessage_AttachmentBackfillResponse_Data() {
}

type SyncMessage_Sent_UnidentifiedDeliveryStatus struct {
	state                     protoimpl.MessageState `protogen:"open.v1"`
	DestinationServiceId      *string                `protobuf:"bytes,3,opt,name=destinationServiceId" json:"destinationServiceId,omitempty"`
	Unidentified              *bool                  `protobuf:"varint,2,opt,name=unidentified" json:"unidentified,omitempty"`
	DestinationPniIdentityKey []byte                 `protobuf:"bytes,5,opt,name=destinationPniIdentityKey" json:"destinationPniIdentityKey,omitempty"` // Only set for PNI destinations
	unknownFields             protoimpl.UnknownFields
	sizeCache                 protoimpl.SizeCache
}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) Reset() {
	*x = SyncMessage_Sent_UnidentifiedDeliveryStatus{}
	mi := &file_SignalService_proto_msgTypes[71]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Sent_UnidentifiedDeliveryStatus) ProtoMessage() {}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[71]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Sent_UnidentifiedDeliveryStatus.ProtoReflect.Descriptor instead.
func (*SyncMessage_Sent_UnidentifiedDeliveryStatus) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 0, 0}
}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) GetDestinationServiceId() string {
	if x != nil && x.DestinationServiceId != nil {
		return *x.DestinationServiceId
	}
	return ""
}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) GetUnidentified() bool {
	if x != nil && x.Unidentified != nil {
		return *x.Unidentified
	}
	return false
}

func (x *SyncMessage_Sent_UnidentifiedDeliveryStatus) GetDestinationPniIdentityKey() []byte {
	if x != nil {
		return x.DestinationPniIdentityKey
	}
	return nil
}

type SyncMessage_Sent_StoryMessageRecipient struct {
	state                protoimpl.MessageState `protogen:"open.v1"`
	DestinationServiceId *string                `protobuf:"bytes,1,opt,name=destinationServiceId" json:"destinationServiceId,omitempty"`
	DistributionListIds  []string               `protobuf:"bytes,2,rep,name=distributionListIds" json:"distributionListIds,omitempty"`
	IsAllowedToReply     *bool                  `protobuf:"varint,3,opt,name=isAllowedToReply" json:"isAllowedToReply,omitempty"`
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

func (x *SyncMessage_Sent_StoryMessageRecipient) Reset() {
	*x = SyncMessage_Sent_StoryMessageRecipient{}
	mi := &file_SignalService_proto_msgTypes[72]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_Sent_StoryMessageRecipient) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_Sent_StoryMessageRecipient) ProtoMessage() {}

func (x *SyncMessage_Sent_StoryMessageRecipient) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[72]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_Sent_StoryMessageRecipient.ProtoReflect.Descriptor instead.
func (*SyncMessage_Sent_StoryMessageRecipient) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 0, 1}
}

func (x *SyncMessage_Sent_StoryMessageRecipient) GetDestinationServiceId() string {
	if x != nil && x.DestinationServiceId != nil {
		return *x.DestinationServiceId
	}
	return ""
}

func (x *SyncMessage_Sent_StoryMessageRecipient) GetDistributionListIds() []string {
	if x != nil {
		return x.DistributionListIds
	}
	return nil
}

func (x *SyncMessage_Sent_StoryMessageRecipient) GetIsAllowedToReply() bool {
	if x != nil && x.IsAllowedToReply != nil {
		return *x.IsAllowedToReply
	}
	return false
}

type SyncMessage_OutgoingPayment_MobileCoin struct {
	state                protoimpl.MessageState `protogen:"open.v1"`
	RecipientAddress     []byte                 `protobuf:"bytes,1,opt,name=recipientAddress" json:"recipientAddress,omitempty"`
	AmountPicoMob        *uint64                `protobuf:"varint,2,opt,name=amountPicoMob" json:"amountPicoMob,omitempty"`
	FeePicoMob           *uint64                `protobuf:"varint,3,opt,name=feePicoMob" json:"feePicoMob,omitempty"`
	Receipt              []byte                 `protobuf:"bytes,4,opt,name=receipt" json:"receipt,omitempty"`
	LedgerBlockTimestamp *uint64                `protobuf:"varint,5,opt,name=ledgerBlockTimestamp" json:"ledgerBlockTimestamp,omitempty"`
	LedgerBlockIndex     *uint64                `protobuf:"varint,6,opt,name=ledgerBlockIndex" json:"ledgerBlockIndex,omitempty"`
	SpentKeyImages       [][]byte               `protobuf:"bytes,7,rep,name=spentKeyImages" json:"spentKeyImages,omitempty"`
	OutputPublicKeys     [][]byte               `protobuf:"bytes,8,rep,name=outputPublicKeys" json:"outputPublicKeys,omitempty"`
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) Reset() {
	*x = SyncMessage_OutgoingPayment_MobileCoin{}
	mi := &file_SignalService_proto_msgTypes[73]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_OutgoingPayment_MobileCoin) ProtoMessage() {}

func (x *SyncMessage_OutgoingPayment_MobileCoin) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[73]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_OutgoingPayment_MobileCoin.ProtoReflect.Descriptor instead.
func (*SyncMessage_OutgoingPayment_MobileCoin) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 13, 0}
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetRecipientAddress() []byte {
	if x != nil {
		return x.RecipientAddress
	}
	return nil
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetAmountPicoMob() uint64 {
	if x != nil && x.AmountPicoMob != nil {
		return *x.AmountPicoMob
	}
	return 0
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetFeePicoMob() uint64 {
	if x != nil && x.FeePicoMob != nil {
		return *x.FeePicoMob
	}
	return 0
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetReceipt() []byte {
	if x != nil {
		return x.Receipt
	}
	return nil
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetLedgerBlockTimestamp() uint64 {
	if x != nil && x.LedgerBlockTimestamp != nil {
		return *x.LedgerBlockTimestamp
	}
	return 0
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetLedgerBlockIndex() uint64 {
	if x != nil && x.LedgerBlockIndex != nil {
		return *x.LedgerBlockIndex
	}
	return 0
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetSpentKeyImages() [][]byte {
	if x != nil {
		return x.SpentKeyImages
	}
	return nil
}

func (x *SyncMessage_OutgoingPayment_MobileCoin) GetOutputPublicKeys() [][]byte {
	if x != nil {
		return x.OutputPublicKeys
	}
	return nil
}

type SyncMessage_DeleteForMe_MessageDeletes struct {
	state         protoimpl.MessageState  `protogen:"open.v1"`
	Conversation  *ConversationIdentifier `protobuf:"bytes,1,opt,name=conversation" json:"conversation,omitempty"`
	Messages      []*AddressableMessage   `protobuf:"bytes,2,rep,name=messages" json:"messages,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_DeleteForMe_MessageDeletes) Reset() {
	*x = SyncMessage_DeleteForMe_MessageDeletes{}
	mi := &file_SignalService_proto_msgTypes[74]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeleteForMe_MessageDeletes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeleteForMe_MessageDeletes) ProtoMessage() {}

func (x *SyncMessage_DeleteForMe_MessageDeletes) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[74]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeleteForMe_MessageDeletes.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeleteForMe_MessageDeletes) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 18, 0}
}

func (x *SyncMessage_DeleteForMe_MessageDeletes) GetConversation() *ConversationIdentifier {
	if x != nil {
		return x.Conversation
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_MessageDeletes) GetMessages() []*AddressableMessage {
	if x != nil {
		return x.Messages
	}
	return nil
}

type SyncMessage_DeleteForMe_AttachmentDelete struct {
	state         protoimpl.MessageState  `protogen:"open.v1"`
	Conversation  *ConversationIdentifier `protobuf:"bytes,1,opt,name=conversation" json:"conversation,omitempty"`
	TargetMessage *AddressableMessage     `protobuf:"bytes,2,opt,name=targetMessage" json:"targetMessage,omitempty"`
	// The `clientUuid` from `AttachmentPointer`.
	ClientUuid []byte `protobuf:"bytes,3,opt,name=clientUuid" json:"clientUuid,omitempty"`
	// SHA256 hash of the (encrypted, padded, etc.) attachment blob on the CDN.
	FallbackDigest []byte `protobuf:"bytes,4,opt,name=fallbackDigest" json:"fallbackDigest,omitempty"`
	// SHA256 hash of the plaintext content of the attachment.
	FallbackPlaintextHash []byte `protobuf:"bytes,5,opt,name=fallbackPlaintextHash" json:"fallbackPlaintextHash,omitempty"`
	unknownFields         protoimpl.UnknownFields
	sizeCache             protoimpl.SizeCache
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) Reset() {
	*x = SyncMessage_DeleteForMe_AttachmentDelete{}
	mi := &file_SignalService_proto_msgTypes[75]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeleteForMe_AttachmentDelete) ProtoMessage() {}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[75]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeleteForMe_AttachmentDelete.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeleteForMe_AttachmentDelete) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 18, 1}
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) GetConversation() *ConversationIdentifier {
	if x != nil {
		return x.Conversation
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) GetTargetMessage() *AddressableMessage {
	if x != nil {
		return x.TargetMessage
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) GetClientUuid() []byte {
	if x != nil {
		return x.ClientUuid
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) GetFallbackDigest() []byte {
	if x != nil {
		return x.FallbackDigest
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_AttachmentDelete) GetFallbackPlaintextHash() []byte {
	if x != nil {
		return x.FallbackPlaintextHash
	}
	return nil
}

type SyncMessage_DeleteForMe_ConversationDelete struct {
	state                         protoimpl.MessageState  `protogen:"open.v1"`
	Conversation                  *ConversationIdentifier `protobuf:"bytes,1,opt,name=conversation" json:"conversation,omitempty"`
	MostRecentMessages            []*AddressableMessage   `protobuf:"bytes,2,rep,name=mostRecentMessages" json:"mostRecentMessages,omitempty"`
	IsFullDelete                  *bool                   `protobuf:"varint,3,opt,name=isFullDelete" json:"isFullDelete,omitempty"`
	MostRecentNonExpiringMessages []*AddressableMessage   `protobuf:"bytes,4,rep,name=mostRecentNonExpiringMessages" json:"mostRecentNonExpiringMessages,omitempty"`
	unknownFields                 protoimpl.UnknownFields
	sizeCache                     protoimpl.SizeCache
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) Reset() {
	*x = SyncMessage_DeleteForMe_ConversationDelete{}
	mi := &file_SignalService_proto_msgTypes[76]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeleteForMe_ConversationDelete) ProtoMessage() {}

func (x *SyncMessage_DeleteForMe_ConversationDelete) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[76]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeleteForMe_ConversationDelete.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeleteForMe_ConversationDelete) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 18, 2}
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) GetConversation() *ConversationIdentifier {
	if x != nil {
		return x.Conversation
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) GetMostRecentMessages() []*AddressableMessage {
	if x != nil {
		return x.MostRecentMessages
	}
	return nil
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) GetIsFullDelete() bool {
	if x != nil && x.IsFullDelete != nil {
		return *x.IsFullDelete
	}
	return false
}

func (x *SyncMessage_DeleteForMe_ConversationDelete) GetMostRecentNonExpiringMessages() []*AddressableMessage {
	if x != nil {
		return x.MostRecentNonExpiringMessages
	}
	return nil
}

type SyncMessage_DeleteForMe_LocalOnlyConversationDelete struct {
	state         protoimpl.MessageState  `protogen:"open.v1"`
	Conversation  *ConversationIdentifier `protobuf:"bytes,1,opt,name=conversation" json:"conversation,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_DeleteForMe_LocalOnlyConversationDelete) Reset() {
	*x = SyncMessage_DeleteForMe_LocalOnlyConversationDelete{}
	mi := &file_SignalService_proto_msgTypes[77]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_DeleteForMe_LocalOnlyConversationDelete) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_DeleteForMe_LocalOnlyConversationDelete) ProtoMessage() {}

func (x *SyncMessage_DeleteForMe_LocalOnlyConversationDelete) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[77]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_DeleteForMe_LocalOnlyConversationDelete.ProtoReflect.Descriptor instead.
func (*SyncMessage_DeleteForMe_LocalOnlyConversationDelete) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 18, 3}
}

func (x *SyncMessage_DeleteForMe_LocalOnlyConversationDelete) GetConversation() *ConversationIdentifier {
	if x != nil {
		return x.Conversation
	}
	return nil
}

type SyncMessage_AttachmentBackfillResponse_AttachmentData struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Data:
	//
	//	*SyncMessage_AttachmentBackfillResponse_AttachmentData_Attachment
	//	*SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_
	Data          isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data `protobuf_oneof:"data"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) Reset() {
	*x = SyncMessage_AttachmentBackfillResponse_AttachmentData{}
	mi := &file_SignalService_proto_msgTypes[78]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_AttachmentBackfillResponse_AttachmentData) ProtoMessage() {}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[78]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_AttachmentBackfillResponse_AttachmentData.ProtoReflect.Descriptor instead.
func (*SyncMessage_AttachmentBackfillResponse_AttachmentData) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 21, 0}
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) GetData() isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) GetAttachment() *AttachmentPointer {
	if x != nil {
		if x, ok := x.Data.(*SyncMessage_AttachmentBackfillResponse_AttachmentData_Attachment); ok {
			return x.Attachment
		}
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentData) GetStatus() SyncMessage_AttachmentBackfillResponse_AttachmentData_Status {
	if x != nil {
		if x, ok := x.Data.(*SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_); ok {
			return x.Status
		}
	}
	return SyncMessage_AttachmentBackfillResponse_AttachmentData_PENDING
}

type isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data interface {
	isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data()
}

type SyncMessage_AttachmentBackfillResponse_AttachmentData_Attachment struct {
	Attachment *AttachmentPointer `protobuf:"bytes,1,opt,name=attachment,oneof"`
}

type SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_ struct {
	Status SyncMessage_AttachmentBackfillResponse_AttachmentData_Status `protobuf:"varint,2,opt,name=status,enum=signalservice.SyncMessage_AttachmentBackfillResponse_AttachmentData_Status,oneof"`
}

func (*SyncMessage_AttachmentBackfillResponse_AttachmentData_Attachment) isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data() {
}

func (*SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_) isSyncMessage_AttachmentBackfillResponse_AttachmentData_Data() {
}

type SyncMessage_AttachmentBackfillResponse_AttachmentDataList struct {
	state         protoimpl.MessageState                                   `protogen:"open.v1"`
	Attachments   []*SyncMessage_AttachmentBackfillResponse_AttachmentData `protobuf:"bytes,1,rep,name=attachments" json:"attachments,omitempty"`
	LongText      *SyncMessage_AttachmentBackfillResponse_AttachmentData   `protobuf:"bytes,2,opt,name=longText" json:"longText,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentDataList) Reset() {
	*x = SyncMessage_AttachmentBackfillResponse_AttachmentDataList{}
	mi := &file_SignalService_proto_msgTypes[79]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentDataList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncMessage_AttachmentBackfillResponse_AttachmentDataList) ProtoMessage() {}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentDataList) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[79]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncMessage_AttachmentBackfillResponse_AttachmentDataList.ProtoReflect.Descriptor instead.
func (*SyncMessage_AttachmentBackfillResponse_AttachmentDataList) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{11, 21, 1}
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentDataList) GetAttachments() []*SyncMessage_AttachmentBackfillResponse_AttachmentData {
	if x != nil {
		return x.Attachments
	}
	return nil
}

func (x *SyncMessage_AttachmentBackfillResponse_AttachmentDataList) GetLongText() *SyncMessage_AttachmentBackfillResponse_AttachmentData {
	if x != nil {
		return x.LongText
	}
	return nil
}

type ContactDetails_Avatar struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ContentType   *string                `protobuf:"bytes,1,opt,name=contentType" json:"contentType,omitempty"`
	Length        *uint32                `protobuf:"varint,2,opt,name=length" json:"length,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ContactDetails_Avatar) Reset() {
	*x = ContactDetails_Avatar{}
	mi := &file_SignalService_proto_msgTypes[80]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ContactDetails_Avatar) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ContactDetails_Avatar) ProtoMessage() {}

func (x *ContactDetails_Avatar) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[80]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ContactDetails_Avatar.ProtoReflect.Descriptor instead.
func (*ContactDetails_Avatar) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{14, 0}
}

func (x *ContactDetails_Avatar) GetContentType() string {
	if x != nil && x.ContentType != nil {
		return *x.ContentType
	}
	return ""
}

func (x *ContactDetails_Avatar) GetLength() uint32 {
	if x != nil && x.Length != nil {
		return *x.Length
	}
	return 0
}

type PaymentAddress_MobileCoin struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PublicAddress []byte                 `protobuf:"bytes,1,opt,name=publicAddress" json:"publicAddress,omitempty"`
	Signature     []byte                 `protobuf:"bytes,2,opt,name=signature" json:"signature,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *PaymentAddress_MobileCoin) Reset() {
	*x = PaymentAddress_MobileCoin{}
	mi := &file_SignalService_proto_msgTypes[81]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PaymentAddress_MobileCoin) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PaymentAddress_MobileCoin) ProtoMessage() {}

func (x *PaymentAddress_MobileCoin) ProtoReflect() protoreflect.Message {
	mi := &file_SignalService_proto_msgTypes[81]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PaymentAddress_MobileCoin.ProtoReflect.Descriptor instead.
func (*PaymentAddress_MobileCoin) Descriptor() ([]byte, []int) {
	return file_SignalService_proto_rawDescGZIP(), []int{15, 0}
}

func (x *PaymentAddress_MobileCoin) GetPublicAddress() []byte {
	if x != nil {
		return x.PublicAddress
	}
	return nil
}

func (x *PaymentAddress_MobileCoin) GetSignature() []byte {
	if x != nil {
		return x.Signature
	}
	return nil
}

var File_SignalService_proto protoreflect.FileDescriptor

const file_SignalService_proto_rawDesc = "" +
	"\n" +
	"\x13SignalService.proto\x12\rsignalservice\"\xa7\x05\n" +
	"\bEnvelope\x120\n" +
	"\x04type\x18\x01 \x01(\x0e2\x1c.signalservice.Envelope.TypeR\x04type\x12(\n" +
	"\x0fsourceServiceId\x18\v \x01(\tR\x0fsourceServiceId\x12\"\n" +
	"\fsourceDevice\x18\a \x01(\rR\fsourceDevice\x122\n" +
	"\x14destinationServiceId\x18\r \x01(\tR\x14destinationServiceId\x12\x1c\n" +
	"\ttimestamp\x18\x05 \x01(\x04R\ttimestamp\x12\x18\n" +
	"\acontent\x18\b \x01(\fR\acontent\x12\x1e\n" +
	"\n" +
	"serverGuid\x18\t \x01(\tR\n" +
	"serverGuid\x12(\n" +
	"\x0fserverTimestamp\x18\n" +
	" \x01(\x04R\x0fserverTimestamp\x12\x1c\n" +
	"\tephemeral\x18\f \x01(\bR\tephemeral\x12\x1c\n" +
	"\x06urgent\x18\x0e \x01(\b:\x04trueR\x06urgent\x12\x1e\n" +
	"\n" +
	"updatedPni\x18\x0f \x01(\tR\n" +
	"updatedPni\x12\x14\n" +
	"\x05story\x18\x10 \x01(\bR\x05story\x12*\n" +
	"\x11report_spam_token\x18\x11 \x01(\fR\x0freportSpamToken\"\xae\x01\n" +
	"\x04Type\x12\v\n" +
	"\aUNKNOWN\x10\x00\x12\x0e\n" +
	"\n" +
	"CIPHERTEXT\x10\x01\x12\x11\n" +
	"\rPREKEY_BUNDLE\x10\x03\x12\x1b\n" +
	"\x17SERVER_DELIVERY_RECEIPT\x10\x05\x12\x17\n" +
	"\x13UNIDENTIFIED_SENDER\x10\x06\x12\x15\n" +
	"\x11SENDERKEY_MESSAGE\x10\a\x12\x15\n" +
	"\x11PLAINTEXT_CONTENT\x10\b\"\x04\b\x02\x10\x02*\fKEY_EXCHANGEJ\x04\b\x02\x10\x03J\x04\b\x03\x10\x04J\x04\b\x06\x10\aJ\x04\b\x12\x10\x13\"\xdd\x05\n" +
	"\aContent\x12<\n" +
	"\vdataMessage\x18\x01 \x01(\v2\x1a.signalservice.DataMessageR\vdataMessage\x12<\n" +
	"\vsyncMessage\x18\x02 \x01(\v2\x1a.signalservice.SyncMessageR\vsyncMessage\x12<\n" +
	"\vcallMessage\x18\x03 \x01(\v2\x1a.signalservice.CallMessageR\vcallMessage\x12<\n" +
	"\vnullMessage\x18\x04 \x01(\v2\x1a.signalservice.NullMessageR\vnullMessage\x12E\n" +
	"\x0ereceiptMessage\x18\x05 \x01(\v2\x1d.signalservice.ReceiptMessageR\x0ereceiptMessage\x12B\n" +
	"\rtypingMessage\x18\x06 \x01(\v2\x1c.signalservice.TypingMessageR\rtypingMessage\x12B\n" +
	"\x1csenderKeyDistributionMessage\x18\a \x01(\fR\x1csenderKeyDistributionMessage\x126\n" +
	"\x16decryptionErrorMessage\x18\b \x01(\fR\x16decryptionErrorMessage\x12?\n" +
	"\fstoryMessage\x18\t \x01(\v2\x1b.signalservice.StoryMessageR\fstoryMessage\x12T\n" +
	"\x13pniSignatureMessage\x18\n" +
	" \x01(\v2\".signalservice.PniSignatureMessageR\x13pniSignatureMessage\x12<\n" +
	"\veditMessage\x18\v \x01(\v2\x1a.signalservice.EditMessageR\veditMessage\"\xf2\b\n" +
	"\vCallMessage\x126\n" +
	"\x05offer\x18\x01 \x01(\v2 .signalservice.CallMessage.OfferR\x05offer\x129\n" +
	"\x06answer\x18\x02 \x01(\v2!.signalservice.CallMessage.AnswerR\x06answer\x12B\n" +
	"\ticeUpdate\x18\x03 \x03(\v2$.signalservice.CallMessage.IceUpdateR\ticeUpdate\x123\n" +
	"\x04busy\x18\x05 \x01(\v2\x1f.signalservice.CallMessage.BusyR\x04busy\x129\n" +
	"\x06hangup\x18\a \x01(\v2!.signalservice.CallMessage.HangupR\x06hangup\x120\n" +
	"\x13destinationDeviceId\x18\t \x01(\rR\x13destinationDeviceId\x129\n" +
	"\x06opaque\x18\n" +
	" \x01(\v2!.signalservice.CallMessage.OpaqueR\x06opaque\x1a\xaa\x01\n" +
	"\x05Offer\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x129\n" +
	"\x04type\x18\x03 \x01(\x0e2%.signalservice.CallMessage.Offer.TypeR\x04type\x12\x16\n" +
	"\x06opaque\x18\x04 \x01(\fR\x06opaque\"8\n" +
	"\x04Type\x12\x14\n" +
	"\x10OFFER_AUDIO_CALL\x10\x00\x12\x14\n" +
	"\x10OFFER_VIDEO_CALL\x10\x01\"\x04\b\x02\x10\x02J\x04\b\x02\x10\x03\x1a6\n" +
	"\x06Answer\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x12\x16\n" +
	"\x06opaque\x18\x03 \x01(\fR\x06opaqueJ\x04\b\x02\x10\x03\x1aE\n" +
	"\tIceUpdate\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x12\x16\n" +
	"\x06opaque\x18\x05 \x01(\fR\x06opaqueJ\x04\b\x02\x10\x03J\x04\b\x03\x10\x04J\x04\b\x04\x10\x05\x1a\x16\n" +
	"\x04Busy\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x1a\xe2\x01\n" +
	"\x06Hangup\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x12:\n" +
	"\x04type\x18\x02 \x01(\x0e2&.signalservice.CallMessage.Hangup.TypeR\x04type\x12\x1a\n" +
	"\bdeviceId\x18\x03 \x01(\rR\bdeviceId\"p\n" +
	"\x04Type\x12\x11\n" +
	"\rHANGUP_NORMAL\x10\x00\x12\x13\n" +
	"\x0fHANGUP_ACCEPTED\x10\x01\x12\x13\n" +
	"\x0fHANGUP_DECLINED\x10\x02\x12\x0f\n" +
	"\vHANGUP_BUSY\x10\x03\x12\x1a\n" +
	"\x16HANGUP_NEED_PERMISSION\x10\x04\x1a\x93\x01\n" +
	"\x06Opaque\x12\x12\n" +
	"\x04data\x18\x01 \x01(\fR\x04data\x12C\n" +
	"\aurgency\x18\x02 \x01(\x0e2).signalservice.CallMessage.Opaque.UrgencyR\aurgency\"0\n" +
	"\aUrgency\x12\r\n" +
	"\tDROPPABLE\x10\x00\x12\x16\n" +
	"\x12HANDLE_IMMEDIATELY\x10\x01J\x04\b\x04\x10\x05J\x04\b\x06\x10\aJ\x04\b\b\x10\t\"\xf7\"\n" +
	"\vDataMessage\x12\x12\n" +
	"\x04body\x18\x01 \x01(\tR\x04body\x12B\n" +
	"\vattachments\x18\x02 \x03(\v2 .signalservice.AttachmentPointerR\vattachments\x127\n" +
	"\agroupV2\x18\x0f \x01(\v2\x1d.signalservice.GroupContextV2R\agroupV2\x12\x14\n" +
	"\x05flags\x18\x04 \x01(\rR\x05flags\x12 \n" +
	"\vexpireTimer\x18\x05 \x01(\rR\vexpireTimer\x12.\n" +
	"\x12expireTimerVersion\x18\x17 \x01(\rR\x12expireTimerVersion\x12\x1e\n" +
	"\n" +
	"profileKey\x18\x06 \x01(\fR\n" +
	"profileKey\x12\x1c\n" +
	"\ttimestamp\x18\a \x01(\x04R\ttimestamp\x126\n" +
	"\x05quote\x18\b \x01(\v2 .signalservice.DataMessage.QuoteR\x05quote\x12<\n" +
	"\acontact\x18\t \x03(\v2\".signalservice.DataMessage.ContactR\acontact\x120\n" +
	"\apreview\x18\n" +
	" \x03(\v2\x16.signalservice.PreviewR\apreview\x12<\n" +
	"\asticker\x18\v \x01(\v2\".signalservice.DataMessage.StickerR\asticker\x128\n" +
	"\x17requiredProtocolVersion\x18\f \x01(\rR\x17requiredProtocolVersion\x12\x1e\n" +
	"\n" +
	"isViewOnce\x18\x0e \x01(\bR\n" +
	"isViewOnce\x12?\n" +
	"\breaction\x18\x10 \x01(\v2#.signalservice.DataMessage.ReactionR\breaction\x129\n" +
	"\x06delete\x18\x11 \x01(\v2!.signalservice.DataMessage.DeleteR\x06delete\x128\n" +
	"\n" +
	"bodyRanges\x18\x12 \x03(\v2\x18.signalservice.BodyRangeR\n" +
	"bodyRanges\x12T\n" +
	"\x0fgroupCallUpdate\x18\x13 \x01(\v2*.signalservice.DataMessage.GroupCallUpdateR\x0fgroupCallUpdate\x12<\n" +
	"\apayment\x18\x14 \x01(\v2\".signalservice.DataMessage.PaymentR\apayment\x12K\n" +
	"\fstoryContext\x18\x15 \x01(\v2'.signalservice.DataMessage.StoryContextR\fstoryContext\x12B\n" +
	"\tgiftBadge\x18\x16 \x01(\v2$.signalservice.DataMessage.GiftBadgeR\tgiftBadge\x1a\x9a\x05\n" +
	"\aPayment\x12U\n" +
	"\fnotification\x18\x01 \x01(\v2/.signalservice.DataMessage.Payment.NotificationH\x00R\fnotification\x12O\n" +
	"\n" +
	"activation\x18\x02 \x01(\v2-.signalservice.DataMessage.Payment.ActivationH\x00R\n" +
	"activation\x1a\x92\x01\n" +
	"\x06Amount\x12V\n" +
	"\n" +
	"mobileCoin\x18\x01 \x01(\v24.signalservice.DataMessage.Payment.Amount.MobileCoinH\x00R\n" +
	"mobileCoin\x1a&\n" +
	"\n" +
	"MobileCoin\x12\x18\n" +
	"\apicoMob\x18\x01 \x01(\x04R\apicoMobB\b\n" +
	"\x06Amount\x1a\xbf\x01\n" +
	"\fNotification\x12\\\n" +
	"\n" +
	"mobileCoin\x18\x01 \x01(\v2:.signalservice.DataMessage.Payment.Notification.MobileCoinH\x00R\n" +
	"mobileCoin\x12\x12\n" +
	"\x04note\x18\x02 \x01(\tR\x04note\x1a&\n" +
	"\n" +
	"MobileCoin\x12\x18\n" +
	"\areceipt\x18\x01 \x01(\fR\areceiptB\r\n" +
	"\vTransactionJ\x06\b\xeb\a\x10\xec\a\x1ax\n" +
	"\n" +
	"Activation\x12F\n" +
	"\x04type\x18\x01 \x01(\x0e22.signalservice.DataMessage.Payment.Activation.TypeR\x04type\"\"\n" +
	"\x04Type\x12\v\n" +
	"\aREQUEST\x10\x00\x12\r\n" +
	"\tACTIVATED\x10\x01B\x06\n" +
	"\x04ItemJ\x06\b\xea\a\x10\xeb\aJ\x06\b\xeb\a\x10\xec\a\x1a\xd0\x03\n" +
	"\x05Quote\x12\x0e\n" +
	"\x02id\x18\x01 \x01(\x04R\x02id\x12\x1c\n" +
	"\tauthorAci\x18\x05 \x01(\tR\tauthorAci\x12\x12\n" +
	"\x04text\x18\x03 \x01(\tR\x04text\x12S\n" +
	"\vattachments\x18\x04 \x03(\v21.signalservice.DataMessage.Quote.QuotedAttachmentR\vattachments\x128\n" +
	"\n" +
	"bodyRanges\x18\x06 \x03(\v2\x18.signalservice.BodyRangeR\n" +
	"bodyRanges\x129\n" +
	"\x04type\x18\a \x01(\x0e2%.signalservice.DataMessage.Quote.TypeR\x04type\x1a\x90\x01\n" +
	"\x10QuotedAttachment\x12 \n" +
	"\vcontentType\x18\x01 \x01(\tR\vcontentType\x12\x1a\n" +
	"\bfileName\x18\x02 \x01(\tR\bfileName\x12>\n" +
	"\tthumbnail\x18\x03 \x01(\v2 .signalservice.AttachmentPointerR\tthumbnail\"\"\n" +
	"\x04Type\x12\n" +
	"\n" +
	"\x06NORMAL\x10\x00\x12\x0e\n" +
	"\n" +
	"GIFT_BADGE\x10\x01J\x04\b\x02\x10\x03\x1a\xbf\n" +
	"\n" +
	"\aContact\x12;\n" +
	"\x04name\x18\x01 \x01(\v2'.signalservice.DataMessage.Contact.NameR\x04name\x12@\n" +
	"\x06number\x18\x03 \x03(\v2(.signalservice.DataMessage.Contact.PhoneR\x06number\x12>\n" +
	"\x05email\x18\x04 \x03(\v2(.signalservice.DataMessage.Contact.EmailR\x05email\x12J\n" +
	"\aaddress\x18\x05 \x03(\v20.signalservice.DataMessage.Contact.PostalAddressR\aaddress\x12A\n" +
	"\x06avatar\x18\x06 \x01(\v2).signalservice.DataMessage.Contact.AvatarR\x06avatar\x12\"\n" +
	"\forganization\x18\a \x01(\tR\forganization\x1a\xb6\x01\n" +
	"\x04Name\x12\x1c\n" +
	"\tgivenName\x18\x01 \x01(\tR\tgivenName\x12\x1e\n" +
	"\n" +
	"familyName\x18\x02 \x01(\tR\n" +
	"familyName\x12\x16\n" +
	"\x06prefix\x18\x03 \x01(\tR\x06prefix\x12\x16\n" +
	"\x06suffix\x18\x04 \x01(\tR\x06suffix\x12\x1e\n" +
	"\n" +
	"middleName\x18\x05 \x01(\tR\n" +
	"middleName\x12\x1a\n" +
	"\bnickname\x18\a \x01(\tR\bnicknameJ\x04\b\x06\x10\a\x1a\xaa\x01\n" +
	"\x05Phone\x12\x14\n" +
	"\x05value\x18\x01 \x01(\tR\x05value\x12A\n" +
	"\x04type\x18\x02 \x01(\x0e2-.signalservice.DataMessage.Contact.Phone.TypeR\x04type\x12\x14\n" +
	"\x05label\x18\x03 \x01(\tR\x05label\"2\n" +
	"\x04Type\x12\b\n" +
	"\x04HOME\x10\x01\x12\n" +
	"\n" +
	"\x06MOBILE\x10\x02\x12\b\n" +
	"\x04WORK\x10\x03\x12\n" +
	"\n" +
	"\x06CUSTOM\x10\x04\x1a\xaa\x01\n" +
	"\x05Email\x12\x14\n" +
	"\x05value\x18\x01 \x01(\tR\x05value\x12A\n" +
	"\x04type\x18\x02 \x01(\x0e2-.signalservice.DataMessage.Contact.Email.TypeR\x04type\x12\x14\n" +
	"\x05label\x18\x03 \x01(\tR\x05label\"2\n" +
	"\x04Type\x12\b\n" +
	"\x04HOME\x10\x01\x12\n" +
	"\n" +
	"\x06MOBILE\x10\x02\x12\b\n" +
	"\x04WORK\x10\x03\x12\n" +
	"\n" +
	"\x06CUSTOM\x10\x04\x1a\xcc\x02\n" +
	"\rPostalAddress\x12I\n" +
	"\x04type\x18\x01 \x01(\x0e25.signalservice.DataMessage.Contact.PostalAddress.TypeR\x04type\x12\x14\n" +
	"\x05label\x18\x02 \x01(\tR\x05label\x12\x16\n" +
	"\x06street\x18\x03 \x01(\tR\x06street\x12\x14\n" +
	"\x05pobox\x18\x04 \x01(\tR\x05pobox\x12\"\n" +
	"\fneighborhood\x18\x05 \x01(\tR\fneighborhood\x12\x12\n" +
	"\x04city\x18\x06 \x01(\tR\x04city\x12\x16\n" +
	"\x06region\x18\a \x01(\tR\x06region\x12\x1a\n" +
	"\bpostcode\x18\b \x01(\tR\bpostcode\x12\x18\n" +
	"\acountry\x18\t \x01(\tR\acountry\"&\n" +
	"\x04Type\x12\b\n" +
	"\x04HOME\x10\x01\x12\b\n" +
	"\x04WORK\x10\x02\x12\n" +
	"\n" +
	"\x06CUSTOM\x10\x03\x1a`\n" +
	"\x06Avatar\x128\n" +
	"\x06avatar\x18\x01 \x01(\v2 .signalservice.AttachmentPointerR\x06avatar\x12\x1c\n" +
	"\tisProfile\x18\x02 \x01(\bR\tisProfile\x1a\xa5\x01\n" +
	"\aSticker\x12\x16\n" +
	"\x06packId\x18\x01 \x01(\fR\x06packId\x12\x18\n" +
	"\apackKey\x18\x02 \x01(\fR\apackKey\x12\x1c\n" +
	"\tstickerId\x18\x03 \x01(\rR\tstickerId\x124\n" +
	"\x04data\x18\x04 \x01(\v2 .signalservice.AttachmentPointerR\x04data\x12\x14\n" +
	"\x05emoji\x18\x05 \x01(\tR\x05emoji\x1a\x9a\x01\n" +
	"\bReaction\x12\x14\n" +
	"\x05emoji\x18\x01 \x01(\tR\x05emoji\x12\x16\n" +
	"\x06remove\x18\x02 \x01(\bR\x06remove\x12(\n" +
	"\x0ftargetAuthorAci\x18\x04 \x01(\tR\x0ftargetAuthorAci\x120\n" +
	"\x13targetSentTimestamp\x18\x05 \x01(\x04R\x13targetSentTimestampJ\x04\b\x03\x10\x04\x1a:\n" +
	"\x06Delete\x120\n" +
	"\x13targetSentTimestamp\x18\x01 \x01(\x04R\x13targetSentTimestamp\x1a'\n" +
	"\x0fGroupCallUpdate\x12\x14\n" +
	"\x05eraId\x18\x01 \x01(\tR\x05eraId\x1aR\n" +
	"\fStoryContext\x12\x1c\n" +
	"\tauthorAci\x18\x01 \x01(\tR\tauthorAci\x12$\n" +
	"\rsentTimestamp\x18\x02 \x01(\x04R\rsentTimestamp\x1aQ\n" +
	"\tGiftBadge\x12D\n" +
	"\x1dreceiptCredentialPresentation\x18\x01 \x01(\fR\x1dreceiptCredentialPresentation\"Z\n" +
	"\x05Flags\x12\x0f\n" +
	"\vEND_SESSION\x10\x01\x12\x1b\n" +
	"\x17EXPIRATION_TIMER_UPDATE\x10\x02\x12\x16\n" +
	"\x12PROFILE_KEY_UPDATE\x10\x04\x12\v\n" +
	"\aFORWARD\x10\b\"\xb0\x01\n" +
	"\x0fProtocolVersion\x12\v\n" +
	"\aINITIAL\x10\x00\x12\x12\n" +
	"\x0eMESSAGE_TIMERS\x10\x01\x12\r\n" +
	"\tVIEW_ONCE\x10\x02\x12\x13\n" +
	"\x0fVIEW_ONCE_VIDEO\x10\x03\x12\r\n" +
	"\tREACTIONS\x10\x04\x12\x1c\n" +
	"\x18CDN_SELECTOR_ATTACHMENTS\x10\x05\x12\f\n" +
	"\bMENTIONS\x10\x06\x12\f\n" +
	"\bPAYMENTS\x10\a\x12\v\n" +
	"\aCURRENT\x10\a\x1a\x02\x10\x01J\x04\b\x03\x10\x04\"'\n" +
	"\vNullMessage\x12\x18\n" +
	"\apadding\x18\x01 \x01(\fR\apadding\"\x92\x01\n" +
	"\x0eReceiptMessage\x126\n" +
	"\x04type\x18\x01 \x01(\x0e2\".signalservice.ReceiptMessage.TypeR\x04type\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x03(\x04R\ttimestamp\"*\n" +
	"\x04Type\x12\f\n" +
	"\bDELIVERY\x10\x00\x12\b\n" +
	"\x04READ\x10\x01\x12\n" +
	"\n" +
	"\x06VIEWED\x10\x02\"\xa8\x01\n" +
	"\rTypingMessage\x12\x1c\n" +
	"\ttimestamp\x18\x01 \x01(\x04R\ttimestamp\x12;\n" +
	"\x06action\x18\x02 \x01(\x0e2#.signalservice.TypingMessage.ActionR\x06action\x12\x18\n" +
	"\agroupId\x18\x03 \x01(\fR\agroupId\"\"\n" +
	"\x06Action\x12\v\n" +
	"\aSTARTED\x10\x00\x12\v\n" +
	"\aSTOPPED\x10\x01\"\xe6\x02\n" +
	"\fStoryMessage\x12\x1e\n" +
	"\n" +
	"profileKey\x18\x01 \x01(\fR\n" +
	"profileKey\x123\n" +
	"\x05group\x18\x02 \x01(\v2\x1d.signalservice.GroupContextV2R\x05group\x12J\n" +
	"\x0efileAttachment\x18\x03 \x01(\v2 .signalservice.AttachmentPointerH\x00R\x0efileAttachment\x12G\n" +
	"\x0etextAttachment\x18\x04 \x01(\v2\x1d.signalservice.TextAttachmentH\x00R\x0etextAttachment\x12$\n" +
	"\rallowsReplies\x18\x05 \x01(\bR\rallowsReplies\x128\n" +
	"\n" +
	"bodyRanges\x18\x06 \x03(\v2\x18.signalservice.BodyRangeR\n" +
	"bodyRangesB\f\n" +
	"\n" +
	"attachment\"\x9f\x01\n" +
	"\aPreview\x12\x10\n" +
	"\x03url\x18\x01 \x01(\tR\x03url\x12\x14\n" +
	"\x05title\x18\x02 \x01(\tR\x05title\x126\n" +
	"\x05image\x18\x03 \x01(\v2 .signalservice.AttachmentPointerR\x05image\x12 \n" +
	"\vdescription\x18\x04 \x01(\tR\vdescription\x12\x12\n" +
	"\x04date\x18\x05 \x01(\x04R\x04date\"\xd1\x04\n" +
	"\x0eTextAttachment\x12\x12\n" +
	"\x04text\x18\x01 \x01(\tR\x04text\x12A\n" +
	"\ttextStyle\x18\x02 \x01(\x0e2#.signalservice.TextAttachment.StyleR\ttextStyle\x120\n" +
	"\x13textForegroundColor\x18\x03 \x01(\rR\x13textForegroundColor\x120\n" +
	"\x13textBackgroundColor\x18\x04 \x01(\rR\x13textBackgroundColor\x120\n" +
	"\apreview\x18\x05 \x01(\v2\x16.signalservice.PreviewR\apreview\x12D\n" +
	"\bgradient\x18\x06 \x01(\v2&.signalservice.TextAttachment.GradientH\x00R\bgradient\x12\x16\n" +
	"\x05color\x18\a \x01(\rH\x00R\x05color\x1a\x92\x01\n" +
	"\bGradient\x12\x1e\n" +
	"\n" +
	"startColor\x18\x01 \x01(\rR\n" +
	"startColor\x12\x1a\n" +
	"\bendColor\x18\x02 \x01(\rR\bendColor\x12\x14\n" +
	"\x05angle\x18\x03 \x01(\rR\x05angle\x12\x16\n" +
	"\x06colors\x18\x04 \x03(\rR\x06colors\x12\x1c\n" +
	"\tpositions\x18\x05 \x03(\x02R\tpositions\"Q\n" +
	"\x05Style\x12\v\n" +
	"\aDEFAULT\x10\x00\x12\v\n" +
	"\aREGULAR\x10\x01\x12\b\n" +
	"\x04BOLD\x10\x02\x12\t\n" +
	"\x05SERIF\x10\x03\x12\n" +
	"\n" +
	"\x06SCRIPT\x10\x04\x12\r\n" +
	"\tCONDENSED\x10\x05B\f\n" +
	"\n" +
	"background\"\xe5\x01\n" +
	"\bVerified\x12&\n" +
	"\x0edestinationAci\x18\x05 \x01(\tR\x0edestinationAci\x12 \n" +
	"\videntityKey\x18\x02 \x01(\fR\videntityKey\x123\n" +
	"\x05state\x18\x03 \x01(\x0e2\x1d.signalservice.Verified.StateR\x05state\x12 \n" +
	"\vnullMessage\x18\x04 \x01(\fR\vnullMessage\"2\n" +
	"\x05State\x12\v\n" +
	"\aDEFAULT\x10\x00\x12\f\n" +
	"\bVERIFIED\x10\x01\x12\x0e\n" +
	"\n" +
	"UNVERIFIED\x10\x02J\x04\b\x01\x10\x02\"\xf1C\n" +
	"\vSyncMessage\x123\n" +
	"\x04sent\x18\x01 \x01(\v2\x1f.signalservice.SyncMessage.SentR\x04sent\x12?\n" +
	"\bcontacts\x18\x02 \x01(\v2#.signalservice.SyncMessage.ContactsR\bcontacts\x12<\n" +
	"\arequest\x18\x04 \x01(\v2\".signalservice.SyncMessage.RequestR\arequest\x123\n" +
	"\x04read\x18\x05 \x03(\v2\x1f.signalservice.SyncMessage.ReadR\x04read\x12<\n" +
	"\ablocked\x18\x06 \x01(\v2\".signalservice.SyncMessage.BlockedR\ablocked\x123\n" +
	"\bverified\x18\a \x01(\v2\x17.signalservice.VerifiedR\bverified\x12N\n" +
	"\rconfiguration\x18\t \x01(\v2(.signalservice.SyncMessage.ConfigurationR\rconfiguration\x12\x18\n" +
	"\apadding\x18\b \x01(\fR\apadding\x12c\n" +
	"\x14stickerPackOperation\x18\n" +
	" \x03(\v2/.signalservice.SyncMessage.StickerPackOperationR\x14stickerPackOperation\x12K\n" +
	"\fviewOnceOpen\x18\v \x01(\v2'.signalservice.SyncMessage.ViewOnceOpenR\fviewOnceOpen\x12H\n" +
	"\vfetchLatest\x18\f \x01(\v2&.signalservice.SyncMessage.FetchLatestR\vfetchLatest\x123\n" +
	"\x04keys\x18\r \x01(\v2\x1f.signalservice.SyncMessage.KeysR\x04keys\x12i\n" +
	"\x16messageRequestResponse\x18\x0e \x01(\v21.signalservice.SyncMessage.MessageRequestResponseR\x16messageRequestResponse\x12T\n" +
	"\x0foutgoingPayment\x18\x0f \x01(\v2*.signalservice.SyncMessage.OutgoingPaymentR\x0foutgoingPayment\x129\n" +
	"\x06viewed\x18\x10 \x03(\v2!.signalservice.SyncMessage.ViewedR\x06viewed\x12T\n" +
	"\x0fpniChangeNumber\x18\x12 \x01(\v2*.signalservice.SyncMessage.PniChangeNumberR\x0fpniChangeNumber\x12B\n" +
	"\tcallEvent\x18\x13 \x01(\v2$.signalservice.SyncMessage.CallEventR\tcallEvent\x12Q\n" +
	"\x0ecallLinkUpdate\x18\x14 \x01(\v2).signalservice.SyncMessage.CallLinkUpdateR\x0ecallLinkUpdate\x12K\n" +
	"\fcallLogEvent\x18\x15 \x01(\v2'.signalservice.SyncMessage.CallLogEventR\fcallLogEvent\x12H\n" +
	"\vdeleteForMe\x18\x16 \x01(\v2&.signalservice.SyncMessage.DeleteForMeR\vdeleteForMe\x12W\n" +
	"\x10deviceNameChange\x18\x17 \x01(\v2+.signalservice.SyncMessage.DeviceNameChangeR\x10deviceNameChange\x12r\n" +
	"\x19attachmentBackfillRequest\x18\x18 \x01(\v24.signalservice.SyncMessage.AttachmentBackfillRequestR\x19attachmentBackfillRequest\x12u\n" +
	"\x1aattachmentBackfillResponse\x18\x19 \x01(\v25.signalservice.SyncMessage.AttachmentBackfillResponseR\x1aattachmentBackfillResponse\x1a\xfc\a\n" +
	"\x04Sent\x12(\n" +
	"\x0fdestinationE164\x18\x01 \x01(\tR\x0fdestinationE164\x122\n" +
	"\x14destinationServiceId\x18\a \x01(\tR\x14destinationServiceId\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestamp\x124\n" +
	"\amessage\x18\x03 \x01(\v2\x1a.signalservice.DataMessageR\amessage\x12:\n" +
	"\x18expirationStartTimestamp\x18\x04 \x01(\x04R\x18expirationStartTimestamp\x12j\n" +
	"\x12unidentifiedStatus\x18\x05 \x03(\v2:.signalservice.SyncMessage.Sent.UnidentifiedDeliveryStatusR\x12unidentifiedStatus\x123\n" +
	"\x11isRecipientUpdate\x18\x06 \x01(\b:\x05falseR\x11isRecipientUpdate\x12?\n" +
	"\fstoryMessage\x18\b \x01(\v2\x1b.signalservice.StoryMessageR\fstoryMessage\x12m\n" +
	"\x16storyMessageRecipients\x18\t \x03(\v25.signalservice.SyncMessage.Sent.StoryMessageRecipientR\x16storyMessageRecipients\x12<\n" +
	"\veditMessage\x18\n" +
	" \x01(\v2\x1a.signalservice.EditMessageR\veditMessage\x1a\xbe\x01\n" +
	"\x1aUnidentifiedDeliveryStatus\x122\n" +
	"\x14destinationServiceId\x18\x03 \x01(\tR\x14destinationServiceId\x12\"\n" +
	"\funidentified\x18\x02 \x01(\bR\funidentified\x12<\n" +
	"\x19destinationPniIdentityKey\x18\x05 \x01(\fR\x19destinationPniIdentityKeyJ\x04\b\x01\x10\x02J\x04\b\x04\x10\x05\x1a\xaf\x01\n" +
	"\x15StoryMessageRecipient\x122\n" +
	"\x14destinationServiceId\x18\x01 \x01(\tR\x14destinationServiceId\x120\n" +
	"\x13distributionListIds\x18\x02 \x03(\tR\x13distributionListIds\x12*\n" +
	"\x10isAllowedToReply\x18\x03 \x01(\bR\x10isAllowedToReplyJ\x04\b\x04\x10\x05J\x04\b\v\x10\f\x1ac\n" +
	"\bContacts\x124\n" +
	"\x04blob\x18\x01 \x01(\v2 .signalservice.AttachmentPointerR\x04blob\x12!\n" +
	"\bcomplete\x18\x02 \x01(\b:\x05falseR\bcomplete\x1aS\n" +
	"\aBlocked\x12\x18\n" +
	"\anumbers\x18\x01 \x03(\tR\anumbers\x12\x12\n" +
	"\x04acis\x18\x03 \x03(\tR\x04acis\x12\x1a\n" +
	"\bgroupIds\x18\x02 \x03(\fR\bgroupIds\x1a\x9f\x01\n" +
	"\aRequest\x12;\n" +
	"\x04type\x18\x01 \x01(\x0e2'.signalservice.SyncMessage.Request.TypeR\x04type\"W\n" +
	"\x04Type\x12\v\n" +
	"\aUNKNOWN\x10\x00\x12\f\n" +
	"\bCONTACTS\x10\x01\x12\v\n" +
	"\aBLOCKED\x10\x03\x12\x11\n" +
	"\rCONFIGURATION\x10\x04\x12\b\n" +
	"\x04KEYS\x10\x05\"\x04\b\x02\x10\x02\"\x04\b\x06\x10\x06\x1aH\n" +
	"\x04Read\x12\x1c\n" +
	"\tsenderAci\x18\x03 \x01(\tR\tsenderAci\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestampJ\x04\b\x01\x10\x02\x1aJ\n" +
	"\x06Viewed\x12\x1c\n" +
	"\tsenderAci\x18\x03 \x01(\tR\tsenderAci\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestampJ\x04\b\x01\x10\x02\x1a\x83\x02\n" +
	"\rConfiguration\x12\"\n" +
	"\freadReceipts\x18\x01 \x01(\bR\freadReceipts\x12F\n" +
	"\x1eunidentifiedDeliveryIndicators\x18\x02 \x01(\bR\x1eunidentifiedDeliveryIndicators\x12*\n" +
	"\x10typingIndicators\x18\x03 \x01(\bR\x10typingIndicators\x120\n" +
	"\x13provisioningVersion\x18\x05 \x01(\rR\x13provisioningVersion\x12\"\n" +
	"\flinkPreviews\x18\x06 \x01(\bR\flinkPreviewsJ\x04\b\x04\x10\x05\x1a\xb3\x01\n" +
	"\x14StickerPackOperation\x12\x16\n" +
	"\x06packId\x18\x01 \x01(\fR\x06packId\x12\x18\n" +
	"\apackKey\x18\x02 \x01(\fR\apackKey\x12H\n" +
	"\x04type\x18\x03 \x01(\x0e24.signalservice.SyncMessage.StickerPackOperation.TypeR\x04type\"\x1f\n" +
	"\x04Type\x12\v\n" +
	"\aINSTALL\x10\x00\x12\n" +
	"\n" +
	"\x06REMOVE\x10\x01\x1aP\n" +
	"\fViewOnceOpen\x12\x1c\n" +
	"\tsenderAci\x18\x03 \x01(\tR\tsenderAci\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestampJ\x04\b\x01\x10\x02\x1a\xa5\x01\n" +
	"\vFetchLatest\x12?\n" +
	"\x04type\x18\x01 \x01(\x0e2+.signalservice.SyncMessage.FetchLatest.TypeR\x04type\"U\n" +
	"\x04Type\x12\v\n" +
	"\aUNKNOWN\x10\x00\x12\x11\n" +
	"\rLOCAL_PROFILE\x10\x01\x12\x14\n" +
	"\x10STORAGE_MANIFEST\x10\x02\x12\x17\n" +
	"\x13SUBSCRIPTION_STATUS\x10\x03\x1a\x84\x01\n" +
	"\x04Keys\x12\x16\n" +
	"\x06master\x18\x02 \x01(\fR\x06master\x12.\n" +
	"\x12accountEntropyPool\x18\x03 \x01(\tR\x12accountEntropyPool\x12.\n" +
	"\x12mediaRootBackupKey\x18\x04 \x01(\fR\x12mediaRootBackupKeyJ\x04\b\x01\x10\x02\x1aK\n" +
	"\vPniIdentity\x12\x1c\n" +
	"\tpublicKey\x18\x01 \x01(\fR\tpublicKey\x12\x1e\n" +
	"\n" +
	"privateKey\x18\x02 \x01(\fR\n" +
	"privateKey\x1a\x8e\x02\n" +
	"\x16MessageRequestResponse\x12\x1c\n" +
	"\tthreadAci\x18\x02 \x01(\tR\tthreadAci\x12\x18\n" +
	"\agroupId\x18\x03 \x01(\fR\agroupId\x12J\n" +
	"\x04type\x18\x04 \x01(\x0e26.signalservice.SyncMessage.MessageRequestResponse.TypeR\x04type\"j\n" +
	"\x04Type\x12\v\n" +
	"\aUNKNOWN\x10\x00\x12\n" +
	"\n" +
	"\x06ACCEPT\x10\x01\x12\n" +
	"\n" +
	"\x06DELETE\x10\x02\x12\t\n" +
	"\x05BLOCK\x10\x03\x12\x14\n" +
	"\x10BLOCK_AND_DELETE\x10\x04\x12\b\n" +
	"\x04SPAM\x10\x05\x12\x12\n" +
	"\x0eBLOCK_AND_SPAM\x10\x06J\x04\b\x01\x10\x02\x1a\x96\x04\n" +
	"\x0fOutgoingPayment\x12.\n" +
	"\x12recipientServiceId\x18\x01 \x01(\tR\x12recipientServiceId\x12\x12\n" +
	"\x04note\x18\x02 \x01(\tR\x04note\x12W\n" +
	"\n" +
	"mobileCoin\x18\x03 \x01(\v25.signalservice.SyncMessage.OutgoingPayment.MobileCoinH\x00R\n" +
	"mobileCoin\x1a\xcc\x02\n" +
	"\n" +
	"MobileCoin\x12*\n" +
	"\x10recipientAddress\x18\x01 \x01(\fR\x10recipientAddress\x12$\n" +
	"\ramountPicoMob\x18\x02 \x01(\x04R\ramountPicoMob\x12\x1e\n" +
	"\n" +
	"feePicoMob\x18\x03 \x01(\x04R\n" +
	"feePicoMob\x12\x18\n" +
	"\areceipt\x18\x04 \x01(\fR\areceipt\x122\n" +
	"\x14ledgerBlockTimestamp\x18\x05 \x01(\x04R\x14ledgerBlockTimestamp\x12*\n" +
	"\x10ledgerBlockIndex\x18\x06 \x01(\x04R\x10ledgerBlockIndex\x12&\n" +
	"\x0espentKeyImages\x18\a \x03(\fR\x0espentKeyImages\x12*\n" +
	"\x10outputPublicKeys\x18\b \x03(\fR\x10outputPublicKeysB\x17\n" +
	"\x15attachment_identifier\x1a\xd7\x01\n" +
	"\x0fPniChangeNumber\x12(\n" +
	"\x0fidentityKeyPair\x18\x01 \x01(\fR\x0fidentityKeyPair\x12\"\n" +
	"\fsignedPreKey\x18\x02 \x01(\fR\fsignedPreKey\x124\n" +
	"\x15lastResortKyberPreKey\x18\x05 \x01(\fR\x15lastResortKyberPreKey\x12&\n" +
	"\x0eregistrationId\x18\x03 \x01(\rR\x0eregistrationId\x12\x18\n" +
	"\anewE164\x18\x04 \x01(\tR\anewE164\x1a\xa9\x04\n" +
	"\tCallEvent\x12&\n" +
	"\x0econversationId\x18\x01 \x01(\fR\x0econversationId\x12\x16\n" +
	"\x06callId\x18\x02 \x01(\x04R\x06callId\x12\x1c\n" +
	"\ttimestamp\x18\x03 \x01(\x04R\ttimestamp\x12=\n" +
	"\x04type\x18\x04 \x01(\x0e2).signalservice.SyncMessage.CallEvent.TypeR\x04type\x12L\n" +
	"\tdirection\x18\x05 \x01(\x0e2..signalservice.SyncMessage.CallEvent.DirectionR\tdirection\x12@\n" +
	"\x05event\x18\x06 \x01(\x0e2*.signalservice.SyncMessage.CallEvent.EventR\x05event\"Y\n" +
	"\x04Type\x12\x10\n" +
	"\fUNKNOWN_TYPE\x10\x00\x12\x0e\n" +
	"\n" +
	"AUDIO_CALL\x10\x01\x12\x0e\n" +
	"\n" +
	"VIDEO_CALL\x10\x02\x12\x0e\n" +
	"\n" +
	"GROUP_CALL\x10\x03\x12\x0f\n" +
	"\vAD_HOC_CALL\x10\x04\">\n" +
	"\tDirection\x12\x15\n" +
	"\x11UNKNOWN_DIRECTION\x10\x00\x12\f\n" +
	"\bINCOMING\x10\x01\x12\f\n" +
	"\bOUTGOING\x10\x02\"T\n" +
	"\x05Event\x12\x11\n" +
	"\rUNKNOWN_EVENT\x10\x00\x12\f\n" +
	"\bACCEPTED\x10\x01\x12\x10\n" +
	"\fNOT_ACCEPTED\x10\x02\x12\n" +
	"\n" +
	"\x06DELETE\x10\x03\x12\f\n" +
	"\bOBSERVED\x10\x04\x1a\xac\x01\n" +
	"\x0eCallLinkUpdate\x12\x18\n" +
	"\arootKey\x18\x01 \x01(\fR\arootKey\x12\"\n" +
	"\fadminPasskey\x18\x02 \x01(\fR\fadminPasskey\x12B\n" +
	"\x04type\x18\x03 \x01(\x0e2..signalservice.SyncMessage.CallLinkUpdate.TypeR\x04type\"\x18\n" +
	"\x04Type\x12\n" +
	"\n" +
	"\x06UPDATE\x10\x00\"\x04\b\x01\x10\x01\x1a\x94\x02\n" +
	"\fCallLogEvent\x12@\n" +
	"\x04type\x18\x01 \x01(\x0e2,.signalservice.SyncMessage.CallLogEvent.TypeR\x04type\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestamp\x12&\n" +
	"\x0econversationId\x18\x03 \x01(\fR\x0econversationId\x12\x16\n" +
	"\x06callId\x18\x04 \x01(\x04R\x06callId\"d\n" +
	"\x04Type\x12\t\n" +
	"\x05CLEAR\x10\x00\x12\x12\n" +
	"\x0eMARKED_AS_READ\x10\x01\x12\"\n" +
	"\x1eMARKED_AS_READ_IN_CONVERSATION\x10\x02\x12\x19\n" +
	"\x15CLEAR_IN_CONVERSATION\x10\x03\x1a\xb9\n" +
	"\n" +
	"\vDeleteForMe\x12]\n" +
	"\x0emessageDeletes\x18\x01 \x03(\v25.signalservice.SyncMessage.DeleteForMe.MessageDeletesR\x0emessageDeletes\x12k\n" +
	"\x13conversationDeletes\x18\x02 \x03(\v29.signalservice.SyncMessage.DeleteForMe.ConversationDeleteR\x13conversationDeletes\x12\x86\x01\n" +
	"\x1clocalOnlyConversationDeletes\x18\x03 \x03(\v2B.signalservice.SyncMessage.DeleteForMe.LocalOnlyConversationDeleteR\x1clocalOnlyConversationDeletes\x12e\n" +
	"\x11attachmentDeletes\x18\x04 \x03(\v27.signalservice.SyncMessage.DeleteForMe.AttachmentDeleteR\x11attachmentDeletes\x1a\x9a\x01\n" +
	"\x0eMessageDeletes\x12I\n" +
	"\fconversation\x18\x01 \x01(\v2%.signalservice.ConversationIdentifierR\fconversation\x12=\n" +
	"\bmessages\x18\x02 \x03(\v2!.signalservice.AddressableMessageR\bmessages\x1a\xa4\x02\n" +
	"\x10AttachmentDelete\x12I\n" +
	"\fconversation\x18\x01 \x01(\v2%.signalservice.ConversationIdentifierR\fconversation\x12G\n" +
	"\rtargetMessage\x18\x02 \x01(\v2!.signalservice.AddressableMessageR\rtargetMessage\x12\x1e\n" +
	"\n" +
	"clientUuid\x18\x03 \x01(\fR\n" +
	"clientUuid\x12&\n" +
	"\x0efallbackDigest\x18\x04 \x01(\fR\x0efallbackDigest\x124\n" +
	"\x15fallbackPlaintextHash\x18\x05 \x01(\fR\x15fallbackPlaintextHash\x1a\xbf\x02\n" +
	"\x12ConversationDelete\x12I\n" +
	"\fconversation\x18\x01 \x01(\v2%.signalservice.ConversationIdentifierR\fconversation\x12Q\n" +
	"\x12mostRecentMessages\x18\x02 \x03(\v2!.signalservice.AddressableMessageR\x12mostRecentMessages\x12\"\n" +
	"\fisFullDelete\x18\x03 \x01(\bR\fisFullDelete\x12g\n" +
	"\x1dmostRecentNonExpiringMessages\x18\x04 \x03(\v2!.signalservice.AddressableMessageR\x1dmostRecentNonExpiringMessages\x1ah\n" +
	"\x1bLocalOnlyConversationDelete\x12I\n" +
	"\fconversation\x18\x01 \x01(\v2%.signalservice.ConversationIdentifierR\fconversation\x1a4\n" +
	"\x10DeviceNameChange\x12\x1a\n" +
	"\bdeviceId\x18\x02 \x01(\rR\bdeviceIdJ\x04\b\x01\x10\x02\x1a\xbb\x01\n" +
	"\x19AttachmentBackfillRequest\x12G\n" +
	"\rtargetMessage\x18\x01 \x01(\v2!.signalservice.AddressableMessageR\rtargetMessage\x12U\n" +
	"\x12targetConversation\x18\x02 \x01(\v2%.signalservice.ConversationIdentifierR\x12targetConversation\x1a\xf9\x06\n" +
	"\x1aAttachmentBackfillResponse\x12G\n" +
	"\rtargetMessage\x18\x01 \x01(\v2!.signalservice.AddressableMessageR\rtargetMessage\x12U\n" +
	"\x12targetConversation\x18\x02 \x01(\v2%.signalservice.ConversationIdentifierR\x12targetConversation\x12l\n" +
	"\vattachments\x18\x03 \x01(\v2H.signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataListH\x00R\vattachments\x12S\n" +
	"\x05error\x18\x04 \x01(\x0e2;.signalservice.SyncMessage.AttachmentBackfillResponse.ErrorH\x00R\x05error\x1a\xee\x01\n" +
	"\x0eAttachmentData\x12B\n" +
	"\n" +
	"attachment\x18\x01 \x01(\v2 .signalservice.AttachmentPointerH\x00R\n" +
	"attachment\x12e\n" +
	"\x06status\x18\x02 \x01(\x0e2K.signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData.StatusH\x00R\x06status\")\n" +
	"\x06Status\x12\v\n" +
	"\aPENDING\x10\x00\x12\x12\n" +
	"\x0eTERMINAL_ERROR\x10\x01B\x06\n" +
	"\x04data\x1a\xde\x01\n" +
	"\x12AttachmentDataList\x12f\n" +
	"\vattachments\x18\x01 \x03(\v2D.signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataR\vattachments\x12`\n" +
	"\blongText\x18\x02 \x01(\v2D.signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataR\blongText\"\x1e\n" +
	"\x05Error\x12\x15\n" +
	"\x11MESSAGE_NOT_FOUND\x10\x00B\x06\n" +
	"\x04dataJ\x04\b\x03\x10\x04J\x04\b\x11\x10\x12\"\xe7\x04\n" +
	"\x11AttachmentPointer\x12\x16\n" +
	"\x05cdnId\x18\x01 \x01(\x06H\x00R\x05cdnId\x12\x18\n" +
	"\x06cdnKey\x18\x0f \x01(\tH\x00R\x06cdnKey\x12\x1e\n" +
	"\n" +
	"clientUuid\x18\x14 \x01(\fR\n" +
	"clientUuid\x12 \n" +
	"\vcontentType\x18\x02 \x01(\tR\vcontentType\x12\x10\n" +
	"\x03key\x18\x03 \x01(\fR\x03key\x12\x12\n" +
	"\x04size\x18\x04 \x01(\rR\x04size\x12\x1c\n" +
	"\tthumbnail\x18\x05 \x01(\fR\tthumbnail\x12\x16\n" +
	"\x06digest\x18\x06 \x01(\fR\x06digest\x12&\n" +
	"\x0eincrementalMac\x18\x13 \x01(\fR\x0eincrementalMac\x12\x1c\n" +
	"\tchunkSize\x18\x11 \x01(\rR\tchunkSize\x12\x1a\n" +
	"\bfileName\x18\a \x01(\tR\bfileName\x12\x14\n" +
	"\x05flags\x18\b \x01(\rR\x05flags\x12\x14\n" +
	"\x05width\x18\t \x01(\rR\x05width\x12\x16\n" +
	"\x06height\x18\n" +
	" \x01(\rR\x06height\x12\x18\n" +
	"\acaption\x18\v \x01(\tR\acaption\x12\x1a\n" +
	"\bblurHash\x18\f \x01(\tR\bblurHash\x12(\n" +
	"\x0fuploadTimestamp\x18\r \x01(\x04R\x0fuploadTimestamp\x12\x1c\n" +
	"\tcdnNumber\x18\x0e \x01(\rR\tcdnNumber\"9\n" +
	"\x05Flags\x12\x11\n" +
	"\rVOICE_MESSAGE\x10\x01\x12\x0e\n" +
	"\n" +
	"BORDERLESS\x10\x02\x12\a\n" +
	"\x03GIF\x10\b\"\x04\b\x04\x10\x04B\x17\n" +
	"\x15attachment_identifierJ\x04\b\x10\x10\x11J\x04\b\x12\x10\x13\"l\n" +
	"\x0eGroupContextV2\x12\x1c\n" +
	"\tmasterKey\x18\x01 \x01(\fR\tmasterKey\x12\x1a\n" +
	"\brevision\x18\x02 \x01(\rR\brevision\x12 \n" +
	"\vgroupChange\x18\x03 \x01(\fR\vgroupChange\"\xe6\x02\n" +
	"\x0eContactDetails\x12\x16\n" +
	"\x06number\x18\x01 \x01(\tR\x06number\x12\x10\n" +
	"\x03aci\x18\t \x01(\tR\x03aci\x12\x12\n" +
	"\x04name\x18\x02 \x01(\tR\x04name\x12<\n" +
	"\x06avatar\x18\x03 \x01(\v2$.signalservice.ContactDetails.AvatarR\x06avatar\x12 \n" +
	"\vexpireTimer\x18\b \x01(\rR\vexpireTimer\x12.\n" +
	"\x12expireTimerVersion\x18\f \x01(\rR\x12expireTimerVersion\x12$\n" +
	"\rinboxPosition\x18\n" +
	" \x01(\rR\rinboxPosition\x1aB\n" +
	"\x06Avatar\x12 \n" +
	"\vcontentType\x18\x01 \x01(\tR\vcontentType\x12\x16\n" +
	"\x06length\x18\x02 \x01(\rR\x06lengthJ\x04\b\x04\x10\x05J\x04\b\x05\x10\x06J\x04\b\x06\x10\aJ\x04\b\a\x10\bJ\x04\b\v\x10\f\"\xb9\x01\n" +
	"\x0ePaymentAddress\x12J\n" +
	"\n" +
	"mobileCoin\x18\x01 \x01(\v2(.signalservice.PaymentAddress.MobileCoinH\x00R\n" +
	"mobileCoin\x1aP\n" +
	"\n" +
	"MobileCoin\x12$\n" +
	"\rpublicAddress\x18\x01 \x01(\fR\rpublicAddress\x12\x1c\n" +
	"\tsignature\x18\x02 \x01(\fR\tsignatureB\t\n" +
	"\aAddress\"r\n" +
	"\x16DecryptionErrorMessage\x12\x1e\n" +
	"\n" +
	"ratchetKey\x18\x01 \x01(\fR\n" +
	"ratchetKey\x12\x1c\n" +
	"\ttimestamp\x18\x02 \x01(\x04R\ttimestamp\x12\x1a\n" +
	"\bdeviceId\x18\x03 \x01(\rR\bdeviceId\"E\n" +
	"\x13PniSignatureMessage\x12\x10\n" +
	"\x03pni\x18\x01 \x01(\fR\x03pni\x12\x1c\n" +
	"\tsignature\x18\x02 \x01(\fR\tsignature\"}\n" +
	"\vEditMessage\x120\n" +
	"\x13targetSentTimestamp\x18\x01 \x01(\x04R\x13targetSentTimestamp\x12<\n" +
	"\vdataMessage\x18\x02 \x01(\v2\x1a.signalservice.DataMessageR\vdataMessage\"\xfe\x01\n" +
	"\tBodyRange\x12\x14\n" +
	"\x05start\x18\x01 \x01(\rR\x05start\x12\x16\n" +
	"\x06length\x18\x02 \x01(\rR\x06length\x12 \n" +
	"\n" +
	"mentionAci\x18\x03 \x01(\tH\x00R\n" +
	"mentionAci\x126\n" +
	"\x05style\x18\x04 \x01(\x0e2\x1e.signalservice.BodyRange.StyleH\x00R\x05style\"V\n" +
	"\x05Style\x12\b\n" +
	"\x04NONE\x10\x00\x12\b\n" +
	"\x04BOLD\x10\x01\x12\n" +
	"\n" +
	"\x06ITALIC\x10\x02\x12\v\n" +
	"\aSPOILER\x10\x03\x12\x11\n" +
	"\rSTRIKETHROUGH\x10\x04\x12\r\n" +
	"\tMONOSPACE\x10\x05B\x11\n" +
	"\x0fassociatedValue\"\x92\x01\n" +
	"\x12AddressableMessage\x12*\n" +
	"\x0fauthorServiceId\x18\x01 \x01(\tH\x00R\x0fauthorServiceId\x12 \n" +
	"\n" +
	"authorE164\x18\x02 \x01(\tH\x00R\n" +
	"authorE164\x12$\n" +
	"\rsentTimestamp\x18\x03 \x01(\x04R\rsentTimestampB\b\n" +
	"\x06author\"\x9c\x01\n" +
	"\x16ConversationIdentifier\x12*\n" +
	"\x0fthreadServiceId\x18\x01 \x01(\tH\x00R\x0fthreadServiceId\x12&\n" +
	"\rthreadGroupId\x18\x02 \x01(\fH\x00R\rthreadGroupId\x12 \n" +
	"\n" +
	"threadE164\x18\x03 \x01(\tH\x00R\n" +
	"threadE164B\f\n" +
	"\n" +
	"identifierBE\n" +
	".org.whispersystems.signalservice.internal.pushB\x13SignalServiceProtos"

var (
	file_SignalService_proto_rawDescOnce sync.Once
	file_SignalService_proto_rawDescData []byte
)

func file_SignalService_proto_rawDescGZIP() []byte {
	file_SignalService_proto_rawDescOnce.Do(func() {
		file_SignalService_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_SignalService_proto_rawDesc), len(file_SignalService_proto_rawDesc)))
	})
	return file_SignalService_proto_rawDescData
}

var file_SignalService_proto_enumTypes = make([]protoimpl.EnumInfo, 28)
var file_SignalService_proto_msgTypes = make([]protoimpl.MessageInfo, 82)
var file_SignalService_proto_goTypes = []any{
	(Envelope_Type)(0),                                                // 0: signalservice.Envelope.Type
	(CallMessage_Offer_Type)(0),                                       // 1: signalservice.CallMessage.Offer.Type
	(CallMessage_Hangup_Type)(0),                                      // 2: signalservice.CallMessage.Hangup.Type
	(CallMessage_Opaque_Urgency)(0),                                   // 3: signalservice.CallMessage.Opaque.Urgency
	(DataMessage_Flags)(0),                                            // 4: signalservice.DataMessage.Flags
	(DataMessage_ProtocolVersion)(0),                                  // 5: signalservice.DataMessage.ProtocolVersion
	(DataMessage_Payment_Activation_Type)(0),                          // 6: signalservice.DataMessage.Payment.Activation.Type
	(DataMessage_Quote_Type)(0),                                       // 7: signalservice.DataMessage.Quote.Type
	(DataMessage_Contact_Phone_Type)(0),                               // 8: signalservice.DataMessage.Contact.Phone.Type
	(DataMessage_Contact_Email_Type)(0),                               // 9: signalservice.DataMessage.Contact.Email.Type
	(DataMessage_Contact_PostalAddress_Type)(0),                       // 10: signalservice.DataMessage.Contact.PostalAddress.Type
	(ReceiptMessage_Type)(0),                                          // 11: signalservice.ReceiptMessage.Type
	(TypingMessage_Action)(0),                                         // 12: signalservice.TypingMessage.Action
	(TextAttachment_Style)(0),                                         // 13: signalservice.TextAttachment.Style
	(Verified_State)(0),                                               // 14: signalservice.Verified.State
	(SyncMessage_Request_Type)(0),                                     // 15: signalservice.SyncMessage.Request.Type
	(SyncMessage_StickerPackOperation_Type)(0),                        // 16: signalservice.SyncMessage.StickerPackOperation.Type
	(SyncMessage_FetchLatest_Type)(0),                                 // 17: signalservice.SyncMessage.FetchLatest.Type
	(SyncMessage_MessageRequestResponse_Type)(0),                      // 18: signalservice.SyncMessage.MessageRequestResponse.Type
	(SyncMessage_CallEvent_Type)(0),                                   // 19: signalservice.SyncMessage.CallEvent.Type
	(SyncMessage_CallEvent_Direction)(0),                              // 20: signalservice.SyncMessage.CallEvent.Direction
	(SyncMessage_CallEvent_Event)(0),                                  // 21: signalservice.SyncMessage.CallEvent.Event
	(SyncMessage_CallLinkUpdate_Type)(0),                              // 22: signalservice.SyncMessage.CallLinkUpdate.Type
	(SyncMessage_CallLogEvent_Type)(0),                                // 23: signalservice.SyncMessage.CallLogEvent.Type
	(SyncMessage_AttachmentBackfillResponse_Error)(0),                 // 24: signalservice.SyncMessage.AttachmentBackfillResponse.Error
	(SyncMessage_AttachmentBackfillResponse_AttachmentData_Status)(0), // 25: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData.Status
	(AttachmentPointer_Flags)(0),                                      // 26: signalservice.AttachmentPointer.Flags
	(BodyRange_Style)(0),                                              // 27: signalservice.BodyRange.Style
	(*Envelope)(nil),                                                  // 28: signalservice.Envelope
	(*Content)(nil),                                                   // 29: signalservice.Content
	(*CallMessage)(nil),                                               // 30: signalservice.CallMessage
	(*DataMessage)(nil),                                               // 31: signalservice.DataMessage
	(*NullMessage)(nil),                                               // 32: signalservice.NullMessage
	(*ReceiptMessage)(nil),                                            // 33: signalservice.ReceiptMessage
	(*TypingMessage)(nil),                                             // 34: signalservice.TypingMessage
	(*StoryMessage)(nil),                                              // 35: signalservice.StoryMessage
	(*Preview)(nil),                                                   // 36: signalservice.Preview
	(*TextAttachment)(nil),                                            // 37: signalservice.TextAttachment
	(*Verified)(nil),                                                  // 38: signalservice.Verified
	(*SyncMessage)(nil),                                               // 39: signalservice.SyncMessage
	(*AttachmentPointer)(nil),                                         // 40: signalservice.AttachmentPointer
	(*GroupContextV2)(nil),                                            // 41: signalservice.GroupContextV2
	(*ContactDetails)(nil),                                            // 42: signalservice.ContactDetails
	(*PaymentAddress)(nil),                                            // 43: signalservice.PaymentAddress
	(*DecryptionErrorMessage)(nil),                                    // 44: signalservice.DecryptionErrorMessage
	(*PniSignatureMessage)(nil),                                       // 45: signalservice.PniSignatureMessage
	(*EditMessage)(nil),                                               // 46: signalservice.EditMessage
	(*BodyRange)(nil),                                                 // 47: signalservice.BodyRange
	(*AddressableMessage)(nil),                                        // 48: signalservice.AddressableMessage
	(*ConversationIdentifier)(nil),                                    // 49: signalservice.ConversationIdentifier
	(*CallMessage_Offer)(nil),                                         // 50: signalservice.CallMessage.Offer
	(*CallMessage_Answer)(nil),                                        // 51: signalservice.CallMessage.Answer
	(*CallMessage_IceUpdate)(nil),                                     // 52: signalservice.CallMessage.IceUpdate
	(*CallMessage_Busy)(nil),                                          // 53: signalservice.CallMessage.Busy
	(*CallMessage_Hangup)(nil),                                        // 54: signalservice.CallMessage.Hangup
	(*CallMessage_Opaque)(nil),                                        // 55: signalservice.CallMessage.Opaque
	(*DataMessage_Payment)(nil),                                       // 56: signalservice.DataMessage.Payment
	(*DataMessage_Quote)(nil),                                         // 57: signalservice.DataMessage.Quote
	(*DataMessage_Contact)(nil),                                       // 58: signalservice.DataMessage.Contact
	(*DataMessage_Sticker)(nil),                                       // 59: signalservice.DataMessage.Sticker
	(*DataMessage_Reaction)(nil),                                      // 60: signalservice.DataMessage.Reaction
	(*DataMessage_Delete)(nil),                                        // 61: signalservice.DataMessage.Delete
	(*DataMessage_GroupCallUpdate)(nil),                               // 62: signalservice.DataMessage.GroupCallUpdate
	(*DataMessage_StoryContext)(nil),                                  // 63: signalservice.DataMessage.StoryContext
	(*DataMessage_GiftBadge)(nil),                                     // 64: signalservice.DataMessage.GiftBadge
	(*DataMessage_Payment_Amount)(nil),                                // 65: signalservice.DataMessage.Payment.Amount
	(*DataMessage_Payment_Notification)(nil),                          // 66: signalservice.DataMessage.Payment.Notification
	(*DataMessage_Payment_Activation)(nil),                            // 67: signalservice.DataMessage.Payment.Activation
	(*DataMessage_Payment_Amount_MobileCoin)(nil),                     // 68: signalservice.DataMessage.Payment.Amount.MobileCoin
	(*DataMessage_Payment_Notification_MobileCoin)(nil),               // 69: signalservice.DataMessage.Payment.Notification.MobileCoin
	(*DataMessage_Quote_QuotedAttachment)(nil),                        // 70: signalservice.DataMessage.Quote.QuotedAttachment
	(*DataMessage_Contact_Name)(nil),                                  // 71: signalservice.DataMessage.Contact.Name
	(*DataMessage_Contact_Phone)(nil),                                 // 72: signalservice.DataMessage.Contact.Phone
	(*DataMessage_Contact_Email)(nil),                                 // 73: signalservice.DataMessage.Contact.Email
	(*DataMessage_Contact_PostalAddress)(nil),                         // 74: signalservice.DataMessage.Contact.PostalAddress
	(*DataMessage_Contact_Avatar)(nil),                                // 75: signalservice.DataMessage.Contact.Avatar
	(*TextAttachment_Gradient)(nil),                                   // 76: signalservice.TextAttachment.Gradient
	(*SyncMessage_Sent)(nil),                                          // 77: signalservice.SyncMessage.Sent
	(*SyncMessage_Contacts)(nil),                                      // 78: signalservice.SyncMessage.Contacts
	(*SyncMessage_Blocked)(nil),                                       // 79: signalservice.SyncMessage.Blocked
	(*SyncMessage_Request)(nil),                                       // 80: signalservice.SyncMessage.Request
	(*SyncMessage_Read)(nil),                                          // 81: signalservice.SyncMessage.Read
	(*SyncMessage_Viewed)(nil),                                        // 82: signalservice.SyncMessage.Viewed
	(*SyncMessage_Configuration)(nil),                                 // 83: signalservice.SyncMessage.Configuration
	(*SyncMessage_StickerPackOperation)(nil),                          // 84: signalservice.SyncMessage.StickerPackOperation
	(*SyncMessage_ViewOnceOpen)(nil),                                  // 85: signalservice.SyncMessage.ViewOnceOpen
	(*SyncMessage_FetchLatest)(nil),                                   // 86: signalservice.SyncMessage.FetchLatest
	(*SyncMessage_Keys)(nil),                                          // 87: signalservice.SyncMessage.Keys
	(*SyncMessage_PniIdentity)(nil),                                   // 88: signalservice.SyncMessage.PniIdentity
	(*SyncMessage_MessageRequestResponse)(nil),                        // 89: signalservice.SyncMessage.MessageRequestResponse
	(*SyncMessage_OutgoingPayment)(nil),                               // 90: signalservice.SyncMessage.OutgoingPayment
	(*SyncMessage_PniChangeNumber)(nil),                               // 91: signalservice.SyncMessage.PniChangeNumber
	(*SyncMessage_CallEvent)(nil),                                     // 92: signalservice.SyncMessage.CallEvent
	(*SyncMessage_CallLinkUpdate)(nil),                                // 93: signalservice.SyncMessage.CallLinkUpdate
	(*SyncMessage_CallLogEvent)(nil),                                  // 94: signalservice.SyncMessage.CallLogEvent
	(*SyncMessage_DeleteForMe)(nil),                                   // 95: signalservice.SyncMessage.DeleteForMe
	(*SyncMessage_DeviceNameChange)(nil),                              // 96: signalservice.SyncMessage.DeviceNameChange
	(*SyncMessage_AttachmentBackfillRequest)(nil),                     // 97: signalservice.SyncMessage.AttachmentBackfillRequest
	(*SyncMessage_AttachmentBackfillResponse)(nil),                    // 98: signalservice.SyncMessage.AttachmentBackfillResponse
	(*SyncMessage_Sent_UnidentifiedDeliveryStatus)(nil),               // 99: signalservice.SyncMessage.Sent.UnidentifiedDeliveryStatus
	(*SyncMessage_Sent_StoryMessageRecipient)(nil),                    // 100: signalservice.SyncMessage.Sent.StoryMessageRecipient
	(*SyncMessage_OutgoingPayment_MobileCoin)(nil),                    // 101: signalservice.SyncMessage.OutgoingPayment.MobileCoin
	(*SyncMessage_DeleteForMe_MessageDeletes)(nil),                    // 102: signalservice.SyncMessage.DeleteForMe.MessageDeletes
	(*SyncMessage_DeleteForMe_AttachmentDelete)(nil),                  // 103: signalservice.SyncMessage.DeleteForMe.AttachmentDelete
	(*SyncMessage_DeleteForMe_ConversationDelete)(nil),                // 104: signalservice.SyncMessage.DeleteForMe.ConversationDelete
	(*SyncMessage_DeleteForMe_LocalOnlyConversationDelete)(nil),       // 105: signalservice.SyncMessage.DeleteForMe.LocalOnlyConversationDelete
	(*SyncMessage_AttachmentBackfillResponse_AttachmentData)(nil),     // 106: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData
	(*SyncMessage_AttachmentBackfillResponse_AttachmentDataList)(nil), // 107: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataList
	(*ContactDetails_Avatar)(nil),                                     // 108: signalservice.ContactDetails.Avatar
	(*PaymentAddress_MobileCoin)(nil),                                 // 109: signalservice.PaymentAddress.MobileCoin
}
var file_SignalService_proto_depIdxs = []int32{
	0,   // 0: signalservice.Envelope.type:type_name -> signalservice.Envelope.Type
	31,  // 1: signalservice.Content.dataMessage:type_name -> signalservice.DataMessage
	39,  // 2: signalservice.Content.syncMessage:type_name -> signalservice.SyncMessage
	30,  // 3: signalservice.Content.callMessage:type_name -> signalservice.CallMessage
	32,  // 4: signalservice.Content.nullMessage:type_name -> signalservice.NullMessage
	33,  // 5: signalservice.Content.receiptMessage:type_name -> signalservice.ReceiptMessage
	34,  // 6: signalservice.Content.typingMessage:type_name -> signalservice.TypingMessage
	35,  // 7: signalservice.Content.storyMessage:type_name -> signalservice.StoryMessage
	45,  // 8: signalservice.Content.pniSignatureMessage:type_name -> signalservice.PniSignatureMessage
	46,  // 9: signalservice.Content.editMessage:type_name -> signalservice.EditMessage
	50,  // 10: signalservice.CallMessage.offer:type_name -> signalservice.CallMessage.Offer
	51,  // 11: signalservice.CallMessage.answer:type_name -> signalservice.CallMessage.Answer
	52,  // 12: signalservice.CallMessage.iceUpdate:type_name -> signalservice.CallMessage.IceUpdate
	53,  // 13: signalservice.CallMessage.busy:type_name -> signalservice.CallMessage.Busy
	54,  // 14: signalservice.CallMessage.hangup:type_name -> signalservice.CallMessage.Hangup
	55,  // 15: signalservice.CallMessage.opaque:type_name -> signalservice.CallMessage.Opaque
	40,  // 16: signalservice.DataMessage.attachments:type_name -> signalservice.AttachmentPointer
	41,  // 17: signalservice.DataMessage.groupV2:type_name -> signalservice.GroupContextV2
	57,  // 18: signalservice.DataMessage.quote:type_name -> signalservice.DataMessage.Quote
	58,  // 19: signalservice.DataMessage.contact:type_name -> signalservice.DataMessage.Contact
	36,  // 20: signalservice.DataMessage.preview:type_name -> signalservice.Preview
	59,  // 21: signalservice.DataMessage.sticker:type_name -> signalservice.DataMessage.Sticker
	60,  // 22: signalservice.DataMessage.reaction:type_name -> signalservice.DataMessage.Reaction
	61,  // 23: signalservice.DataMessage.delete:type_name -> signalservice.DataMessage.Delete
	47,  // 24: signalservice.DataMessage.bodyRanges:type_name -> signalservice.BodyRange
	62,  // 25: signalservice.DataMessage.groupCallUpdate:type_name -> signalservice.DataMessage.GroupCallUpdate
	56,  // 26: signalservice.DataMessage.payment:type_name -> signalservice.DataMessage.Payment
	63,  // 27: signalservice.DataMessage.storyContext:type_name -> signalservice.DataMessage.StoryContext
	64,  // 28: signalservice.DataMessage.giftBadge:type_name -> signalservice.DataMessage.GiftBadge
	11,  // 29: signalservice.ReceiptMessage.type:type_name -> signalservice.ReceiptMessage.Type
	12,  // 30: signalservice.TypingMessage.action:type_name -> signalservice.TypingMessage.Action
	41,  // 31: signalservice.StoryMessage.group:type_name -> signalservice.GroupContextV2
	40,  // 32: signalservice.StoryMessage.fileAttachment:type_name -> signalservice.AttachmentPointer
	37,  // 33: signalservice.StoryMessage.textAttachment:type_name -> signalservice.TextAttachment
	47,  // 34: signalservice.StoryMessage.bodyRanges:type_name -> signalservice.BodyRange
	40,  // 35: signalservice.Preview.image:type_name -> signalservice.AttachmentPointer
	13,  // 36: signalservice.TextAttachment.textStyle:type_name -> signalservice.TextAttachment.Style
	36,  // 37: signalservice.TextAttachment.preview:type_name -> signalservice.Preview
	76,  // 38: signalservice.TextAttachment.gradient:type_name -> signalservice.TextAttachment.Gradient
	14,  // 39: signalservice.Verified.state:type_name -> signalservice.Verified.State
	77,  // 40: signalservice.SyncMessage.sent:type_name -> signalservice.SyncMessage.Sent
	78,  // 41: signalservice.SyncMessage.contacts:type_name -> signalservice.SyncMessage.Contacts
	80,  // 42: signalservice.SyncMessage.request:type_name -> signalservice.SyncMessage.Request
	81,  // 43: signalservice.SyncMessage.read:type_name -> signalservice.SyncMessage.Read
	79,  // 44: signalservice.SyncMessage.blocked:type_name -> signalservice.SyncMessage.Blocked
	38,  // 45: signalservice.SyncMessage.verified:type_name -> signalservice.Verified
	83,  // 46: signalservice.SyncMessage.configuration:type_name -> signalservice.SyncMessage.Configuration
	84,  // 47: signalservice.SyncMessage.stickerPackOperation:type_name -> signalservice.SyncMessage.StickerPackOperation
	85,  // 48: signalservice.SyncMessage.viewOnceOpen:type_name -> signalservice.SyncMessage.ViewOnceOpen
	86,  // 49: signalservice.SyncMessage.fetchLatest:type_name -> signalservice.SyncMessage.FetchLatest
	87,  // 50: signalservice.SyncMessage.keys:type_name -> signalservice.SyncMessage.Keys
	89,  // 51: signalservice.SyncMessage.messageRequestResponse:type_name -> signalservice.SyncMessage.MessageRequestResponse
	90,  // 52: signalservice.SyncMessage.outgoingPayment:type_name -> signalservice.SyncMessage.OutgoingPayment
	82,  // 53: signalservice.SyncMessage.viewed:type_name -> signalservice.SyncMessage.Viewed
	91,  // 54: signalservice.SyncMessage.pniChangeNumber:type_name -> signalservice.SyncMessage.PniChangeNumber
	92,  // 55: signalservice.SyncMessage.callEvent:type_name -> signalservice.SyncMessage.CallEvent
	93,  // 56: signalservice.SyncMessage.callLinkUpdate:type_name -> signalservice.SyncMessage.CallLinkUpdate
	94,  // 57: signalservice.SyncMessage.callLogEvent:type_name -> signalservice.SyncMessage.CallLogEvent
	95,  // 58: signalservice.SyncMessage.deleteForMe:type_name -> signalservice.SyncMessage.DeleteForMe
	96,  // 59: signalservice.SyncMessage.deviceNameChange:type_name -> signalservice.SyncMessage.DeviceNameChange
	97,  // 60: signalservice.SyncMessage.attachmentBackfillRequest:type_name -> signalservice.SyncMessage.AttachmentBackfillRequest
	98,  // 61: signalservice.SyncMessage.attachmentBackfillResponse:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse
	108, // 62: signalservice.ContactDetails.avatar:type_name -> signalservice.ContactDetails.Avatar
	109, // 63: signalservice.PaymentAddress.mobileCoin:type_name -> signalservice.PaymentAddress.MobileCoin
	31,  // 64: signalservice.EditMessage.dataMessage:type_name -> signalservice.DataMessage
	27,  // 65: signalservice.BodyRange.style:type_name -> signalservice.BodyRange.Style
	1,   // 66: signalservice.CallMessage.Offer.type:type_name -> signalservice.CallMessage.Offer.Type
	2,   // 67: signalservice.CallMessage.Hangup.type:type_name -> signalservice.CallMessage.Hangup.Type
	3,   // 68: signalservice.CallMessage.Opaque.urgency:type_name -> signalservice.CallMessage.Opaque.Urgency
	66,  // 69: signalservice.DataMessage.Payment.notification:type_name -> signalservice.DataMessage.Payment.Notification
	67,  // 70: signalservice.DataMessage.Payment.activation:type_name -> signalservice.DataMessage.Payment.Activation
	70,  // 71: signalservice.DataMessage.Quote.attachments:type_name -> signalservice.DataMessage.Quote.QuotedAttachment
	47,  // 72: signalservice.DataMessage.Quote.bodyRanges:type_name -> signalservice.BodyRange
	7,   // 73: signalservice.DataMessage.Quote.type:type_name -> signalservice.DataMessage.Quote.Type
	71,  // 74: signalservice.DataMessage.Contact.name:type_name -> signalservice.DataMessage.Contact.Name
	72,  // 75: signalservice.DataMessage.Contact.number:type_name -> signalservice.DataMessage.Contact.Phone
	73,  // 76: signalservice.DataMessage.Contact.email:type_name -> signalservice.DataMessage.Contact.Email
	74,  // 77: signalservice.DataMessage.Contact.address:type_name -> signalservice.DataMessage.Contact.PostalAddress
	75,  // 78: signalservice.DataMessage.Contact.avatar:type_name -> signalservice.DataMessage.Contact.Avatar
	40,  // 79: signalservice.DataMessage.Sticker.data:type_name -> signalservice.AttachmentPointer
	68,  // 80: signalservice.DataMessage.Payment.Amount.mobileCoin:type_name -> signalservice.DataMessage.Payment.Amount.MobileCoin
	69,  // 81: signalservice.DataMessage.Payment.Notification.mobileCoin:type_name -> signalservice.DataMessage.Payment.Notification.MobileCoin
	6,   // 82: signalservice.DataMessage.Payment.Activation.type:type_name -> signalservice.DataMessage.Payment.Activation.Type
	40,  // 83: signalservice.DataMessage.Quote.QuotedAttachment.thumbnail:type_name -> signalservice.AttachmentPointer
	8,   // 84: signalservice.DataMessage.Contact.Phone.type:type_name -> signalservice.DataMessage.Contact.Phone.Type
	9,   // 85: signalservice.DataMessage.Contact.Email.type:type_name -> signalservice.DataMessage.Contact.Email.Type
	10,  // 86: signalservice.DataMessage.Contact.PostalAddress.type:type_name -> signalservice.DataMessage.Contact.PostalAddress.Type
	40,  // 87: signalservice.DataMessage.Contact.Avatar.avatar:type_name -> signalservice.AttachmentPointer
	31,  // 88: signalservice.SyncMessage.Sent.message:type_name -> signalservice.DataMessage
	99,  // 89: signalservice.SyncMessage.Sent.unidentifiedStatus:type_name -> signalservice.SyncMessage.Sent.UnidentifiedDeliveryStatus
	35,  // 90: signalservice.SyncMessage.Sent.storyMessage:type_name -> signalservice.StoryMessage
	100, // 91: signalservice.SyncMessage.Sent.storyMessageRecipients:type_name -> signalservice.SyncMessage.Sent.StoryMessageRecipient
	46,  // 92: signalservice.SyncMessage.Sent.editMessage:type_name -> signalservice.EditMessage
	40,  // 93: signalservice.SyncMessage.Contacts.blob:type_name -> signalservice.AttachmentPointer
	15,  // 94: signalservice.SyncMessage.Request.type:type_name -> signalservice.SyncMessage.Request.Type
	16,  // 95: signalservice.SyncMessage.StickerPackOperation.type:type_name -> signalservice.SyncMessage.StickerPackOperation.Type
	17,  // 96: signalservice.SyncMessage.FetchLatest.type:type_name -> signalservice.SyncMessage.FetchLatest.Type
	18,  // 97: signalservice.SyncMessage.MessageRequestResponse.type:type_name -> signalservice.SyncMessage.MessageRequestResponse.Type
	101, // 98: signalservice.SyncMessage.OutgoingPayment.mobileCoin:type_name -> signalservice.SyncMessage.OutgoingPayment.MobileCoin
	19,  // 99: signalservice.SyncMessage.CallEvent.type:type_name -> signalservice.SyncMessage.CallEvent.Type
	20,  // 100: signalservice.SyncMessage.CallEvent.direction:type_name -> signalservice.SyncMessage.CallEvent.Direction
	21,  // 101: signalservice.SyncMessage.CallEvent.event:type_name -> signalservice.SyncMessage.CallEvent.Event
	22,  // 102: signalservice.SyncMessage.CallLinkUpdate.type:type_name -> signalservice.SyncMessage.CallLinkUpdate.Type
	23,  // 103: signalservice.SyncMessage.CallLogEvent.type:type_name -> signalservice.SyncMessage.CallLogEvent.Type
	102, // 104: signalservice.SyncMessage.DeleteForMe.messageDeletes:type_name -> signalservice.SyncMessage.DeleteForMe.MessageDeletes
	104, // 105: signalservice.SyncMessage.DeleteForMe.conversationDeletes:type_name -> signalservice.SyncMessage.DeleteForMe.ConversationDelete
	105, // 106: signalservice.SyncMessage.DeleteForMe.localOnlyConversationDeletes:type_name -> signalservice.SyncMessage.DeleteForMe.LocalOnlyConversationDelete
	103, // 107: signalservice.SyncMessage.DeleteForMe.attachmentDeletes:type_name -> signalservice.SyncMessage.DeleteForMe.AttachmentDelete
	48,  // 108: signalservice.SyncMessage.AttachmentBackfillRequest.targetMessage:type_name -> signalservice.AddressableMessage
	49,  // 109: signalservice.SyncMessage.AttachmentBackfillRequest.targetConversation:type_name -> signalservice.ConversationIdentifier
	48,  // 110: signalservice.SyncMessage.AttachmentBackfillResponse.targetMessage:type_name -> signalservice.AddressableMessage
	49,  // 111: signalservice.SyncMessage.AttachmentBackfillResponse.targetConversation:type_name -> signalservice.ConversationIdentifier
	107, // 112: signalservice.SyncMessage.AttachmentBackfillResponse.attachments:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataList
	24,  // 113: signalservice.SyncMessage.AttachmentBackfillResponse.error:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse.Error
	49,  // 114: signalservice.SyncMessage.DeleteForMe.MessageDeletes.conversation:type_name -> signalservice.ConversationIdentifier
	48,  // 115: signalservice.SyncMessage.DeleteForMe.MessageDeletes.messages:type_name -> signalservice.AddressableMessage
	49,  // 116: signalservice.SyncMessage.DeleteForMe.AttachmentDelete.conversation:type_name -> signalservice.ConversationIdentifier
	48,  // 117: signalservice.SyncMessage.DeleteForMe.AttachmentDelete.targetMessage:type_name -> signalservice.AddressableMessage
	49,  // 118: signalservice.SyncMessage.DeleteForMe.ConversationDelete.conversation:type_name -> signalservice.ConversationIdentifier
	48,  // 119: signalservice.SyncMessage.DeleteForMe.ConversationDelete.mostRecentMessages:type_name -> signalservice.AddressableMessage
	48,  // 120: signalservice.SyncMessage.DeleteForMe.ConversationDelete.mostRecentNonExpiringMessages:type_name -> signalservice.AddressableMessage
	49,  // 121: signalservice.SyncMessage.DeleteForMe.LocalOnlyConversationDelete.conversation:type_name -> signalservice.ConversationIdentifier
	40,  // 122: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData.attachment:type_name -> signalservice.AttachmentPointer
	25,  // 123: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData.status:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData.Status
	106, // 124: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataList.attachments:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData
	106, // 125: signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentDataList.longText:type_name -> signalservice.SyncMessage.AttachmentBackfillResponse.AttachmentData
	126, // [126:126] is the sub-list for method output_type
	126, // [126:126] is the sub-list for method input_type
	126, // [126:126] is the sub-list for extension type_name
	126, // [126:126] is the sub-list for extension extendee
	0,   // [0:126] is the sub-list for field type_name
}

func init() { file_SignalService_proto_init() }
func file_SignalService_proto_init() {
	if File_SignalService_proto != nil {
		return
	}
	file_SignalService_proto_msgTypes[7].OneofWrappers = []any{
		(*StoryMessage_FileAttachment)(nil),
		(*StoryMessage_TextAttachment)(nil),
	}
	file_SignalService_proto_msgTypes[9].OneofWrappers = []any{
		(*TextAttachment_Gradient_)(nil),
		(*TextAttachment_Color)(nil),
	}
	file_SignalService_proto_msgTypes[12].OneofWrappers = []any{
		(*AttachmentPointer_CdnId)(nil),
		(*AttachmentPointer_CdnKey)(nil),
	}
	file_SignalService_proto_msgTypes[15].OneofWrappers = []any{
		(*PaymentAddress_MobileCoin_)(nil),
	}
	file_SignalService_proto_msgTypes[19].OneofWrappers = []any{
		(*BodyRange_MentionAci)(nil),
		(*BodyRange_Style_)(nil),
	}
	file_SignalService_proto_msgTypes[20].OneofWrappers = []any{
		(*AddressableMessage_AuthorServiceId)(nil),
		(*AddressableMessage_AuthorE164)(nil),
	}
	file_SignalService_proto_msgTypes[21].OneofWrappers = []any{
		(*ConversationIdentifier_ThreadServiceId)(nil),
		(*ConversationIdentifier_ThreadGroupId)(nil),
		(*ConversationIdentifier_ThreadE164)(nil),
	}
	file_SignalService_proto_msgTypes[28].OneofWrappers = []any{
		(*DataMessage_Payment_Notification_)(nil),
		(*DataMessage_Payment_Activation_)(nil),
	}
	file_SignalService_proto_msgTypes[37].OneofWrappers = []any{
		(*DataMessage_Payment_Amount_MobileCoin_)(nil),
	}
	file_SignalService_proto_msgTypes[38].OneofWrappers = []any{
		(*DataMessage_Payment_Notification_MobileCoin_)(nil),
	}
	file_SignalService_proto_msgTypes[62].OneofWrappers = []any{
		(*SyncMessage_OutgoingPayment_MobileCoin_)(nil),
	}
	file_SignalService_proto_msgTypes[70].OneofWrappers = []any{
		(*SyncMessage_AttachmentBackfillResponse_Attachments)(nil),
		(*SyncMessage_AttachmentBackfillResponse_Error_)(nil),
	}
	file_SignalService_proto_msgTypes[78].OneofWrappers = []any{
		(*SyncMessage_AttachmentBackfillResponse_AttachmentData_Attachment)(nil),
		(*SyncMessage_AttachmentBackfillResponse_AttachmentData_Status_)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_SignalService_proto_rawDesc), len(file_SignalService_proto_rawDesc)),
			NumEnums:      28,
			NumMessages:   82,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_SignalService_proto_goTypes,
		DependencyIndexes: file_SignalService_proto_depIdxs,
		EnumInfos:         file_SignalService_proto_enumTypes,
		MessageInfos:      file_SignalService_proto_msgTypes,
	}.Build()
	File_SignalService_proto = out.File
	file_SignalService_proto_goTypes = nil
	file_SignalService_proto_depIdxs = nil
}
